commit 4a8d46a6f746e6dbe91edd8f76cac4c25c73eb3d
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Mon May 25 00:32:13 2015 +0500

    Prepare 0.9.6.1 release.

 CMakeLists.txt | 2 +-
 NEWS           | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 911dd2dd6749db90cb678824d40455e7d24a2140
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Sun May 24 03:46:47 2015 +0500

    BaseConnection: Fixed illegal C++ statement in SimplePresence.

 TelepathyQt/base-connection.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 960e7577a74b853b886e7b137364c0d9cdcc8f0d
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Thu May 14 22:25:36 2015 +0500

    Updated NEWS for 0.9.6 release.

 NEWS | 23 +++++++++++++++++++++--
 1 file changed, 21 insertions(+), 2 deletions(-)

commit 931387e987f38e6edcaaf1109726dc251b01f123
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue May 12 10:26:18 2015 +0500

    BaseConnection: addChannel() used in createChannel().
    
    Reduced code duplication in cost of little overhead for channels.contains().

 TelepathyQt/base-connection.cpp | 29 +++--------------------------
 TelepathyQt/base-connection.h   |  2 +-
 2 files changed, 4 insertions(+), 27 deletions(-)

commit 97cac5798920d1f4e40bc828ed2a49c05614a032
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Fri May 1 16:17:31 2015 +0500

    BaseChannel: Added custom dbus object name for room text channel.

 TelepathyQt/base-channel.cpp | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit dd1978748d4969c93997f1aa6d295a6849c411cd
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 21 12:59:27 2015 +0500

    BaseConnection: Added selfID-related stuff.
    
    Added selfID(), setSelfID(), setSelfContact() methods.
    Implemented selfContactChanged() signal.
    
    The selfID property added in 0.27.2.

 TelepathyQt/base-connection-internal.h |  4 +++
 TelepathyQt/base-connection.cpp        | 51 ++++++++++++++++++++++++++++++----
 TelepathyQt/base-connection.h          |  5 ++++
 3 files changed, 54 insertions(+), 6 deletions(-)

commit 00f2d5a0533743b01be6af069349942097bb91a3
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 21 00:12:13 2015 +0500

    BaseChannel::create() arguments reordered in natural way.
    
    1) Swapped targetHandle and targetHandleType arguments.
    2) Type of the targetHandleType changed to Tp::HandleType to
       force compilation error.
    3) Added default values: targetHandleType = Tp::HandleTypeNone,
       targetHandle = 0.

 TelepathyQt/base-channel.cpp | 16 ++++++++--------
 TelepathyQt/base-channel.h   | 10 +++++-----
 2 files changed, 13 insertions(+), 13 deletions(-)

commit bf04e9f2d94caedc97daa982ab5389af2f1338e9
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Mon Apr 13 10:46:56 2015 +0500

    BaseConnectionSimplePresenceInterface: Reworked.
    
    1) Fixed typo in the interface subclass name.
       (BaseConnectionSimplePresenceInterfaceSublclass ->
        BaseConnectionSimplePresenceInterfaceSubclass)
    2) Fixed typo in maximumStatusMessageLength occurrence.
       (maxmimumStatusMessageLength ->
        maximumStatusMessageLength)
    3) DBus GetPresences() method implementation refactored and exposed
       as complementary public C++ method, which can save CM from storing
       contact presences on its own.
    4) maximumStatusMessageLength() type changed from int to uint, as it is
       in the specs.

 TelepathyQt/base-connection.cpp | 44 ++++++++++++++++++++---------------------
 TelepathyQt/base-connection.h   | 20 +++++++++++--------
 2 files changed, 34 insertions(+), 30 deletions(-)

commit ef6ed5064c7faff1db51bfb90b7f589e2f287780
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 21 16:18:45 2015 +0500

    Added BaseChannelRoomConfigInterface.

 TelepathyQt/base-channel-internal.h |  45 +++++
 TelepathyQt/base-channel.cpp        | 341 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          |  80 +++++++++
 TelepathyQt/service-types.h         |   2 +
 4 files changed, 468 insertions(+)

commit a7941ac1de8ca9f3599d539646638d0c3c82b7d2
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Thu Apr 23 18:59:08 2015 +0500

    Tools/qt-svc-gen: Fixed condition in adaptor methods generation.
    
    The condition was looks like
    
        if (!adaptee()->metaObject()->indexOfMethod("method()") == -1) {
            dbusConnection().send(dbusMessage.createErrorReply(NOT_IMPLEMENTED)));
            return;
        }
    
    The logical inversion at the start turns zero index into 1 and all other
    indices into 0, thus the condition is always false.
    
    Bug: #86312.
    
    Reviewed-by: David Edmundson

 tools/qt-svc-gen.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 211b62de518c21e38b3a9cf3735b30fb5a43d884
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Thu Apr 23 17:32:26 2015 +0500

    Fixed various documentation issues.
    
    Reviewed-by: David Edmundson

 TelepathyQt/abstract-client.cpp              | 5 -----
 TelepathyQt/account.cpp                      | 2 +-
 TelepathyQt/channel-request.cpp              | 1 +
 TelepathyQt/connection-manager.cpp           | 3 +++
 TelepathyQt/contact.cpp                      | 7 ++++---
 TelepathyQt/outgoing-stream-tube-channel.cpp | 2 +-
 TelepathyQt/profile.cpp                      | 2 +-
 TelepathyQt/text-channel.cpp                 | 2 +-
 8 files changed, 12 insertions(+), 12 deletions(-)

commit 41415df84f3ac2413804dec8b75b2f4905e1bddf
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 21 20:17:55 2015 +0500

    Implemented BaseChannelRoomListType.
    
    The "Server" property marked as immutable, despite of the spec:
    http://telepathy.freedesktop.org/spec/Channel_Type_Room_List.html
    
    Reviewed-by: David Edmundson

 TelepathyQt/base-channel-internal.h |  27 ++++++
 TelepathyQt/base-channel.cpp        | 164 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          |  49 +++++++++++
 TelepathyQt/service-types.h         |   2 +
 4 files changed, 242 insertions(+)

commit cf62ef1cbf36a4cded98b70ff78b38cc370311bf
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 21 15:34:35 2015 +0500

    Added BaseChannelRoomInterface.
    
    Reviewed-by: David Edmundson

 TelepathyQt/base-channel-internal.h |  23 ++++++
 TelepathyQt/base-channel.cpp        | 145 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          |  60 +++++++++++++++
 TelepathyQt/service-types.h         |   2 +
 4 files changed, 230 insertions(+)

commit 6d1d51f2ce03ef4dfaa0603a43c9f09c5f4ca14d
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 21 13:16:33 2015 +0500

    BaseConnection: Fixed code style (no actual changes).
    
    Reviewed-by: David Edmundson

 TelepathyQt/base-connection-internal.h |  2 +-
 TelepathyQt/base-connection.cpp        | 15 ++++++++-------
 TelepathyQt/base-connection.h          |  4 ++--
 3 files changed, 11 insertions(+), 10 deletions(-)

commit 1a2e1d9780b596ba260fac49846851698a76a90a
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 21 13:09:39 2015 +0500

    BaseConnection::Adaptee: Members are now private.
    
    They are never used from outside.
    
    Reviewed-by: David Edmundson

 TelepathyQt/base-connection-internal.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 26559e13f9f6c2429632f0b51fe8ab7a4e19269b
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 21 13:07:30 2015 +0500

    BaseConnection: Added some commentaries.
    
    Reviewed-by: David Edmundson

 TelepathyQt/base-connection.cpp | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 9b80bf8d383a5cbe768b6956b5937c4ef446cfae
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 21 13:05:01 2015 +0500

    BaseConnection: Added DBus ReleaseHandles() method.
    
    Since 0.21.6, this method does nothing and returns successfully.
    
    Reviewed-by: David Edmundson

 TelepathyQt/base-connection-internal.h | 4 ++--
 TelepathyQt/base-connection.cpp        | 9 +++++++++
 2 files changed, 11 insertions(+), 2 deletions(-)

commit c056a72358c7baef0f2f725d9b533c0195283d76
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 21 13:01:57 2015 +0500

    BaseConnection: inspectHandles() exposed as a part of C++ interface.
    
    Reviewed-by: David Edmundson

 TelepathyQt/base-connection.cpp | 17 +++++++++++------
 TelepathyQt/base-connection.h   |  1 +
 2 files changed, 12 insertions(+), 6 deletions(-)

commit b057f1f499455306522de274aeca1c410ab579ad
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 21 12:00:42 2015 +0500

    BaseConnection: Code is moved around, no actual changes.
    
    Methods moved to be consistent with other classes and the order of declarations.

 TelepathyQt/base-connection-internal.h |  56 +++++++-------
 TelepathyQt/base-connection.cpp        | 137 ++++++++++++++++++++-------------
 TelepathyQt/base-connection.h          |  23 +++---
 3 files changed, 121 insertions(+), 95 deletions(-)

commit bbeba4e00e52f0cfdb78283d1d882eed973fa4fc
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 21 09:57:06 2015 +0500

    BaseConnection: Merged two pair of create() methods.
    
    Made dbusConnection argument be optional with the default QDBusConnection::sessionBus().
    
    Reviewed-by: David Edmundson

 TelepathyQt/base-connection.h | 23 +++++++----------------
 1 file changed, 7 insertions(+), 16 deletions(-)

commit f4f0d1a9b22aead8a4d5bdb37a3ff1d96e7c34ae
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 21 11:53:17 2015 +0500

    BaseConnection, BaseChannel: Fixed mPriv member type.
    
    BaseConnection::Private and BaseChannel::Private was been declared
    as classes, but defined as structs. As Private used to be struct
    everywhere in the project, declaration changed to last one.
    
    AbstractConnectionInterface, AbstractChannelInterface: mPriv member type
    changed to struct to be consistent.
    
    Reviewed-by: David Edmundson

 TelepathyQt/base-channel.h    | 9 +++++----
 TelepathyQt/base-connection.h | 8 ++++----
 2 files changed, 9 insertions(+), 8 deletions(-)

commit 0f3f371c9137c59bdf093d545c2c494b4ca0a2cc
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Apr 7 19:07:57 2015 +0600

    BaseConnection::matchChannel(): Fixed TargetHandle/TargetID processing.
    
    Request parameters validation moved from
    BaseConnectionRequestsInterface::ensureChannel() to BaseChannel::ensureChannel().

 TelepathyQt/base-connection.cpp | 44 +++++++++++++++++++++++++++++------------
 1 file changed, 31 insertions(+), 13 deletions(-)

commit 8a9e2c567e3e4bff60bfc3f81dcd152b549bd049
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Thu Apr 2 16:51:00 2015 +0500

    BaseConnection: Added a draft documentation for ensureChannel() method.

 TelepathyQt/base-connection.cpp | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

commit 127bb3ec5f08921ab9d3081f5a7747c2ce35b741
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Mon Mar 30 07:49:06 2015 +0500

    BaseConnection::ensureChannel(): Refactored.
    
    Channel matching extracted to a protected virtual method.
    Previous ensureChannel() implementation doesn't allow to
    override the default "ChannelType/TargetHandleType/TargetHandle
    matching" behavior, which might be incorrect for some reasons.
    
    This way, we can not perform the request values extraction outside of
    the cycle, but it is a necessary sacrifice with low performance hit,
    because ensureChannel() is rarely used method, extraction operation
    is low-cost and usualy there is just a few channels to iterate.

 TelepathyQt/base-connection.cpp | 27 ++++++++++++++++++++-------
 TelepathyQt/base-connection.h   |  2 ++
 2 files changed, 22 insertions(+), 7 deletions(-)

commit 2263a6459de9c50269da4630a563e4e4bff0fc82
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Mon Mar 30 07:45:23 2015 +0500

    BaseConnection: Changed API (createChannel(), ensureChannel()).
    
    Refactored out excess of createChannel()/ensureChannel() signatures.
    Fixed "Requested" property for the created channel.

 TelepathyQt/base-connection.cpp | 92 ++++++++++++++---------------------------
 TelepathyQt/base-connection.h   |  8 ++--
 2 files changed, 34 insertions(+), 66 deletions(-)

commit 0a8d52d12226526b647d02b486531dd4330d5673
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Fri Mar 27 12:43:04 2015 +0500

    BaseChannel: Added missing members initialization on construction.

 TelepathyQt/base-channel.cpp | 2 ++
 1 file changed, 2 insertions(+)

commit 5c395a647a2d6b7930930ad605a4c4a9bb2d1c0e
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Thu Mar 26 23:18:54 2015 +0500

    BaseConnection::ensureChannel(): Fixed requirements for the request argument.
    
    ensureChannel() have the same request argument semantic as createChannel(),
    so only ChannelType key must be present.

 TelepathyQt/base-connection.cpp | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 3f90bcd87d26a595dd392bd0fb49996384ef94b6
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Sun Mar 29 01:17:48 2015 +0500

    BaseChannelSASLAuthenticationInterface: Fixed SASL status properties.

 TelepathyQt/base-channel.cpp | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 494a955128a193382a698ee3d71071d8ff8388e9
Author: Rémi Benoit <r3m1.benoit@gmail.com>
Date:   Fri Mar 27 12:57:54 2015 +0100

    Add missing QObject include
    
    Needed to build against Qt 5.5 as QStringList doesn't include QObject anymore.

 TelepathyQt/readiness-helper.h | 1 +
 1 file changed, 1 insertion(+)

commit 23d4f9e7a94997463753a13c5e012da50b86c0e2
Author: Tiago Salem Herrmann <tiago.herrmann@canonical.com>
Date:   Thu Feb 19 00:34:17 2015 -0200

    Don't set "Requested" based on initiatorHandle and selfHandle

 TelepathyQt/base-connection.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b9799ef6f93b13f4df7c2a9e65edcc6bf010d7ef
Author: Martin Klapetek <mklapetek@kde.org>
Date:   Tue Mar 24 16:01:26 2015 +0100

    Don't require TargetHandleType and TargetHandle to be present in requests
    
    The specification says that only ChannelType MUST be set. If the rest
    makes no sense, the request should be rejected by the CM rather than
    here.
    
    This for example breaks group chats which have no TargetHandle or
    TargetHandleType.
    
    Reviewed-by: David Edmundson

 TelepathyQt/base-connection.cpp | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit ac90076c5eb42a672d1e6307927b8dce6087d999
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Mon Mar 9 12:59:12 2015 +0100

    Match arg type in remaining QMetaObject::invoke calls

 TelepathyQt/base-call.cpp    | 2 +-
 TelepathyQt/base-channel.cpp | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 94fb01ce0dbd571d61074db51352f0ce952c9f85
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Fri Mar 6 12:47:31 2015 +0100

    Fix arg types used in QMetaObject::invokeMethod

 TelepathyQt/base-channel.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d3a8aac680a81d427229eb85635a483909b4f7b
Author: Tiago Salem Herrmann <tiago.herrmann@canonical.com>
Date:   Fri Feb 13 11:51:18 2015 -0200

    Fix build in Qt4

 TelepathyQt/base-call.cpp       |  2 +-
 TelepathyQt/base-channel.cpp    | 14 +++++++-------
 TelepathyQt/base-connection.cpp |  2 +-
 3 files changed, 9 insertions(+), 9 deletions(-)

commit b8a205b6aac5c779f240506610a20a9cf7df1e73
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Feb 10 18:58:59 2015 +0500

    BaseChannelCaptchaAuthenticationInterface: Fixed signal emission.
    
    Now we emit the org.freedesktop.DBus.Properties.PropertiesChanged signal
    on CaptchaStatus, CaptchaError or CaptchaErrorDetails property changes.

 TelepathyQt/base-channel.cpp | 3 +++
 1 file changed, 3 insertions(+)

commit 8443f7c5650304377a63462e8a480f94dee2a308
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Feb 10 18:47:28 2015 +0500

    AbstractDBusServiceInterface: Added notifyPropertyChanged() method.

 TelepathyQt/dbus-service.cpp | 27 +++++++++++++++++++++++++++
 TelepathyQt/dbus-service.h   |  3 +++
 2 files changed, 30 insertions(+)

commit b735cc11f56cd99c7bf2175f89ee7c77ee4509db
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Feb 10 18:45:01 2015 +0500

    Refactor: objectPath member moved from DBusService to DBusObject.

 TelepathyQt/dbus-object.cpp  | 11 +++++++++++
 TelepathyQt/dbus-object.h    |  6 ++++++
 TelepathyQt/dbus-service.cpp |  5 ++---
 3 files changed, 19 insertions(+), 3 deletions(-)

commit ea890f160e5d3b017bac1dc63df79757b477a33b
Author: Tiago Salem Herrmann <tiago.herrmann@canonical.com>
Date:   Fri Jan 30 18:42:05 2015 -0200

    force setInterfaces() on call-content.cpp, otherwise dtmf doesn't work

 TelepathyQt/call-content.cpp | 1 +
 1 file changed, 1 insertion(+)

commit 3c1230c83368ef2823053825798aa64a719a83b9
Author: Tiago Salem Herrmann <tiago.herrmann@canonical.com>
Date:   Fri Jan 30 18:40:08 2015 -0200

    emit selfHandleChanged on setSelfHandle()

 TelepathyQt/base-connection.cpp | 3 +++
 1 file changed, 3 insertions(+)

commit d39d1f68725bb96b022b8f6756622ed8c2e71aae
Author: Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>
Date:   Fri Jan 30 18:38:05 2015 -0200

    Add client side support for conference calls

 TelepathyQt/account.cpp | 142 ++++++++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/account.h   |  22 ++++++++
 2 files changed, 164 insertions(+)

commit 16304b8388afb7529be1f234470d73c4b8eeac49
Author: Tiago Salem Herrmann <tiago.herrmann@canonical.com>
Date:   Fri Jan 30 18:31:09 2015 -0200

    Pass the whole request to ensureChannel() and createChannel()

 TelepathyQt/base-connection.cpp | 9 +++++++--
 TelepathyQt/base-connection.h   | 6 +++---
 2 files changed, 10 insertions(+), 5 deletions(-)

commit fa32c36a1dc64ed9058a3b98d6c87edd4b227842
Author: Tiago Salem Herrmann <tiago.herrmann@canonical.com>
Date:   Fri Jan 30 17:43:57 2015 -0200

    Add BaseChannelSMSInterface

 TelepathyQt/base-channel-internal.h |  25 +++++++++
 TelepathyQt/base-channel.cpp        | 105 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          |  38 +++++++++++++
 TelepathyQt/service-types.h         |   2 +
 4 files changed, 170 insertions(+)

commit 56667bfa6db7f108611b7d407f66108ba08d7a97
Author: Tiago Salem Herrmann <tiago.herrmann@canonical.com>
Date:   Fri Jan 30 17:40:20 2015 -0200

    Add BaseChannelCallType
    Add BaseChannelHoldInterface
    Add BaseChannelConferenceInterface
    Add BaseChannelMergeableConferenceInterface
    Add BaseChannelSplittableInterface

 TelepathyQt/BaseCall                |  13 +
 TelepathyQt/CMakeLists.txt          |   8 +
 TelepathyQt/base-call-internal.h    | 136 +++++++
 TelepathyQt/base-call.cpp           | 502 ++++++++++++++++++++++++
 TelepathyQt/base-call.h             | 190 +++++++++
 TelepathyQt/base-channel-internal.h | 180 +++++++++
 TelepathyQt/base-channel.cpp        | 754 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          | 257 ++++++++++++
 TelepathyQt/call-interfaces.xml     |   9 +
 TelepathyQt/service-types.h         |  18 +
 TelepathyQt/stable-interfaces.xml   |   2 +
 TelepathyQt/svc-call.xml            |  12 +
 TelepathyQt/svc-channel.xml         |   2 +
 13 files changed, 2083 insertions(+)

commit 099dd1c08450d35f699a553e2407356a8969122a
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Sun Jan 4 22:25:29 2015 +0600

    Added TP_QT_VERSION and TP_QT_VERSION_CHECK macros.

 TelepathyQt/CMakeLists.txt |   4 +-
 TelepathyQt/global.h       | 139 ---------------------------------------
 TelepathyQt/global.h.in    | 159 +++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 162 insertions(+), 140 deletions(-)

commit 926ae84b735f201d26a3a381797d23cbfc9ad4a6
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Fri Dec 19 21:26:01 2014 +0600

    Implemented BaseConnectionAvatarsInterface.

 TelepathyQt/base-connection-internal.h |  43 ++++++
 TelepathyQt/base-connection.cpp        | 240 +++++++++++++++++++++++++++++++++
 TelepathyQt/base-connection.h          |  57 ++++++++
 TelepathyQt/service-types.h            |   2 +
 4 files changed, 342 insertions(+)

commit 5f297679b37be90b82460f6daaad77d9f08284d8
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Sun Jan 4 19:28:20 2015 +0600

    Prepare for 0.9.6 development.

 CMakeLists.txt | 2 +-
 NEWS           | 5 +++++
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 31c8f4170f58a21baebce226918e6ed52a46dd0b
Author: Aleix Pol <aleixpol@kde.org>
Date:   Thu Oct 30 17:23:14 2014 +0100

    Add the telepathy-qt include directories to the telepathy-qt target
    
    Whoever wants to link against telepathy-qt will need to be able to
    include it, so do it right away.
    
    Reviewed by: David Edmundson

 TelepathyQt/CMakeLists.txt | 1 +
 1 file changed, 1 insertion(+)

commit 7164fa9e4f73963c3dae0d6dc000aa31c29d46b6
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Wed Sep 10 12:09:16 2014 +0200

    Export BaseChannel

 TelepathyQt/base-channel.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60ac161af063d052ea601c14f39bf1031950d68d
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Tue Sep 9 00:10:13 2014 +0200

    Prepare for 0.9.5 release

 CMakeLists.txt | 8 ++------
 NEWS           | 2 +-
 2 files changed, 3 insertions(+), 7 deletions(-)

commit 191d7d44ec88be3785b39f785c25159bfc542604
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Sun Sep 7 18:14:34 2014 +0200

    Update NEWS

 NEWS | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 0205d383bb9b44a3b8c19fbecebd3e62315415ed
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Thu Sep 4 00:58:02 2014 +0600

    Revert "!Hackish! BaseChannelMessagesInterface::sendMessage: Token added to message header."
    
    Commit is useless, but patch is mostly reused in dd540578594d26cfcde54fc739992cae2f9b32fc.
    
    This reverts commit 6cb774eb3994b513e321a91cfcc2d29b9aa494c3.
    
    Conflicts:
    	TelepathyQt/base-channel.cpp

 TelepathyQt/base-channel.cpp | 2 --
 1 file changed, 2 deletions(-)

commit 7590c3f199703449dad5a0918f22615a960a2a39
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Wed Sep 3 14:41:05 2014 +0200

    set handler info in more dbus tests

 tests/dbus/client.cpp | 20 +++++++++++++++++---
 1 file changed, 17 insertions(+), 3 deletions(-)

commit 74e328063b976e428cd50e1addb8f9a6fe62146c
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Wed Sep 3 11:44:21 2014 +0200

    Revert "Add BaseConnection RequestsInterface"
    
    This reverts commit c00a4737402dd86630f117d9d5c65a12e1e55582.
    
    Patch made little sense.
    
    If this is going in the ctor because the interface is mandatory
    so should contacts. Also it needs to go via plugInterface so it's
    in the interfaces map, otherwise we end up with two

 TelepathyQt/base-connection.cpp | 54 +++++++++++++++++++----------------------
 TelepathyQt/base-connection.h   |  3 ---
 2 files changed, 25 insertions(+), 32 deletions(-)

commit c00a4737402dd86630f117d9d5c65a12e1e55582
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Aug 19 22:55:23 2014 +0600

    Add BaseConnection RequestsInterface

 TelepathyQt/base-connection.cpp | 54 ++++++++++++++++++++++-------------------
 TelepathyQt/base-connection.h   |  3 +++
 2 files changed, 32 insertions(+), 25 deletions(-)

commit 2a073463ce1c1f67e7109bc7b149aa9551e5e8ec
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Thu Aug 21 18:53:21 2014 +0600

    BaseChannel: Implemented descriptive unique name.

 TelepathyQt/base-channel.cpp | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 402587311ac8b230888b4cce5214e41bec055ad4
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Thu Aug 21 18:55:41 2014 +0600

    BaseConnection: Changed unique name.

 TelepathyQt/base-connection.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd540578594d26cfcde54fc739992cae2f9b32fc
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Thu Aug 21 03:39:08 2014 +0600

    BaseChannelMessagesInterface: Fixed timestamp of sent messages.

 TelepathyQt/base-channel.cpp | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit c7d1d42cf6d9e8be6f7e6089dd97eab016a8410d
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Tue Sep 2 22:36:08 2014 +0200

    Pass valid handlerInfo in tests

 tests/dbus/account-channel-dispatcher.cpp | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit ccabc8ad07739af1f3d7b4d02d8a1da689ae2afc
Author: Martin Klapetek <mklapetek@kde.org>
Date:   Fri Aug 1 12:00:08 2014 +0200

    Require newer versions of Farstream and Telepathy-Farstream

 CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fee87738e85e338f61228e0474b8ead1a23c4453
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Wed Aug 27 23:37:02 2014 +0200

    Avoid trying to load invalid channelRequest
    
    If there is no relevant channel-request properties in the supplied
    handlerInfo we can assume the channelRequest is bogus and we should
    avoid trying to load it.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=77986

 TelepathyQt/client-registrar.cpp | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit e460dfd8e1801412dedb11d8211642501f4989c5
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Wed Aug 27 20:19:57 2014 +0200

    fix typo in comment

 TelepathyQt/pending-channel-request.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07dd896bfb579e844aee08692253d4baf61e5036
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Mon Aug 25 18:20:14 2014 +0200

    Don't error on unused typedefs
    
    Unused typedefs can happen easily with varying versions of TpGlib, and
    it's not a problem that should cause compliation to fail.

 cmake/modules/TelepathyDefaults.cmake | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 4ae4669824ef31e744230ac9bc47da39380c1d73
Author: Marcin Ziemiński <zieminn@gmail.com>
Date:   Sat Jul 19 20:01:46 2014 +0200

    Allowed subclass of Tp::ReceivedMessage

 TelepathyQt/message.h | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 6cb774eb3994b513e321a91cfcc2d29b9aa494c3
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Fri Aug 15 01:36:47 2014 +0600

    !Hackish! BaseChannelMessagesInterface::sendMessage: Token added to message header.

 TelepathyQt/base-channel.cpp | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 12e5f4d55e4a22a97563b4e9747645aee5a79756
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Mon Aug 18 00:56:18 2014 +0600

    BaseConnectionRequestsInterface: Fixed createChannel() argument checks.

 TelepathyQt/base-connection.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a6f99eaad3bfc6ec798c6fb4dbe659d8d1ae0671
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Sun Aug 10 12:18:12 2014 +0600

    Added BaseChannelChatStateInterface.

 TelepathyQt/base-channel-internal.h |  22 +++++++
 TelepathyQt/base-channel.cpp        | 114 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          |  43 ++++++++++++++
 TelepathyQt/service-types.h         |   2 +
 4 files changed, 181 insertions(+)

commit 678c162f699518abd498188a3ca761694a356a5b
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Sat Aug 9 18:52:28 2014 +0600

    BaseConnection::Adaptee: Fixed getProtocol().

 TelepathyQt/base-connection-internal.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5af9bd275a4cdcb1ceb46020bfc9d9bb90810dc3
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Sat Aug 9 18:38:56 2014 +0600

    BaseConnection: Implemented RequestsInterface::channelClosed() emission.

 TelepathyQt/base-connection.cpp | 13 +++++++++++++
 TelepathyQt/base-connection.h   |  2 ++
 2 files changed, 15 insertions(+)

commit 7de03e48f79fb9eec69104395cd31ed111c15938
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Sat Aug 9 00:58:43 2014 +0600

    BaseConnection: Channels now will be closed on obj destruction.

 TelepathyQt/base-connection.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 20c5e719225c1a0a36113d7589acd1d15a6db0f9
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Sat Aug 9 00:56:28 2014 +0600

    BaseChannel: close() method extracted from Adaptee::close().
    
    Connection type changed from QueuedConnection to DirectConnection,
    because close() method will be used in destructor.

 TelepathyQt/base-channel.cpp | 15 ++++++++-------
 TelepathyQt/base-channel.h   |  2 ++
 2 files changed, 10 insertions(+), 7 deletions(-)

commit ed1189e0b5759cb06cfb178829f6618a460e2a7f
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Aug 5 21:32:02 2014 +0600

    Added BaseChannelSecurableInterface.

 TelepathyQt/base-channel-internal.h | 17 +++++++
 TelepathyQt/base-channel.cpp        | 99 +++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          | 40 +++++++++++++++
 TelepathyQt/service-types.h         |  2 +
 4 files changed, 158 insertions(+)

commit b857325763461b8a61180bc2894abd0ff69eec59
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Wed Jul 9 20:17:35 2014 +0600

    Added BaseConnectionContactInfoInterface.

 TelepathyQt/base-connection-internal.h |  30 +++++
 TelepathyQt/base-connection.cpp        | 215 ++++++++++++++++++++++++++++++++-
 TelepathyQt/base-connection.h          |  59 +++++++++
 TelepathyQt/service-types.h            |   2 +
 4 files changed, 305 insertions(+), 1 deletion(-)

commit 916104436276bc526390ac44842e7a9d3b2df908
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Jul 29 17:34:53 2014 +0600

    Added BaseConnectionAliasingInterface.

 TelepathyQt/base-connection-internal.h |  25 +++++
 TelepathyQt/base-connection.cpp        | 182 +++++++++++++++++++++++++++++++++
 TelepathyQt/base-connection.h          |  53 ++++++++++
 TelepathyQt/service-types.h            |   2 +
 4 files changed, 262 insertions(+)

commit 3fceeb1c8cb0b27e22853fcdb935a073e0f94953
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Aug 5 00:07:04 2014 +0600

    BaseConnectionSimplePresenceInterface: Added missing methods.
    
    Methods statuses() and maximumStatusMessageLength() added and marked as public.

 TelepathyQt/base-connection.cpp | 11 ++++++++++-
 TelepathyQt/base-connection.h   | 11 +++++++----
 2 files changed, 17 insertions(+), 5 deletions(-)

commit 874756ab07f2479d6611d216d2b133c89d97b3af
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Tue Jul 29 02:46:58 2014 +0600

    Improved BaseConnectionContactListInterface.
    
    Implemented missing callback methods.
    Removed deprecated methods.

 TelepathyQt/base-connection-internal.h |  27 ++--
 TelepathyQt/base-connection.cpp        | 285 ++++++++++++++++++++++++++-------
 TelepathyQt/base-connection.h          |  52 ++++--
 3 files changed, 292 insertions(+), 72 deletions(-)

commit e6704080b8d94d0e42e7263ceaf172b2abc5f4a5
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Sun Jul 20 02:04:18 2014 +0600

    base-connection.cpp: Fixed comments.

 TelepathyQt/base-connection.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 62a13f68c7406d14fb407fd160e3d45fae5ef219
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Fri Jun 27 20:19:42 2014 +0600

    BaseConnectionAddressingInterface: Fixed comments.

 TelepathyQt/base-connection.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 25dd6741f973aab999860cf365e3b273127560f3
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Thu Jun 26 18:04:24 2014 +0600

    BaseChannelCaptchaAuthenticationInterface: Fixed property exposing.

 TelepathyQt/base-channel.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aefe3feeb4c35dffd65239d2cc522e97f6ee2c59
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Thu Jun 19 18:57:50 2014 +0600

    BaseConnection: Implemented missed addChannel() method.

 TelepathyQt/base-connection.cpp | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit eb9ae568d189e354d52565b24657c3df9325af1a
Author: Alexandr Akulich <akulichalexander@gmail.com>
Date:   Thu Jun 19 18:57:32 2014 +0600

    Added BaseChannelSASLAuthenticationInterface.

 TelepathyQt/base-channel-internal.h |  49 +++++
 TelepathyQt/base-channel.cpp        | 372 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          | 103 ++++++++++
 TelepathyQt/service-types.h         |   2 +
 4 files changed, 526 insertions(+)

commit 9ecdd378fdfc7c2d15c390f7cf7102be69ffc218
Author: Alin Elena <alinm.elena@gmail.com>
Date:   Wed Jan 29 11:53:48 2014 +0100

    Update FindGStreamer0.10 -> FindGStreamer1.0
    
    Reviewed-by: David Edmundson

 cmake/modules/FindGStreamer.cmake | 22 ++++++----------------
 1 file changed, 6 insertions(+), 16 deletions(-)

commit 290f659ff5fbb8ad7889c56769e55ec31ecf75c8
Author: Diane Trout <diane@ghic.org>
Date:   Wed Jan 15 22:29:00 2014 -0800

    start updating TelepathyQt to use newer farstream

 cmake/modules/FindFarstream.cmake | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 4fca056a8011ff14769f858e53ea65b47ded4b19
Author: John Brooks <john.brooks@jollamobile.com>
Date:   Thu Jun 19 05:35:51 2014 -0600

    Fix Qt5 pkgconfig dependencies for Farstream
    
    0191a6dd fixed the pkgconfig dependencies for Qt5, but missed updating
    TelepathyQtFarstream and two other files.
    
    Reviewed-by: David Edmundson <davidedmundson@kde.org>

 TelepathyQt/Farstream/TelepathyQtFarstream-uninstalled.pc.in | 2 +-
 TelepathyQt/Farstream/TelepathyQtFarstream.pc.in             | 2 +-
 TelepathyQt/TelepathyQtService-uninstalled.pc.in             | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 1916533698d0212bad4e0af5168db4992ceef99d
Author: David Edmundson <davidedmundson@kde.org>
Date:   Sat Jun 14 17:51:23 2014 +0200

    Enable services by default

 CMakeLists.txt             | 6 +++---
 TelepathyQt/CMakeLists.txt | 4 ++--
 examples/cm/CMakeLists.txt | 4 ++--
 tests/dbus/CMakeLists.txt  | 4 ++--
 4 files changed, 9 insertions(+), 9 deletions(-)

commit c82352e31f31bf433b120f1bcc73927661a1fdd4
Author: David Edmundson <davidedmundson@kde.org>
Date:   Sat Jun 14 17:51:10 2014 +0200

    Remove unused function

 tests/dbus/dbus-tube-chan.cpp | 5 -----
 1 file changed, 5 deletions(-)

commit af98a9b3c6a31c97caab532c547d1168cdac94bd
Author: Anant Kamath <kamathanant@gmail.com>
Date:   Fri Aug 2 21:03:12 2013 +0530

    Fix Qt4 compilation

 TelepathyQt/base-channel.cpp    | 12 ++++++------
 TelepathyQt/base-connection.cpp |  8 ++++----
 2 files changed, 10 insertions(+), 10 deletions(-)

commit 88e1c41725559cd625af02e35863e596fb60d1e0
Author: Matthias Gehre <M.Gehre@gmx.de>
Date:   Mon Mar 25 23:08:01 2013 -0500

    cmake: telepathy-service does not depend on telepathy

 TelepathyQt/CMakeLists.txt      | 1 -
 TelepathyQt/base-connection.cpp | 1 -
 2 files changed, 2 deletions(-)

commit 2606e5026dcea3c6c8e7d5b28156afedb5c43444
Author: Matthias Gehre <M.Gehre@gmx.de>
Date:   Sat Mar 23 09:23:23 2013 -0500

    Add BaseChannelGroupInterface

 TelepathyQt/base-channel-internal.h |  43 +++++++
 TelepathyQt/base-channel.cpp        | 248 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          |  41 ++++++
 TelepathyQt/service-types.h         |   2 +
 4 files changed, 334 insertions(+)

commit 24381dbe117a1e45669762fe83f9aeccd1a3ea3d
Author: Matthias Gehre <M.Gehre@gmx.de>
Date:   Mon Mar 25 22:51:38 2013 -0500

    Add BaseChannelCaptchaAuthenticationInterface

 TelepathyQt/base-channel-internal.h |  23 +++++
 TelepathyQt/base-channel.cpp        | 183 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          |  44 +++++++++
 TelepathyQt/service-types.h         |   2 +
 4 files changed, 252 insertions(+)

commit a0fc3be57195981af30c7efeace625f3cccb6f1d
Author: Matthias Gehre <M.Gehre@gmx.de>
Date:   Sat Mar 9 21:08:19 2013 -0600

    Add BaseChannelServerAuthenticationType

 TelepathyQt/base-channel-internal.h | 12 +++++++
 TelepathyQt/base-channel.cpp        | 72 +++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          | 30 ++++++++++++++++
 TelepathyQt/service-types.h         |  2 ++
 4 files changed, 116 insertions(+)

commit 5dd4aba91e38fa3c3d4000136ce75ee3a2cfec74
Author: Matthias Gehre <M.Gehre@gmx.de>
Date:   Sat Mar 9 13:32:43 2013 -0600

    Add BaseConnectionAddressingInterface

 TelepathyQt/base-connection-internal.h |  19 ++++++
 TelepathyQt/base-connection.cpp        | 120 +++++++++++++++++++++++++++++++++
 TelepathyQt/base-connection.h          |  42 ++++++++++++
 TelepathyQt/service-types.h            |   2 +
 4 files changed, 183 insertions(+)

commit 14c2f25952b3e94d96028b1d806b330faede3bfe
Author: Matthias Gehre <M.Gehre@gmx.de>
Date:   Mon Mar 25 22:53:17 2013 -0500

    Add BaseConnectionContactListInterface

 TelepathyQt/base-connection-internal.h |  33 ++++++
 TelepathyQt/base-connection.cpp        | 177 +++++++++++++++++++++++++++++++++
 TelepathyQt/base-connection.h          |  44 ++++++++
 TelepathyQt/service-types.h            |   2 +
 4 files changed, 256 insertions(+)

commit 172464d51f36ede3e6e07dd9cc6357eca24aabe0
Author: Matthias Gehre <M.Gehre@gmx.de>
Date:   Mon Mar 25 22:56:34 2013 -0500

    Add BaseConnectionSimplePresenceInterface

 TelepathyQt/base-connection-internal.h |  24 +++++
 TelepathyQt/base-connection.cpp        | 169 +++++++++++++++++++++++++++++++++
 TelepathyQt/base-connection.h          |  40 ++++++++
 TelepathyQt/service-types.h            |   2 +
 4 files changed, 235 insertions(+)

commit 252487148cf46603c71e255a22edc7a69e28b9ab
Author: Matthias Gehre <M.Gehre@gmx.de>
Date:   Mon Mar 25 15:34:59 2013 -0500

    Add BaseChannelMessagesInterface

 TelepathyQt/base-channel-internal.h |  41 ++++++++
 TelepathyQt/base-channel.cpp        | 201 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          |  56 ++++++++++
 TelepathyQt/service-types.h         |   2 +
 4 files changed, 300 insertions(+)

commit 483c0d518278aa7c7762cca8517f8fa6dc4e169e
Author: Matthias Gehre <M.Gehre@gmx.de>
Date:   Mon Mar 25 15:34:25 2013 -0500

    Add BaseChannelTextType

 TelepathyQt/base-channel-internal.h |  23 +++++
 TelepathyQt/base-channel.cpp        | 190 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          |  50 ++++++++++
 TelepathyQt/service-types.h         |   2 +
 4 files changed, 265 insertions(+)

commit 516e26cf2d4b3e13b58e2f6d0fbd6ed052b5d8d7
Author: Matthias Gehre <M.Gehre@gmx.de>
Date:   Mon Mar 25 15:32:57 2013 -0500

    Add BaseConnectionContactsInterface

 TelepathyQt/base-connection-internal.h |  17 ++++++
 TelepathyQt/base-connection.cpp        | 107 +++++++++++++++++++++++++++++++++
 TelepathyQt/base-connection.h          |  40 ++++++++++++
 TelepathyQt/service-types.h            |   2 +
 4 files changed, 166 insertions(+)

commit 309c3852dd2abacf7c8f06b34f82b1585a995ff7
Author: Matthias Gehre <M.Gehre@gmx.de>
Date:   Mon Mar 25 15:32:11 2013 -0500

    Add BaseConnectionRequestsInterface

 TelepathyQt/base-connection-internal.h |  26 +++++
 TelepathyQt/base-connection.cpp        | 174 +++++++++++++++++++++++++++++++++
 TelepathyQt/base-connection.h          |  40 ++++++++
 TelepathyQt/service-types.h            |   2 +
 4 files changed, 242 insertions(+)

commit a4b4c922aeb12af563440d913c48d0e0e6a044f9
Author: Matthias Gehre <M.Gehre@gmx.de>
Date:   Mon Mar 25 15:30:32 2013 -0500

    Implement BaseConnection and AbstractConnectionInterface

 TelepathyQt/base-connection-internal.h |  50 ++++
 TelepathyQt/base-connection.cpp        | 414 +++++++++++++++++++++++++++++++--
 TelepathyQt/base-connection.h          |  80 +++++--
 TelepathyQt/service-types.h            |   2 +
 4 files changed, 515 insertions(+), 31 deletions(-)

commit 90fbae19f732d25ecfd83c442a1c65a17d01d0e6
Author: Matthias Gehre <M.Gehre@gmx.de>
Date:   Mon Mar 25 15:27:05 2013 -0500

    Add BaseChannel and AbstractChannelInterface

 TelepathyQt/BaseChannel             |  13 ++
 TelepathyQt/CMakeLists.txt          |   5 +
 TelepathyQt/base-channel-internal.h |  95 ++++++++++
 TelepathyQt/base-channel.cpp        | 342 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/base-channel.h          | 110 ++++++++++++
 TelepathyQt/service-types.h         |   4 +
 6 files changed, 569 insertions(+)

commit 7d92fd9941335a26ac010d30a6d6803f94886044
Author: David Edmundson <davidedmundson@kde.org>
Date:   Sat Jun 14 13:51:31 2014 +0200

    Prepare for 0.9.5 development

 CMakeLists.txt | 2 +-
 NEWS           | 5 +++++
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 4b0d7109f9251b65eaae61535fb646e73df73e1d
Author: David Edmundson <davidedmundson@kde.org>
Date:   Sat Jun 14 13:17:58 2014 +0200

    Prepare release 0.9.4

 CMakeLists.txt | 4 ++--
 NEWS           | 5 +++--
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 0191a6ddf0c094d9ae61b9ee48f1b282e13a9ef2
Author: Uwe L. Korn <uwelk@xhochy.com>
Date:   Wed Feb 26 18:40:43 2014 +0000

    Add 5 to pkg-config package names for Qt5

 CMakeLists.txt                            | 5 +++++
 TelepathyQt/TelepathyQt-uninstalled.pc.in | 2 +-
 TelepathyQt/TelepathyQt.pc.in             | 2 +-
 TelepathyQt/TelepathyQtService.pc.in      | 2 +-
 4 files changed, 8 insertions(+), 3 deletions(-)

commit ff169cde751d0bb0309109514dd10b9eff7de4e3
Author: Uwe L. Korn <uwelk@xhochy.com>
Date:   Fri Mar 28 10:28:16 2014 +0000

    Add Q_UNUSED as Q_ASSERT is a no-op in release mode
    
    Reviewed-by: David Edmundson

 TelepathyQt/connection-manager.cpp     | 1 +
 examples/file-transfer/file-sender.cpp | 2 ++
 2 files changed, 3 insertions(+)

commit 7feb7ee8d2eb1986b5a1314bb064b39a79718c68
Author: Uwe Korn <uwelk@xhochy.com>
Date:   Fri Mar 14 16:56:36 2014 +0100

    Allow compilation when only qmake-qt4 is in the path
    
    If Qt5 is found via cmake we do not need to find the qmake
    executable. This fixes builds when only qmake4 is available in the path.
    
    Reviewed-by: David Edmundson

 cmake/modules/FindQt.cmake | 41 ++++++++++++++++++++++++++---------------
 1 file changed, 26 insertions(+), 15 deletions(-)

commit dca59397c00d27f3de0da4269fe53d4dda5520cb
Author: Uwe Korn <uwelk@xhochy.com>
Date:   Fri Mar 14 16:55:26 2014 +0100

    Simplify FindQt5.cmake
    
    Make further use of Qt 5's cmake integration
    
    Reviewed-by: David Edmundson

 cmake/modules/FindQt5.cmake | 53 ++++++++++++++++++++++++++-------------------
 1 file changed, 31 insertions(+), 22 deletions(-)

commit 938509e23a3a02609d96dd82abdcb5a51d104b57
Author: Dario Freddi <dario.freddi@ispirata.com>
Date:   Sun Feb 2 15:40:38 2014 +0100

    Fix moc command for Qt5.2
    
    The check was already there, but since Qt5 CMake files are being shipped with
    Qt5 itself, the check was meaningless as the only thing which matters is
    Qt's version, and not CMake's one.
    
    Reviewed-by: David Edmundson <davidedmundson@kde.org>

 cmake/modules/FindQt.cmake | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7dea729f7c164eeed3b672a24d096cbe1737d709
Merge: 46029e9 9d349d4
Author: Dario Freddi <dario.freddi@ispirata.com>
Date:   Sun Feb 2 15:22:57 2014 +0100

    Merge branch 'spec_updates'
    
    Reviewed-by: Dario Freddi <dario.freddi@ispirata.com>

commit 9d349d4d0a56bbd5fe0799193448a53c6247d14a
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Sun Jan 19 23:12:52 2014 +0100

    Fix ChannelDispatcher.Messages test

 tests/dbus/contact-messenger.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5afa270e4eed0f6401509809331db7e8a13653ca
Author: Leon Handreke <leonh@ndreke.de>
Date:   Sat Jan 18 18:32:40 2014 +0100

    Add {Room,Subject,RoomConfig} interfaces to generation

 TelepathyQt/CMakeLists.txt                      |  3 +++
 TelepathyQt/ChannelInterfaceRoomConfigInterface | 13 +++++++++++++
 TelepathyQt/ChannelInterfaceRoomInterface       | 13 +++++++++++++
 TelepathyQt/ChannelInterfaceSubjectInterface    | 13 +++++++++++++
 TelepathyQt/channel.xml                         |  3 +++
 TelepathyQt/svc-channel.xml                     |  3 +++
 6 files changed, 48 insertions(+)

commit bb2c4e68af128fe76d5599b46b33c81d7841608e
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Sun Jan 19 20:50:11 2014 +0100

    Update test library to match spec changes

 tests/lib/glib/future/extensions/misc.xml | 1 -
 1 file changed, 1 deletion(-)

commit 6823281506d8e063e43e6ecd0ae071b48758f90c
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Sun Jan 19 20:19:42 2014 +0100

    Update changes from Channel_Dispatcher_Future

 TelepathyQt/channel-dispatcher.xml        | 14 ++++++++++++++
 TelepathyQt/contact-messenger.cpp         |  7 +++----
 TelepathyQt/future-channel-dispatcher.xml | 12 ------------
 tools/manager-file.py                     |  1 +
 4 files changed, 18 insertions(+), 16 deletions(-)

commit 7eb108bc2d06ce9f26585bfd8b342d792f674cab
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Sun Jan 19 19:31:00 2014 +0100

    Update to spec 0.27.3

 spec/Account_Interface_Addressing.xml              |   8 +
 spec/Account_Interface_Minimum_Presence.xml        | 108 ------
 spec/Call_Content_Codec_Offer.xml                  |  87 -----
 spec/Call_Content_Interface_Mute.xml               |  85 -----
 spec/Channel.xml                                   |   2 +-
 spec/Channel_Dispatcher_Future.xml                 | 377 ---------------------
 spec/Channel_Dispatcher_Interface_Messages.xml     |  49 ---
 spec/Channel_Dispatcher_Interface_Messages1.xml    | 175 ++++++++++
 spec/Channel_Interface_Room_Config.xml             |   2 +-
 spec/Channel_Interface_Tube.xml                    |   3 +-
 spec/Channel_Request_Future.xml                    |  98 ------
 spec/Channel_Type_Call.xml                         |  15 +-
 spec/Channel_Type_DBus_Tube.xml                    |   7 +-
 spec/Channel_Type_File_Transfer.xml                |  29 ++
 spec/Channel_Type_Room_List.xml                    |   3 +-
 spec/Channel_Type_Stream_Tube.xml                  |   7 +-
 spec/Connection.xml                                |  42 ++-
 spec/Connection_Future.xml                         | 110 ------
 spec/Connection_Interface_Contact_Capabilities.xml |   2 +-
 spec/Connection_Interface_Contact_List.xml         |   2 +-
 spec/Connection_Interface_Contacts.xml             |  58 ++++
 spec/Connection_Interface_IRC_Command1.xml         |  55 +++
 spec/Connection_Interface_Renaming.xml             |   4 +-
 spec/Connection_Interface_Sidecars1.xml            | 110 ++++++
 spec/Connection_Manager.xml                        |   3 +-
 spec/Protocol_Interface_Presence.xml               |   3 +-
 spec/all.xml                                       |  26 +-
 spec/errors.xml                                    |   8 +-
 28 files changed, 530 insertions(+), 948 deletions(-)

commit 46029e9f26c78f95c9846097d296ddaec9826c44
Author: Martin Kampas <martin.kampas@tieto.com>
Date:   Tue Nov 12 11:54:00 2013 +0100

    Fix HandledChannelNotifier for Qt5
    
    The QObject::connectNotify() signature changed in Qt5.
    
    Detected by
    TestAccountChannelDispatcher::testCreateAndHandleChannelHandledAgain()
    which hangs forever because HandledChannelNotifier::handledAgain() gets
    never emitted.
    
    Reviewed-by: David Edmundson <davidedmundson@kde.org>

 TelepathyQt/handled-channel-notifier.cpp | 9 +++++++++
 TelepathyQt/handled-channel-notifier.h   | 6 +++++-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit d6435eb0c335bab46d33d727560e2732bcd203aa
Author: Martin Kampas <martin.kampas@tieto.com>
Date:   Tue Nov 12 08:09:22 2013 +0100

    Fix TestDBusProxyFactory::testDropRefs
    
    (Hopefully) prevent getting the new proxy instantiated on the very same
    address.
    
    Reviewed-by: David Edmundson <davidedmundson@kde.org>

 tests/dbus/dbus-proxy-factory.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 1adfbc3329dfa604165d9fd197abb14000e1ac1f
Author: Martin Kampas <martin.kampas@tieto.com>
Date:   Mon Nov 11 15:39:00 2013 +0100

    Fix TestAccountSet::testFilters
    
    The ordering of mAM->allAccounts() has changed. Fixed so it works
    irrespective of the order.
    
    Reviewed-by: David Edmundson <davidedmundson@kde.org>

 tests/dbus/account-set.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 15ddf0963b75f09b1ed6558dd0472058e7eb9914
Author: Martin Kampas <martin.kampas@tieto.com>
Date:   Fri Nov 8 13:54:19 2013 +0100

    Fix TestKeyFile: sort list before comparing
    
    Reviewed-by: David Edmundson <davidedmundson@kde.org>

 tests/key-file.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit de35be668db0e31b3fe1114e0885b6506ed30eba
Author: John Brooks <john.brooks@jollamobile.com>
Date:   Wed Jan 22 13:22:48 2014 -0700

    Fix tests build for Qt5 release
    
    Reviewed-by: David Edmundson <davidedmundson@kde.org>

 tests/dbus/account-channel-dispatcher.cpp |  2 +-
 tests/dbus/chan-basics.cpp                |  2 +-
 tests/dbus/chan-conference.cpp            | 10 +++++-----
 tests/dbus/chan-group.cpp                 |  2 +-
 tests/dbus/client-factories.cpp           |  4 ++--
 tests/dbus/client.cpp                     |  4 ++--
 tests/dbus/contact-messenger.cpp          |  2 +-
 tests/dbus/contact-search-chan.cpp        |  4 ++--
 tests/dbus/properties.cpp                 |  2 +-
 tests/dbus/stream-tube-handlers.cpp       |  2 +-
 tests/dbus/streamed-media-chan.cpp        |  2 +-
 tests/dbus/text-chan.cpp                  |  4 ++--
 12 files changed, 20 insertions(+), 20 deletions(-)

commit a074b02f8c1c6ee2fb8f15091812f0f8d9370cb5
Author: David Edmundson <david@davidedmundson.co.uk>
Date:   Wed Jan 22 13:03:16 2014 -0700

    Fix build for Qt5 release
    
    Reviewed-by: John Brooks <john.brooks@jolla.com>

 TelepathyQt/Farstream/channel.cpp |  6 ++--
 TelepathyQt/account.cpp           |  4 +--
 TelepathyQt/utils.cpp             |  2 +-
 cmake/modules/FindQt5.cmake       | 68 +++++++++------------------------------
 4 files changed, 21 insertions(+), 59 deletions(-)

commit 05fe3f4980bbc6b016e25dcf07e44afe29e377c0
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Sun Sep 29 22:19:27 2013 +0000

    Fix compilation on new versions of cmake
    
    Recent cmake has changed the argument count to
    qt4_create_moc_command, we need to adjust accordingly
    
    Reviewed-by: Dario Freddi <dario.freddi@ispirata.com>

 cmake/modules/FindQt.cmake | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 0f20582acc1dd952cde1bff9a1a2c093c1da9f2a
Author: Dario Freddi <dario.freddi@ispirata.com>
Date:   Mon Jul 15 01:24:44 2013 +0200

    Kill the last bits of Farsight

 CMakeLists.txt                            | 25 ++--------------
 TelepathyQt/main.dox                      |  4 +--
 cmake/modules/FindTelepathyFarsight.cmake | 49 -------------------------------
 cmake/modules/TelepathyDist.cmake         | 20 ++++++-------
 4 files changed, 15 insertions(+), 83 deletions(-)

commit 76722e2a0d89716412a5c3eb5281553eaeff1e94
Author: Dario Freddi <dario.freddi@ispirata.com>
Date:   Mon Jul 15 00:59:04 2013 +0200

    Update NEWS

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d007ff722c77618cbbfbdbc5c495e5b263e14f80
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Wed Apr 3 23:24:34 2013 +0200

    account: add method Account::createDbusTubeRoom
    
    fixes fd.o #63089
    
    Reviewed-by: Dario Freddi <dario.freddi@ispirata.com>

 TelepathyQt/account.cpp | 27 +++++++++++++++++++++++++++
 TelepathyQt/account.h   |  6 ++++++
 2 files changed, 33 insertions(+)

commit cc2e296d8e7fe0500c48574052b00778bb3840f4
Author: Dario Freddi <dario.freddi@ispirata.com>
Date:   Mon Jul 15 00:26:09 2013 +0200

    Update NEWS

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 375691fb7b1d53943c0ec4f0b15dc07f0db702c9
Author: Dario Freddi <dario.freddi@ispirata.com>
Date:   Mon Jul 15 00:24:25 2013 +0200

    Removing old Farsight files.
    
    Actually, the directory was already deprecated and never triggered. This change simply cleans up the tree.
    
    Signed-off-by: Dario Freddi <dario.freddi@ispirata.com>
    Reviewed-by: David Edmundson <davidedmundson@kde.org>

 TelepathyQt/CMakeLists.txt                         |  1 -
 TelepathyQt/Farsight/CMakeLists.txt                | 85 -------------------
 TelepathyQt/Farsight/Channel                       | 13 ---
 .../Farsight/TelepathyQtFarsight-uninstalled.pc.in | 11 ---
 TelepathyQt/Farsight/TelepathyQtFarsight.pc.in     | 11 ---
 .../Farsight/TelepathyQtFarsightConfig.cmake.in    | 24 ------
 TelepathyQt/Farsight/channel.cpp                   | 98 ----------------------
 TelepathyQt/Farsight/channel.h                     | 43 ----------
 TelepathyQt/Farsight/global.h                      | 58 -------------
 9 files changed, 344 deletions(-)

commit aa8c33371e1d16267d302ddbb0f52abad7686472
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Mon Jun 17 21:21:11 2013 +0100

    tests: sync simple-channel-dispatch-operation.c from telepahty-glib
    
    This fixed a memory leak introduced in the last commit
    
    Reviewed-by: Martin Klapetek <mklapetek@kde.org>

 tests/lib/glib/simple-channel-dispatch-operation.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 3de4dea2ca0338f7fa89b8c8f4f46c9547c89e3c
Author: David Edmundson <kde@davidedmundson.co.uk>
Date:   Fri Feb 15 22:41:25 2013 +0000

    Remove references to deprecated tp_channel_borrow_immutable_properties
    
    and replace with tp_channel_dup_immutable_properties
    this allows tests to compile against newer versions of Telepathy glib
    
    Reviewed-by: Martin Klapetek <mklapetek@kde.org>

 tests/lib/glib/simple-channel-dispatch-operation.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7553d37da8c79776890285c70ff98b5602f71d53
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Mar 25 15:22:46 2013 +0200

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 819e00afb6814b58670edc15ff21ccf43e45c958
Author: Matthias Gehre <gehre.matthias@gmail.com>
Date:   Mon Mar 25 15:21:20 2013 +0200

    Fix stack overflow in SimpleObserver::create
    
    Reviewed-by: George Kiagiadakis <george.kiagiadakis@collabora.com>

 TelepathyQt/simple-observer.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b4a8be81c4e7cacfe31356a7d89e0af97d7d506f
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 7 14:49:45 2013 +0200

    Update NEWS

 NEWS | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8da9f7069929893bcee64dab22101134752fe618
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 7 14:37:49 2013 +0200

    Fix storing avatars, so that they are not stored millions of times each
    
    The original problem lies in the fact that QFile::rename() does not overwrite
    existing files. Therefore it fails and the temporary file stays on the
    filesystem together with the already existing avatar file. Checking if the file
    exists before renaming solves this partially, but the problem is that this
    operation is not atomic. There can be many processes using tp-qt, fetching
    avatars at the same time from the server, and in this case we can still have
    a problem there. The final solution is to ignore a new avatar that has the same
    token as an avatar that is already on the filesystem. According to the spec,
    different avatars have different tokens, so if an avatar changes, the token
    changes as well.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=47647
    
    Reviewed-by: David Edmundson <kde@davidedmundson.co.uk>

 TelepathyQt/contact-manager.cpp | 32 +++++++++++++++++++++-----------
 1 file changed, 21 insertions(+), 11 deletions(-)

commit 3f82f8b0c1e87718cf390f9388f177e5b0ce9f39
Author: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
Date:   Fri Feb 1 19:10:28 2013 +0100

    Fix warning in DBusTubeChannel
    
    Reviewed-by: Dario Freddi <drf@kde.org>

 TelepathyQt/dbus-tube-channel.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 12c60ba7b7ade3a5cbf43d915a5d6813619a55c3
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Aug 27 19:39:26 2012 +0200

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 145e58636b130502adf0bd0ad5d5551aae2e2932
Merge: ae72553 4f56270
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Aug 27 19:37:49 2012 +0200

    Merge branch 'tp-glib-0.18'
    
    Reviewed-by: George Kiagiadakis <george.kiagiadakis@collabora.com>

commit 4f562709551fdfad6587a14332466937061b8beb
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Aug 27 19:28:49 2012 +0200

    cmake: Require tp-glib 0.18

 CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6c05efa268c80947060929dc8fe6f2d4cd7d5a15
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Aug 27 19:28:24 2012 +0200

    glib: Disable tp_tests_connection_run_until_contact_by_id to avoid requiring 0.19.x

 tests/lib/glib/util.c | 4 ++++
 1 file changed, 4 insertions(+)

commit ae725534b1c8df44d2a0005764618f79475c7615
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Aug 27 19:20:33 2012 +0200

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 2414ecb2482a80a805d824ddf0258cb120fd9d9b
Author: Ken VanDine <ken.vandine@canonical.com>
Date:   Mon Aug 27 19:00:42 2012 +0200

    Link telepathy-qt4-farsight against gobject
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

 TelepathyQt/Farstream/CMakeLists.txt | 1 +
 1 file changed, 1 insertion(+)

commit d309812522dd3f2988d99d8f66570f0aa053bc83
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Aug 27 18:55:44 2012 +0200

    farsight: Fix linking
    
    Thanks to shadeslayer for the patch
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

 TelepathyQt/Farsight/CMakeLists.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 1fbca358bfb4627697429d0429f2d0fb8073b7bb
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Jul 13 21:40:33 2012 +0300

    Start 0.9.4 development

 CMakeLists.txt |  2 +-
 NEWS           | 11 +++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 939a14b3878eaed64cb0d757de3cea5b67d5ddec
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Jul 13 19:40:23 2012 +0200

    Prepare release 0.9.3

 CMakeLists.txt | 4 ++--
 NEWS           | 6 ++----
 2 files changed, 4 insertions(+), 6 deletions(-)

commit 58c3df98442b68d141b2ba575ac28cdbdb26392c
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Jul 13 19:36:55 2012 +0200

    Update NEWS

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 3969c8de50336d37bc9996cdc5d0f654cc92bac2
Merge: 3ed6682 90295f0
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Jul 13 19:33:11 2012 +0200

    Merge branch 'deprecate-stream'
    
    Reviewed-by: George Kiagiadakis <george.kiagiadakis@collabora.com>
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

commit 90295f0e806f189b6eeb0ba5965191b2f97095ed
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Jul 13 19:19:21 2012 +0300

    AccountManager: Add audioCallAccounts() / videoCallAccounts() methods

 TelepathyQt/account-manager.cpp | 48 +++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/account-manager.h   |  3 +++
 2 files changed, 51 insertions(+)

commit 10cd2eec3c4d6cd317adaee924d762e80d77772c
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Jul 13 19:02:51 2012 +0300

    SimpleCallObserver: Handle Call1 channels and deprecate usage of the StreamedMedia methods

 TelepathyQt/simple-call-observer.cpp | 111 ++++++++++++++++++++++++++++-------
 TelepathyQt/simple-call-observer.h   |   7 ++-
 2 files changed, 96 insertions(+), 22 deletions(-)

commit 1083491c611196246bfc0d4b203be95c6bd0b9d7
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Jul 13 18:43:11 2012 +0300

    ChannelClassSpec: Add mediaCall() method.
    
    This can be useful for observers that wish to observe both
    audio and video calls. Using this method, they won't have to
    have two channel filters, one for audio and one for video.

 TelepathyQt/channel-class-spec.cpp | 15 +++++++++++++++
 TelepathyQt/channel-class-spec.h   |  7 +++----
 2 files changed, 18 insertions(+), 4 deletions(-)

commit 3dd7cb3921f0a4a1a8724541887e3c9ef48a2b1e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Jul 13 17:43:40 2012 +0200

    Farsight: Deprecate Farsight

 TelepathyQt/Farsight/channel.h |  2 +-
 TelepathyQt/Farsight/global.h  | 12 ++++++++++++
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 28128b76904503b3a308372439b177ecd58c9b62
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Jul 13 17:41:56 2012 +0200

    Deprecate in one single run every occurrence of StreamedMediaChannel

 TelepathyQt/account-manager.h                |  8 +++----
 TelepathyQt/account.h                        | 32 ++++++++++++++--------------
 TelepathyQt/capabilities-base.h              | 10 ++++-----
 TelepathyQt/channel-class-spec.h             | 28 ++++++++++++------------
 TelepathyQt/channel-factory.h                | 10 ++++-----
 TelepathyQt/connection-capabilities.h        |  4 ++--
 TelepathyQt/requestable-channel-class-spec.h | 12 +++++------
 TelepathyQt/streamed-media-channel.h         |  6 +++---
 TelepathyQt/types.h                          |  4 ++--
 9 files changed, 57 insertions(+), 57 deletions(-)

commit f55876feb630d3fc3f82f3fee0127544c696b8f9
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Jul 13 17:41:18 2012 +0200

    global.h: Fix the TP_QT_DEPRECATED macro to have no effect when building the library. Add a new TP_QT_EXPORT_DEPRECATED macro to cope with moc.

 TelepathyQt/global.h | 38 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 37 insertions(+), 1 deletion(-)

commit 3ed6682d07402e0ff2a8e9bbb0c38949b4b3cf75
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Jul 13 18:22:21 2012 +0300

    Update NEWS

 NEWS | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0418dd11219f3802e08980761a4bd6a1ca2e317b
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Jul 13 18:11:24 2012 +0300

    Farsight/Farstream: Use tp_simple_client_factory_ensure_connection() instead of the deprecated tp_connection_new()
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

 TelepathyQt/Farsight/channel.cpp  | 17 +++++++++++++----
 TelepathyQt/Farstream/channel.cpp | 20 ++++++++++++++++----
 2 files changed, 29 insertions(+), 8 deletions(-)

commit 492821581f2d9feae9b5fd5d71b5433630cbc7fb
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Jul 13 16:27:50 2012 +0200

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 23ada7c2c8ca11afa94c543b627874a65f00a6ae
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Jul 13 16:18:05 2012 +0200

    tests: Sync util.* from tp-glib to avoid deprecation warnings
    
    Reviewed-by: George Kiagiadakis <george.kiagiadakis@collabora.com>

 tests/lib/glib/util.c | 288 +++++++++++++++++++++++++++++++++++++++++++++++---
 tests/lib/glib/util.h |  35 +++++-
 2 files changed, 305 insertions(+), 18 deletions(-)

commit e25458dbb1a87aa07e075960e28b744e4ed19d8b
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Jul 13 16:25:53 2012 +0200

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit ae352a1eb7f27396b902fc1fa8722aadeb0a52fa
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Jul 13 16:23:50 2012 +0200

    tests: Remove occurrences of tp_handle_unref
    
    Reviewed-by: George Kiagiadakis <george.kiagiadakis@collabora.com>

 tests/dbus/dbus-tube-chan.cpp | 5 -----
 1 file changed, 5 deletions(-)

commit 037822c82a9495b237bfc805f06bcaddbdf02b49
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Jul 12 21:33:14 2012 +0300

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 2e797d4bf9ecc27dcac3387c5d5e1229e7cb6eed
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Jul 12 21:29:55 2012 +0300

    tp-glib-tests: link to the dbus-1 library, as it is used in the dbus tubes test CM
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

 tests/lib/glib/CMakeLists.txt | 1 +
 1 file changed, 1 insertion(+)

commit 7cecbe6a7591e9c29b6ac3ead8d4d78512692a05
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jul 9 20:58:05 2012 +0200

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 7852ffed739adb21b73c20461b99406bbfb6f949
Merge: efab4a9 75767cb
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jul 9 20:57:02 2012 +0200

    Merge branch 'fix-cmake-again'
    
    George Kiagiadakis <george.kiagiadakis@collabora.com>

commit 75767cb22a8b86f33b40bf4e239cf7d7b5368e56
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jul 9 20:50:36 2012 +0200

    cmake: Use options correctly

 cmake/modules/CompilerWarnings.cmake | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit efab4a9e16cb6282c8fbcf6e99c332a7ddc0b979
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Jul 5 15:05:28 2012 +0200

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 7fe1498cf9806207822de870ee858dd8d790aebf
Merge: 2a16fb8 2139107
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Jul 5 14:42:40 2012 +0200

    Merge branch 'client-types'
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

commit 213910763aa2d3d6b4906b61ed2cf9caa3635f41
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Jul 5 14:41:11 2012 +0300

    Contact: Complete client-types documentation

 TelepathyQt/contact.cpp | 36 +++++++++++++++++++++++++++++++-----
 1 file changed, 31 insertions(+), 5 deletions(-)

commit f4e6d194141ef9f8fb53d6e27a008010c8cd6752
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Jul 5 13:22:16 2012 +0200

    Contact: Add documentation for clientTypes

 TelepathyQt/contact.cpp | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 9a2fff3aa2375ab36a539c623f268e9789131ea0
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Jul 5 12:55:56 2012 +0200

    Contact: check for enabled features in methods related to ClientTypes

 TelepathyQt/contact.cpp | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit fe864deae2f4892953bad03cf12c7e0ee40dbd20
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Jul 5 14:05:05 2012 +0300

    tests: add test for retrieving client types using contact attributes

 tests/dbus/contacts-client-types.cpp | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 30df9cbb5c0c03492c47cf03b0192dd31e6ba716
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Jul 5 13:29:31 2012 +0300

    tests: add test for Contact Conn.I.ClientTypes support

 tests/dbus/CMakeLists.txt            |   1 +
 tests/dbus/contacts-client-types.cpp | 170 +++++++++++++++++++++++++++++++++++
 2 files changed, 171 insertions(+)

commit 2613690ce569ed89a51a9791a4630ac4d74cdb30
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Jul 5 13:29:02 2012 +0300

    contacts-conn CM: Implement proper Conn.I.ClientTypes support

 tests/lib/glib/contacts-conn.c | 88 ++++++++++++++++++++++++++++++++++++------
 tests/lib/glib/contacts-conn.h |  5 ++-
 2 files changed, 80 insertions(+), 13 deletions(-)

commit 0d9bd907813a913c380cbd9d478375d96ffffbbc
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Jul 4 18:48:19 2012 +0300

    contacts-conn CM: sync client-types interface support from tp-glib

 tests/lib/glib/contacts-conn.c | 23 +++++++++++++++++++++++
 tests/lib/glib/contacts-conn.h |  2 ++
 2 files changed, 25 insertions(+)

commit c8dc3548e0eee04517c0cef7eb4cfe38bd5bcf07
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Jul 4 18:33:10 2012 +0300

    Contact: expose information from Conn.I.ClientTypes

 TelepathyQt/contact-manager.cpp | 23 +++++++++++++++-
 TelepathyQt/contact-manager.h   |  1 +
 TelepathyQt/contact.cpp         | 58 +++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/contact.h           |  8 ++++++
 4 files changed, 89 insertions(+), 1 deletion(-)

commit 2a16fb80a9ab69739e706880ef6f1feb89bd17bb
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Jul 5 12:27:50 2012 +0200

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 8de6c2d54d7f9d64ecea386d62c401f065fb0d86
Merge: 52f6832 3ae8113
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Jul 5 12:27:06 2012 +0200

    Merge branch 'tp-glib-0.19'
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

commit 3ae81137bad8882fa4e83a2d9c8b87ffb8a68d68
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Jul 4 17:27:22 2012 +0300

    dbus-tube-test CM: remove stuff that are deprecated in tp-glib 0.19

 tests/lib/glib/dbus-tube-chan.c | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

commit 52f6832d0a7033aac10f0bbcfb099035fb0a94e9
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Jul 4 15:18:07 2012 +0300

    Start 0.9.3 development

 CMakeLists.txt |  2 +-
 NEWS           | 11 +++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 9a177bfe33d9e549be51d66bbf2f77664e03eaf7
Author: Dario Freddi <drf@kde.org>
Date:   Wed Jul 4 13:38:35 2012 +0200

    While wondering how I could have gone wrong in the first release, obviously something happened. Fix release date.

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df9a9e01949b0b10f32633131ab372718cd5f3be
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Jul 4 12:29:05 2012 +0200

    Prepare release 0.9.2

 CMakeLists.txt | 4 ++--
 NEWS           | 4 +---
 2 files changed, 3 insertions(+), 5 deletions(-)

commit 88a15078ad0febb29afa180d062a6ef59d5aa333
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Jul 4 12:53:59 2012 +0200

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 8e630f526bf9c2d13780509d436ff34489f9bf64
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Jul 4 12:53:12 2012 +0200

    cmake: Fix PkgConfig handling

 cmake/modules/FindDBus.cmake          | 6 +++---
 cmake/modules/FindDBusGLib.cmake      | 6 +++---
 cmake/modules/FindTelepathyGlib.cmake | 6 +++---
 3 files changed, 9 insertions(+), 9 deletions(-)

commit 82b68e7d6827d067906b21e1a151ec716a343c89
Merge: e3f3bbe 7e80451
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Jul 4 12:23:30 2012 +0200

    Merge branch 'trivia'
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

commit 7e80451869146725f68e39e8be0bdd5bed6e8dd8
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Jul 3 12:23:21 2012 +0300

    Update NEWS

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 4dfce2b1ccca35a93127b8d1cf931c68dd4c6834
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Jul 3 12:19:58 2012 +0300

    cmake: pass -fvisibility-inlines-hidden to the compiler if it's supported
    
    This flag allows most inline functions to be hidden from the exported
    symbol table to avoid symbol table pollution.

 cmake/modules/TelepathyDefaults.cmake | 5 +++++
 1 file changed, 5 insertions(+)

commit e3f3bbe052bc7923f32fac293cc8dc2900aea8d4
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Jul 4 00:01:49 2012 +0200

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 0823b3097377f3675ac500b2646f6b7c5c4187b0
Merge: ab332ee a63f94b
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Jul 3 23:58:14 2012 +0200

    Merge branch 'dbus-tubes'
    
    Reviewed-by: George Kiagiadakis <george.kiagiadakis@collabora.com>
    Reviewed-by: Andre Moreira Magalhaes <andre.magalhaes@collabora.co.uk>

commit a63f94b88c1d89b7aacf7b322e05f42aa592ccd0
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Jul 3 23:57:07 2012 +0200

    dbus-tubes: Minor nitpicking on style and docs

 TelepathyQt/account.cpp           | 10 +++++-----
 TelepathyQt/dbus-tube-channel.cpp |  6 +++---
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 4208b2432ff4619e42299188801e2bdaee153547
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Jul 3 23:38:48 2012 +0200

    dbus-tubes: Use dbus* instead of dBus*

 TelepathyQt/account.cpp | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit d4aa2998ec50f76bfcd25b38b6daec428c73a842
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Jul 2 19:11:43 2012 +0300

    dbus-tubes: update/fix copyright headers

 TelepathyQt/dbus-tube-channel.cpp            | 2 +-
 TelepathyQt/dbus-tube-channel.h              | 5 +++--
 TelepathyQt/incoming-dbus-tube-channel.cpp   | 2 +-
 TelepathyQt/incoming-dbus-tube-channel.h     | 5 +++--
 TelepathyQt/outgoing-dbus-tube-channel.cpp   | 2 +-
 TelepathyQt/outgoing-dbus-tube-channel.h     | 5 +++--
 TelepathyQt/pending-dbus-tube-connection.cpp | 2 +-
 TelepathyQt/pending-dbus-tube-connection.h   | 5 +++--
 8 files changed, 16 insertions(+), 12 deletions(-)

commit 7551b4f5157954fd6ec1c42d8d99d7a3f397cefa
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Jul 2 18:44:41 2012 +0300

    dbus-tubes: remove the unused pending-dbus-tube.* files

 TelepathyQt/pending-dbus-tube.cpp | 200 --------------------------------------
 TelepathyQt/pending-dbus-tube.h   |  71 --------------
 2 files changed, 271 deletions(-)

commit 2cc843d26b61f4a6d227c481e244a5a835859fd5
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Jul 2 18:40:29 2012 +0300

    dbus-tubes: Remove ranom unused/wrong stuff

 TelepathyQt/dbus-tube-channel.h            | 2 --
 TelepathyQt/incoming-dbus-tube-channel.cpp | 3 ---
 TelepathyQt/outgoing-dbus-tube-channel.h   | 2 +-
 3 files changed, 1 insertion(+), 6 deletions(-)

commit 12867e6834d5945d9c02293388c679ca5416d83f
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Jul 2 18:40:08 2012 +0300

    dbus-tubes: Make DBusTubeChannel::setAddress() private

 TelepathyQt/dbus-tube-channel.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5b4bf9e16c29e998930b0b3d870c797b16f7a92a
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Jul 2 18:39:30 2012 +0300

    dbus-tubes: Remove useless destructors from Private classes

 TelepathyQt/dbus-tube-channel.cpp            | 5 -----
 TelepathyQt/incoming-dbus-tube-channel.cpp   | 5 -----
 TelepathyQt/outgoing-dbus-tube-channel.cpp   | 5 -----
 TelepathyQt/pending-dbus-tube-connection.cpp | 5 -----
 TelepathyQt/pending-dbus-tube.cpp            | 5 -----
 5 files changed, 25 deletions(-)

commit 0f4984dda62c3731fb9eb12e29200e082c8c0469
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Jul 2 18:31:53 2012 +0300

    dbus-tubes: document DBusTubeChannel::busNameRemoved()

 TelepathyQt/dbus-tube-channel.cpp | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 497a4e7b463bf68664bc49ad9ae8b79280ace8f0
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Jul 2 18:31:05 2012 +0300

    dbus-tubes: Move signal connection in Private

 TelepathyQt/dbus-tube-channel.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6eafc3bf22b717dc61866d7310c666649bbb0986
Author: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
Date:   Wed Apr 4 20:36:22 2012 +0200

    dbus-tubes: Fix warning and comment

 TelepathyQt/incoming-dbus-tube-channel.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 317c86af80dbe1184afd4e22a029c254c4d4b36d
Author: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
Date:   Sat Mar 31 13:50:50 2012 +0200

    dbus-tubes: Fix documentation

 TelepathyQt/dbus-tube-channel.cpp            | 10 +++-------
 TelepathyQt/pending-dbus-tube-connection.cpp |  2 +-
 TelepathyQt/pending-dbus-tube.cpp            |  2 +-
 TelepathyQt/pending-dbus-tube.h              |  2 +-
 4 files changed, 6 insertions(+), 10 deletions(-)

commit 1524490b8cd7f121a8b4275bcbfef8866f5d6f6c
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Sat Nov 12 00:29:42 2011 +0100

    dbus-tubes: Update and improve the API documentation

 TelepathyQt/dbus-tube-channel.cpp            |  85 ++++++++++++----------
 TelepathyQt/incoming-dbus-tube-channel.cpp   | 105 ++++++++-------------------
 TelepathyQt/outgoing-dbus-tube-channel.cpp   |  79 ++++++++------------
 TelepathyQt/pending-dbus-tube-connection.cpp |  31 ++++++--
 4 files changed, 132 insertions(+), 168 deletions(-)

commit 6ad490f2021335867c4129d66f283ee9a5b80872
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 11 23:36:31 2011 +0100

    dbus-tubes: Use more sensible naming for autotest's variables

 tests/dbus/dbus-tube-chan.cpp | 56 +++++++++++++++++++++----------------------
 1 file changed, 28 insertions(+), 28 deletions(-)

commit c3977453476780e60a3c9809b72f2228ed7cd3c7
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 11 23:32:34 2011 +0100

    dbus-tubes: Invert the mapping Contact->Bus Name
    
    This makes the API more consistent with Stream tubes. Also, split the busNamesChanged signal
    into two separate signals, giving out more details.

 TelepathyQt/dbus-tube-channel.cpp | 43 +++++++++--------
 TelepathyQt/dbus-tube-channel.h   |  5 +-
 tests/dbus/dbus-tube-chan.cpp     | 97 ++++++++++++++++++++++-----------------
 3 files changed, 80 insertions(+), 65 deletions(-)

commit c3fb6ef81c21c255764ef1acb639c1779476d634
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 11 22:50:37 2011 +0100

    dbus-tubes: Rework credentials handling, inverting the logic and adopting credentials by default.
    
    In case credentials are not available, the tube will fall back to localhost.
    
    The D-Bus wire protocol always has one '\0' byte at the very beginning of the
    stream, which is not part of the authentication handshake (text-based SASL) and
    also not part of any of the subsequent D-Bus messages (binary). libdbus, GDBus
    etc. assume that this byte will always be present.
    
    If credentials-passing via SCM_CREDS (FreeBSD) or SCM_CREDENTIALS (Linux) is
    supported, the credentials accompany that '\0' byte.
    
    If the platform can't pass credentials (Windows) or can pass/get credentials
    without sending a byte (Linux and OpenBSD via SO_PEERCRED, some other platforms
    (Solaris?) via getpeereid or getpeerucred), it must still send the '\0' byte.
    
    On OSs where you can choose whether to send credentials out-of-band
    (LOCAL_CREDS), D-Bus expects
    you to say "yes" to LOCAL_CREDS too.
    
    For this reason why now default to credentials, and just warn if they are unsupported.
    
    With the new API, people really needing stringent security can either assert (forgoing tubes
    support these platforms) or otherwise check the
    capability accessor (supportsRestrictingToCurrentUser) before trying to accept / offer the tube.
    A check in the PendingDBusTube operation is also available.
    
    Thanks to Simon McVittie and Olli Salli for their help in analyzing and solving the issue.

 TelepathyQt/dbus-tube-channel.cpp            |  4 +--
 TelepathyQt/dbus-tube-channel.h              |  2 +-
 TelepathyQt/incoming-dbus-tube-channel.cpp   | 38 ++++++--------------
 TelepathyQt/incoming-dbus-tube-channel.h     |  2 +-
 TelepathyQt/outgoing-dbus-tube-channel.cpp   | 23 ++++++------
 TelepathyQt/outgoing-dbus-tube-channel.h     |  2 +-
 TelepathyQt/pending-dbus-tube-connection.cpp | 51 ++++-----------------------
 TelepathyQt/pending-dbus-tube-connection.h   |  8 ++---
 tests/dbus/dbus-tube-chan.cpp                | 52 ++++++++++++----------------
 9 files changed, 57 insertions(+), 125 deletions(-)

commit 61788f9d4b6d937d2f15ae781f61f8e84334cabb
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 11 21:36:12 2011 +0100

    dbus-tubes: Fix leaks in dbus tubes service

 tests/lib/glib/dbus-tube-chan.c | 23 ++++++++++++++++++++---
 1 file changed, 20 insertions(+), 3 deletions(-)

commit 2a994c6eedf10eae3e7320e276dfdd268de87b3a
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 11 21:35:49 2011 +0100

    dbus-tubes: Fix leaks in dbus test

 tests/dbus/dbus-tube-chan.cpp | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 5bf3b0637dea687bf282619d808d33e2347f4815
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 11 00:40:20 2011 +0100

    dbus-tubes: Expand testAcceptTwice into a full fledged corner cases test

 tests/dbus/dbus-tube-chan.cpp | 81 +++++++++++++++++++++++++++----------------
 1 file changed, 51 insertions(+), 30 deletions(-)

commit 862e243250a25518191f205abb0328e09d4e9316
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 11 00:32:57 2011 +0100

    dbus-tubes: Test corner cases in offering

 tests/dbus/dbus-tube-chan.cpp | 71 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 71 insertions(+)

commit 3e873121045aeb3cc53eab3391d6aa0bbfc8b922
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 11 00:31:58 2011 +0100

    dbus-tubes: Test the late activation of BusNamesMonitoring

 tests/dbus/dbus-tube-chan.cpp | 65 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

commit 5e32aa281dbe52f84b4a763ec664d74b599aa207
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 11 00:29:28 2011 +0100

    dbus-tubes: Fix the test service by returning the correct DBUS_NAMES property

 tests/lib/glib/dbus-tube-chan.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 10d69cacd948b543e5b1376dcedf28a17ad2c811
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 11 00:28:26 2011 +0100

    dbus-tubes: Check the address in the pending connection as well

 tests/dbus/dbus-tube-chan.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 901d48eeb6592890866721c984cec2ccce1f5197
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Nov 10 23:58:09 2011 +0100

    dbus-tubes: Don't emit the busNamesChanged signal if we're just handling property construction for a late-enabled feature

 TelepathyQt/dbus-tube-channel.cpp | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 934026b59f1b3043bd2d4c1158d371c0c3a214d5
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 4 22:03:15 2011 +0100

    dbus-tubes: This test does not require GIO in the end. Although, it does require Qt 4.8 due to its new DBus API.

 tests/dbus/CMakeLists.txt | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit d5a9a619c67f69d252ab188df8e4ab7ae841164e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 4 21:47:57 2011 +0100

    dbus-tubes: Compare the expected handle/service combination when bus names change

 tests/dbus/dbus-tube-chan.cpp | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit a023b6309e2691a81829ea615924a7c3cdfecc63
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 4 21:44:41 2011 +0100

    dbus-tubes: Clean up the test case and the test service

 tests/dbus/dbus-tube-chan.cpp   | 62 +++++++----------------------------------
 tests/lib/glib/dbus-tube-chan.c | 41 ---------------------------
 2 files changed, 10 insertions(+), 93 deletions(-)

commit 020fef3ad2c8144fd94ea1d76b6333b310576503
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 4 21:21:09 2011 +0100

    dbus-tubes: Make all tests pass

 tests/dbus/dbus-tube-chan.cpp | 29 ++++++++---------------------
 1 file changed, 8 insertions(+), 21 deletions(-)

commit c744a12074dd9793aabfd222f87d16375d7bef37
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 4 20:52:06 2011 +0100

    dbus-tubes: Make offerSuccess pass

 tests/dbus/dbus-tube-chan.cpp   | 86 ++++++++++++++++++-----------------------
 tests/lib/glib/dbus-tube-chan.c | 57 ++++++++++++++++++++++++---
 tests/lib/glib/dbus-tube-chan.h |  9 +++++
 3 files changed, 99 insertions(+), 53 deletions(-)

commit 97d1e301ad27be733d1b0f88a90426d2d1b08420
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 4 20:51:49 2011 +0100

    dbus-tubes: Inject parameters in case the tube is offered

 TelepathyQt/outgoing-dbus-tube-channel.cpp   |  2 +-
 TelepathyQt/pending-dbus-tube-connection.cpp | 31 ++++++++++++++++++++++++++++
 TelepathyQt/pending-dbus-tube-connection.h   |  3 +++
 3 files changed, 35 insertions(+), 1 deletion(-)

commit 5d92fa653ca321f35b8b7d1aca942766e1fe7896
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 4 19:51:14 2011 +0100

    dbus-tubes: As the logic was already implemented, just enable the corresponding function to make testAcceptSuccess pass

 tests/dbus/dbus-tube-chan.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b6777083768ca450c66985b6a5447a24f0f5fee2
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Fri Nov 4 19:48:59 2011 +0100

    dbus-tubes: Implement accept service-side, and have testAcceptSuccess working

 TelepathyQt/pending-dbus-tube-connection.cpp |   1 +
 tests/dbus/dbus-tube-chan.cpp                |  22 +--
 tests/lib/glib/CMakeLists.txt                |   3 +-
 tests/lib/glib/dbus-tube-chan.c              | 276 ++++++++++++++++++++++++++-
 4 files changed, 271 insertions(+), 31 deletions(-)

commit fa5734340248052e918638a5a4f17c381eb3ed3f
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Nov 3 22:49:09 2011 +0100

    dbus-tubes: Add basic logic for accepting and offering a tube, implementing the full interface. testAcceptTwice now passes.

 tests/lib/glib/dbus-tube-chan.c | 118 ++++++++++++++++++++++++++++++++++++++--
 tests/lib/glib/dbus-tube-chan.h |   4 ++
 2 files changed, 117 insertions(+), 5 deletions(-)

commit 767c9c758e23115a79e8904851d836d1dc2ae503
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Nov 3 22:02:55 2011 +0100

    dbus-tubes: Add an initial version of the DBus Tubes autotest. It's mostly a copy-paste from the STube one, to allow testing similar features
    in a similar ways. At the moment, the test is not functional, but compiles and passes the first basic steps.

 tests/dbus/CMakeLists.txt     |   1 +
 tests/dbus/dbus-tube-chan.cpp | 695 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 696 insertions(+)

commit 0c8db3e3a3e6769ae6bb60df81522bf577d29892
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Nov 3 22:02:29 2011 +0100

    dbus-tubes: Make immutable properties writable in the test service

 tests/lib/glib/dbus-tube-chan.c | 75 ++++++++++++++++++++++++++++++-----------
 1 file changed, 56 insertions(+), 19 deletions(-)

commit dc3af232e83effe29435176046f70089d0946751
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Nov 3 22:01:58 2011 +0100

    dbus-tubes: Rename FeatureDBusTube into FeatureCore

 TelepathyQt/dbus-tube-channel.cpp          | 24 ++++++++++++------------
 TelepathyQt/dbus-tube-channel.h            |  2 +-
 TelepathyQt/incoming-dbus-tube-channel.cpp |  8 ++++----
 TelepathyQt/outgoing-dbus-tube-channel.cpp |  6 +++---
 4 files changed, 20 insertions(+), 20 deletions(-)

commit cbe223d583136d68edea17a7e420dbd991fdb9cc
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Nov 3 17:56:36 2011 +0100

    dbus-tubes: Rename to PendingDBusTubeConnection

 TelepathyQt/CMakeLists.txt                   |   8 +-
 TelepathyQt/PendingDBusTube                  |  13 --
 TelepathyQt/PendingDBusTubeConnection        |  13 ++
 TelepathyQt/dbus-tube-channel.h              |   2 +-
 TelepathyQt/incoming-dbus-tube-channel.cpp   |  20 +--
 TelepathyQt/incoming-dbus-tube-channel.h     |   4 +-
 TelepathyQt/outgoing-dbus-tube-channel.cpp   |  16 +--
 TelepathyQt/outgoing-dbus-tube-channel.h     |   4 +-
 TelepathyQt/pending-dbus-tube-connection.cpp | 205 +++++++++++++++++++++++++++
 TelepathyQt/pending-dbus-tube-connection.h   |  71 ++++++++++
 10 files changed, 316 insertions(+), 40 deletions(-)

commit 3ad1c46263cd4a0e11dbfcaf33c78c96bfe9e883
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Nov 1 23:12:25 2011 +0100

    dbus-tubes: Implement proper handling of SCM_CREDENTIALS

 TelepathyQt/incoming-dbus-tube-channel.cpp | 23 ++++++++++++++++--
 TelepathyQt/outgoing-dbus-tube-channel.cpp |  3 ++-
 TelepathyQt/pending-dbus-tube.cpp          | 39 +++++++++++++++++++++++++++++-
 TelepathyQt/pending-dbus-tube.h            | 11 ++++++---
 4 files changed, 69 insertions(+), 7 deletions(-)

commit 85fc52b4f74a788dd03230382be32a564d988084
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Nov 1 23:10:47 2011 +0100

    dbus-tubes: Add room specs for DBus tube channels

 TelepathyQt/channel-class-spec.cpp | 46 ++++++++++++++++++++++++++++++++++++
 TelepathyQt/channel-class-spec.h   |  4 ++++
 TelepathyQt/channel-factory.cpp    | 48 ++++++++++++++++++++++++++++++++++++++
 TelepathyQt/channel-factory.h      | 32 +++++++++++++++++++++++++
 4 files changed, 130 insertions(+)

commit 271e1635c2f6182bad815325ca1f75dd17c2c1b4
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Nov 1 20:59:42 2011 +0100

    dbus-tubes: Add autotests library from tp-glib

 tests/lib/glib/CMakeLists.txt   |   3 +-
 tests/lib/glib/dbus-tube-chan.c | 325 ++++++++++++++++++++++++++++++++++++++++
 tests/lib/glib/dbus-tube-chan.h | 121 +++++++++++++++
 3 files changed, 448 insertions(+), 1 deletion(-)

commit 3ba36e4a18b1db15a5889a76979ca80a25530cb1
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Jun 30 11:31:50 2011 +0200

    dbus-tubes: Before taking any action, check if the operation is still running (and hence if no action has been taken yet)

 TelepathyQt/pending-dbus-tube.cpp | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 31dc0ea3ea2796cdd1eb5ff38de21ef87e348979
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Jun 16 14:37:15 2011 +0200

    dbus-tubes: Print contact id as a debug info

 TelepathyQt/dbus-tube-channel.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5b39773fc284fb9eafaa05f1cc99c474e3e2826d
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Jun 16 14:35:09 2011 +0200

    dbus-tubes: Handle property names correctly

 TelepathyQt/dbus-tube-channel.cpp | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

commit dc7e28cce51de2e0f55edac758f4eba25c18f47f
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Jun 16 14:14:19 2011 +0200

    dbus-tubes: Handle the contact queue properly in every case, and make the feature ready just after the whole queue has been introspected.

 TelepathyQt/dbus-tube-channel.cpp                  | 24 ++++++++++++++++++++--
 TelepathyQt/dbus-tube-channel.h                    |  1 +
 .../outgoing-stream-tube-channel-internal.h        |  4 ++--
 TelepathyQt/outgoing-stream-tube-channel.cpp       | 12 ++++++++---
 4 files changed, 34 insertions(+), 7 deletions(-)

commit d8bfda6eac4ed61c741fb33773733867efd0f7f7
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Jun 16 14:00:22 2011 +0200

    dbus-tubes: If the handle type is not Room, simply finish the feature.

 TelepathyQt/dbus-tube-channel.cpp | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 8f6d6be925da5d3d96fc190c29fe9ddcc5995ebc
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Tue Jun 14 15:35:03 2011 +0200

    dbus-tubes: Use requestAllProperties instead of GetAll

 TelepathyQt/dbus-tube-channel.cpp | 45 +++++++++++++++++++--------------------
 TelepathyQt/dbus-tube-channel.h   |  2 +-
 2 files changed, 23 insertions(+), 24 deletions(-)

commit 0cec6fcd0cb272da9ebe76df167767adb3d1bd07
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Tue Jun 14 15:22:33 2011 +0200

    dbus-tubes: Move the instrospection of DBusNames to the correct feature.

 TelepathyQt/dbus-tube-channel.cpp | 20 ++++++++++++++++++--
 TelepathyQt/dbus-tube-channel.h   |  1 +
 2 files changed, 19 insertions(+), 2 deletions(-)

commit f006f9530b01a5ddc2c52c1e7323cfce7df58dbe
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Tue Jun 14 14:49:21 2011 +0200

    dbus-tubes: Fix comments

 TelepathyQt/contact-capabilities.cpp       |  4 ++--
 TelepathyQt/dbus-tube-channel.cpp          |  3 +--
 TelepathyQt/incoming-dbus-tube-channel.cpp | 20 ++++++--------------
 TelepathyQt/outgoing-dbus-tube-channel.cpp | 20 ++++++--------------
 4 files changed, 15 insertions(+), 32 deletions(-)

commit 6e807b401b48a6b870e1c8f385c5ef70d6faa3bb
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Tue Jun 14 14:44:53 2011 +0200

    dbus-tubes: Merge the constructors in PendingDBusTube

 TelepathyQt/pending-dbus-tube.cpp | 19 +------------------
 TelepathyQt/pending-dbus-tube.h   |  3 +--
 2 files changed, 2 insertions(+), 20 deletions(-)

commit 6f0844304e2e7479332c21b2257f1065257f73a7
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Jun 9 16:59:16 2011 +0200

    dbus-tubes: Don't emit a signal if the service is misbehaving; instead, print out a warning.

 TelepathyQt/dbus-tube-channel.cpp | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit fbf59fe4d4eb1bcca98aedf7b4743724b36e1c11
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Jun 9 16:59:07 2011 +0200

    dbus-tubes: Don't use insertMulti

 TelepathyQt/dbus-tube-channel.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bbdcb504b9eb0ac8243b31e4f73f60644c71ff37
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Jun 9 16:55:29 2011 +0200

    dbus-tubes: Add dbusTubes in {Contact,Connection}Capabilities

 TelepathyQt/connection-capabilities.cpp | 16 +++++++++++++
 TelepathyQt/connection-capabilities.h   |  1 +
 TelepathyQt/contact-capabilities.cpp    | 41 +++++++++++++++++++++++++++++++++
 TelepathyQt/contact-capabilities.h      |  3 +++
 4 files changed, 61 insertions(+)

commit f26ef38d1f6e8f7e151993aabc74c7131cfc64ff
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Jun 9 16:46:59 2011 +0200

    dbus-tubes: Rather than relying on a tube state change, use invalidated() to detect errors correctly.

 TelepathyQt/pending-dbus-tube.cpp | 15 +++++++++++----
 TelepathyQt/pending-dbus-tube.h   |  3 +++
 2 files changed, 14 insertions(+), 4 deletions(-)

commit a9b4d2c813df13fb18ba5447a639e0fac1bbd0c6
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Jun 9 16:40:26 2011 +0200

    dbus-tubes: Merge onAcceptFinished and onOfferFinished

 TelepathyQt/pending-dbus-tube.cpp | 36 ++++++------------------------------
 TelepathyQt/pending-dbus-tube.h   |  3 +--
 2 files changed, 7 insertions(+), 32 deletions(-)

commit 4f5bf8fa028626755f4405af63a78dfa6d5cfa21
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Jun 9 16:29:31 2011 +0200

    dbus-tubes: Report the D-Bus event that causes logic to be run before running the logic.
    
    That way there's a hint that we're crashing in the response handling if the extraction is buggy.

 TelepathyQt/dbus-tube-channel.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 64ada2c89a61a03350a89f05cf99213f1c8d8d19
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Jun 9 16:28:48 2011 +0200

    dbus-tubes: Promote use of qObjectCast

 TelepathyQt/incoming-dbus-tube-channel.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d136d0f8e1b59babc13a3822cfafe7d3b2d84cc3
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Jun 9 16:26:25 2011 +0200

    dbus-tubes: Improve comments, and fix a variety of typos

 TelepathyQt/dbus-tube-channel.cpp              | 21 +++++++++++++--------
 TelepathyQt/outgoing-dbus-tube-channel.cpp     |  5 +++--
 TelepathyQt/pending-dbus-tube.cpp              |  2 +-
 TelepathyQt/requestable-channel-class-spec.cpp |  2 +-
 4 files changed, 18 insertions(+), 12 deletions(-)

commit 653076ab8eed7c2353aa4ccb747432cd0e54d6df
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Sat Jun 4 00:32:11 2011 +0200

    dbus-tubes: Implement QueuedContactFactory for DBusTubeChannel as well

 TelepathyQt/dbus-tube-channel.cpp | 66 ++++++++++++++++++++++++++++++---------
 TelepathyQt/dbus-tube-channel.h   |  1 +
 2 files changed, 52 insertions(+), 15 deletions(-)

commit fd01ca8dd407eebbb9796a6a13b973c98cc29bcb
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Fri Jun 3 23:41:58 2011 +0200

    dbus-tubes: Remove dbus-tube-channel-internal.h and add protected methods for fulfilling that

 TelepathyQt/dbus-tube-channel-internal.h | 54 --------------------------------
 TelepathyQt/dbus-tube-channel.cpp        | 29 ++++++++++++++++-
 TelepathyQt/dbus-tube-channel.h          |  2 ++
 TelepathyQt/pending-dbus-tube.cpp        |  5 ++-
 4 files changed, 32 insertions(+), 58 deletions(-)

commit 29be2a2f7b7571ece1b2a9cdea3804e9d11745ed
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Fri Jun 3 23:35:07 2011 +0200

    dbus-tubes: Add DBusTubeChannel to RequestableChannelClassSpec

 TelepathyQt/requestable-channel-class-spec.cpp | 23 +++++++++++++++++++++++
 TelepathyQt/requestable-channel-class-spec.h   |  1 +
 2 files changed, 24 insertions(+)

commit b69bb13a893b7eae109cff2c0c5e66caaf77c6de
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Fri Jun 3 23:29:04 2011 +0200

    dbus-tubes: Use a single implementation for pending DBus Tubes

 TelepathyQt/CMakeLists.txt                 |  12 +-
 TelepathyQt/PendingDBusTube                |  13 ++
 TelepathyQt/PendingDBusTubeAccept          |  13 --
 TelepathyQt/PendingDBusTubeOffer           |  13 --
 TelepathyQt/dbus-tube-channel.h            |   3 +-
 TelepathyQt/incoming-dbus-tube-channel.cpp |  20 +--
 TelepathyQt/incoming-dbus-tube-channel.h   |   4 +-
 TelepathyQt/outgoing-dbus-tube-channel.cpp |  16 +--
 TelepathyQt/outgoing-dbus-tube-channel.h   |   4 +-
 TelepathyQt/pending-dbus-tube-accept.cpp   | 150 ----------------------
 TelepathyQt/pending-dbus-tube-accept.h     |  62 ---------
 TelepathyQt/pending-dbus-tube-offer.cpp    | 151 ----------------------
 TelepathyQt/pending-dbus-tube-offer.h      |  62 ---------
 TelepathyQt/pending-dbus-tube.cpp          | 193 +++++++++++++++++++++++++++++
 TelepathyQt/pending-dbus-tube.h            |  65 ++++++++++
 15 files changed, 298 insertions(+), 483 deletions(-)

commit 858c2e9d4d75a40fbfb6fb96ac65b1261be3c2a5
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Fri Jun 3 22:59:42 2011 +0200

    dbus-tubes: Rename FeatureBusNamesMonitoring to FeatureBusNameMonitoring

 TelepathyQt/dbus-tube-channel.cpp          | 12 ++++++------
 TelepathyQt/dbus-tube-channel.h            |  2 +-
 TelepathyQt/outgoing-dbus-tube-channel.cpp |  2 +-
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 3baebebe49de4dfe6f7c39c2011db48410bff154
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Thu Mar 17 14:55:15 2011 +0100

    dbus-tubes: Code style fixes

 TelepathyQt/dbus-tube-channel.cpp          | 15 ++++++---------
 TelepathyQt/incoming-dbus-tube-channel.cpp |  5 ++---
 TelepathyQt/outgoing-dbus-tube-channel.cpp |  3 +--
 3 files changed, 9 insertions(+), 14 deletions(-)

commit 1c7624b633a34200428d80cd6f27cf2c28f1b5c1
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Tue Mar 15 18:22:25 2011 +0100

    dbus-tubes: Move methods implementations in the right position

 TelepathyQt/dbus-tube-channel.cpp        | 89 ++++++++++++++++----------------
 TelepathyQt/pending-dbus-tube-accept.cpp | 28 +++++-----
 TelepathyQt/pending-dbus-tube-offer.cpp  | 28 +++++-----
 3 files changed, 72 insertions(+), 73 deletions(-)

commit 535b5f82ca055886c5232866dbc36ee93c815f43
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Tue Mar 15 18:17:28 2011 +0100

    dbus-tubes: Remove the address() method in DBusTubeChannel's subclasses, and have one in DBusTubeChannel only

 TelepathyQt/dbus-tube-channel-internal.h          | 54 +++++++++++++++++++++++
 TelepathyQt/dbus-tube-channel.cpp                 | 31 +++----------
 TelepathyQt/dbus-tube-channel.h                   |  2 +
 TelepathyQt/incoming-dbus-tube-channel-internal.h | 43 ------------------
 TelepathyQt/incoming-dbus-tube-channel.cpp        | 31 +++++--------
 TelepathyQt/incoming-dbus-tube-channel.h          |  3 --
 TelepathyQt/outgoing-dbus-tube-channel-internal.h | 42 ------------------
 TelepathyQt/outgoing-dbus-tube-channel.cpp        | 39 ++++++++--------
 TelepathyQt/outgoing-dbus-tube-channel.h          |  3 --
 TelepathyQt/pending-dbus-tube-accept.cpp          |  4 +-
 TelepathyQt/pending-dbus-tube-offer.cpp           |  5 ++-
 11 files changed, 95 insertions(+), 162 deletions(-)

commit 00c66e9870e50c687daac61ce922793c454e1546
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Tue Mar 15 18:07:10 2011 +0100

    dbus-tubes: Remove unneeded function

 TelepathyQt/dbus-tube-channel.cpp          | 5 -----
 TelepathyQt/dbus-tube-channel.h            | 2 --
 TelepathyQt/incoming-dbus-tube-channel.cpp | 2 +-
 TelepathyQt/outgoing-dbus-tube-channel.cpp | 2 +-
 4 files changed, 2 insertions(+), 9 deletions(-)

commit f49bc410e586dc1968a8274c83f9b2fe009da7e0
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Tue Mar 15 18:03:04 2011 +0100

    dbus-tubes: Create/Improve Documentation

 TelepathyQt/dbus-tube-channel.cpp          |  72 ++++++++++++-----
 TelepathyQt/incoming-dbus-tube-channel.cpp | 121 ++++++++++++++++++++++++-----
 TelepathyQt/outgoing-dbus-tube-channel.cpp |  87 ++++++++++++++++-----
 TelepathyQt/pending-dbus-tube-accept.cpp   |  86 ++++++++++++--------
 TelepathyQt/pending-dbus-tube-offer.cpp    |  86 ++++++++++++--------
 5 files changed, 327 insertions(+), 125 deletions(-)

commit adf30f38dbe46d96918e6f9f82e13e1f1457cc3d
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Sat Mar 12 16:19:27 2011 +0100

    dbus-tubes: Fix code style and conventions

 TelepathyQt/dbus-tube-channel.cpp                 | 37 +++++++++++------------
 TelepathyQt/dbus-tube-channel.h                   | 10 +++---
 TelepathyQt/incoming-dbus-tube-channel.cpp        | 12 ++++----
 TelepathyQt/outgoing-dbus-tube-channel-internal.h |  4 +--
 TelepathyQt/outgoing-dbus-tube-channel.cpp        | 21 ++++---------
 TelepathyQt/pending-dbus-tube-accept.cpp          | 12 ++++----
 TelepathyQt/pending-dbus-tube-accept.h            |  3 +-
 TelepathyQt/pending-dbus-tube-offer.cpp           | 12 ++++----
 TelepathyQt/pending-dbus-tube-offer.h             | 11 +++----
 9 files changed, 54 insertions(+), 68 deletions(-)

commit d9ed4a2297e858e27c40b1e43eed5957d02e0a86
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Dec 5 20:18:39 2011 +0100

    dbus-tubes: Move the PendingOperations out to dedicated headers/impl files

 TelepathyQt/CMakeLists.txt                        |   6 +
 TelepathyQt/PendingDBusTubeAccept                 |  13 +++
 TelepathyQt/PendingDBusTubeOffer                  |  13 +++
 TelepathyQt/incoming-dbus-tube-channel-internal.h |  43 ++++++++
 TelepathyQt/incoming-dbus-tube-channel.cpp        | 113 +------------------
 TelepathyQt/incoming-dbus-tube-channel.h          |  33 +-----
 TelepathyQt/outgoing-dbus-tube-channel-internal.h |  42 +++++++
 TelepathyQt/outgoing-dbus-tube-channel.cpp        | 115 +------------------
 TelepathyQt/outgoing-dbus-tube-channel.h          |  35 +-----
 TelepathyQt/pending-dbus-tube-accept.cpp          | 128 ++++++++++++++++++++++
 TelepathyQt/pending-dbus-tube-accept.h            |  63 +++++++++++
 TelepathyQt/pending-dbus-tube-offer.cpp           | 128 ++++++++++++++++++++++
 TelepathyQt/pending-dbus-tube-offer.h             |  63 +++++++++++
 TelepathyQt4/PendingDBusTubeAccept                |  13 ---
 TelepathyQt4/PendingDBusTubeOffer                 |  13 ---
 15 files changed, 508 insertions(+), 313 deletions(-)

commit ccdd91ea8d506023b17de41f052f0286da1a0711
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Sat Mar 12 14:49:45 2011 +0100

    dbus-tubes: Remove private inheritance, and references to unimplemented Qt API.
    
    As with Stream Tubes, now DBus tubes return the bare DBus address instead of a QDBusConnection or
    a QDBusServer.

 TelepathyQt/dbus-tube-channel-internal.h   |  62 -------------
 TelepathyQt/dbus-tube-channel.cpp          | 134 +++++++++++++----------------
 TelepathyQt/dbus-tube-channel.h            |  18 ++--
 TelepathyQt/incoming-dbus-tube-channel.cpp |  64 +++++---------
 TelepathyQt/incoming-dbus-tube-channel.h   |  13 +--
 TelepathyQt/outgoing-dbus-tube-channel.cpp |  58 +++++--------
 TelepathyQt/outgoing-dbus-tube-channel.h   |  12 +--
 7 files changed, 127 insertions(+), 234 deletions(-)

commit 25e909053f670292da94052f9ba2dedfcd0dd9ff
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Fri Jun 11 13:00:30 2010 +0200

    dbus-tubes: Add missing pretty headers

 TelepathyQt/CMakeLists.txt         |  2 ++
 TelepathyQt4/PendingDBusTubeAccept | 13 +++++++++++++
 TelepathyQt4/PendingDBusTubeOffer  | 13 +++++++++++++
 3 files changed, 28 insertions(+)

commit d064d2c2b31334c965c513b15551e3d0ef451f3e
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Fri Jun 11 12:44:45 2010 +0200

    dbus-tubes: Naming conventions: remove __k__

 TelepathyQt/dbus-tube-channel-internal.h   |  4 ++--
 TelepathyQt/dbus-tube-channel.cpp          |  8 ++++----
 TelepathyQt/dbus-tube-channel.h            |  4 ++--
 TelepathyQt/incoming-dbus-tube-channel.cpp | 16 ++++++++--------
 TelepathyQt/incoming-dbus-tube-channel.h   |  4 ++--
 TelepathyQt/outgoing-dbus-tube-channel.cpp | 16 ++++++++--------
 TelepathyQt/outgoing-dbus-tube-channel.h   |  4 ++--
 7 files changed, 28 insertions(+), 28 deletions(-)

commit dd282ce93dd59ea01281ef860365f21ad95c9acf
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Fri May 28 18:30:40 2010 +0200

    dbus-tubes: Enabling high level DBus tubes in ChannelFactory

 TelepathyQt/channel-class-spec.cpp | 44 +++++++++++++++++++++++++++++++++
 TelepathyQt/channel-class-spec.h   |  5 +++-
 TelepathyQt/channel-factory.cpp    | 50 ++++++++++++++++++++++++++++++++++++++
 TelepathyQt/channel-factory.h      | 32 ++++++++++++++++++++++++
 4 files changed, 130 insertions(+), 1 deletion(-)

commit b37715fbb40c9a1d4067524fb82f008f8612d21b
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Fri May 28 18:28:02 2010 +0200

    dbus-tubes: Adding an IncomingDBusTubeChannel class

 TelepathyQt/CMakeLists.txt                 |   4 +
 TelepathyQt/IncomingDBusTubeChannel        |  13 ++
 TelepathyQt/incoming-dbus-tube-channel.cpp | 303 +++++++++++++++++++++++++++++
 TelepathyQt/incoming-dbus-tube-channel.h   |  89 +++++++++
 TelepathyQt/types.h                        |   2 +
 5 files changed, 411 insertions(+)

commit 0d16a01fe0c0aa9f33fac54ca894719159a20b16
Author: Dario Freddi <dario.freddi@collabora.co.uk>
Date:   Fri May 28 18:01:41 2010 +0200

    dbus-tubes: Add an OutgoingDBusTubeChannel class for handling servers.

 TelepathyQt/CMakeLists.txt                 |   4 +
 TelepathyQt/DBusTubeChannel                |   2 +-
 TelepathyQt/OutgoingDBusTubeChannel        |  13 ++
 TelepathyQt/outgoing-dbus-tube-channel.cpp | 302 +++++++++++++++++++++++++++++
 TelepathyQt/outgoing-dbus-tube-channel.h   |  89 +++++++++
 TelepathyQt/types.h                        |   2 +
 6 files changed, 411 insertions(+), 1 deletion(-)

commit c23da3ca5f118b69be65e3f01af7850be6e5b399
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Dec 5 18:54:27 2011 +0100

    dbus-tubes: Implementing the base DBusTubeChannel class

 TelepathyQt/CMakeLists.txt               |   4 +
 TelepathyQt/DBusTubeChannel              |  13 ++
 TelepathyQt/account.cpp                  | 149 +++++++++++++
 TelepathyQt/account.h                    |  22 ++
 TelepathyQt/dbus-tube-channel-internal.h |  62 ++++++
 TelepathyQt/dbus-tube-channel.cpp        | 366 +++++++++++++++++++++++++++++++
 TelepathyQt/dbus-tube-channel.h          |  85 +++++++
 TelepathyQt/types.h                      |   2 +
 8 files changed, 703 insertions(+)

commit ab332eec3ebe2c36a2f3dcc6d4d3e160629600e8
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jul 2 17:52:11 2012 +0200

    Update NEWS

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit c9d803117900e110bc4dd4c1c3b28499763d4a06
Merge: fbc8228 2062d6d
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jul 2 17:50:24 2012 +0200

    Merge branch 'cmake'
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>
    Reviewed-by: George Kiagiadakis <george.kiagiadakis@collabora.com>

commit 2062d6dd986e6f626f06b4d9c82e99bdbf569eab
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jul 2 17:13:18 2012 +0200

    cmake: Adding options for selectively compile components.
    
    This commit enables an option for compiling Farstream, Farsight, Examples and Tests

 CMakeLists.txt | 168 ++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 95 insertions(+), 73 deletions(-)

commit 70f6c9f613145c37426087e2aa882ab888e72923
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Jul 2 17:10:45 2012 +0300

    cmake: rewrite FindDBus.cmake to do things in a more modern and consistent way

 cmake/modules/FindDBus.cmake | 73 +++++++++++++-------------------------------
 1 file changed, 22 insertions(+), 51 deletions(-)

commit fbc8228d96b6ab11077c6d33b6157f2819e11887
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jul 2 17:45:11 2012 +0200

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 710808598e8efbf33b94bf2235be0a53fdbe84da
Merge: d424f10 5128eb6
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jul 2 16:52:44 2012 +0200

    Merge branch 'debug-receiver'
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>
    Reviewed-by: Andre Moreira Magalhaes <andre.magalhaes@collabora.co.uk>

commit 5128eb6ba4a71b6e09109dead29941db3a557573
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jul 2 16:47:44 2012 +0200

    DebugReceiver: Add missing documentation to public methods and signals

 TelepathyQt/debug-receiver.cpp | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

commit c5907005aca35d33eaf36ad2dde6f94d657d9711
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jul 2 16:47:12 2012 +0200

    DebugReceiver: Add spaces in comments

 TelepathyQt/debug-receiver.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c47e93c0159b62e4910faa11dcc5ed7c510536b0
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Sun Jul 1 16:47:25 2012 +0300

    PendingDebugMessageList: Fix some coding style issues

 TelepathyQt/pending-debug-message-list.cpp |  7 ++++---
 TelepathyQt/pending-debug-message-list.h   | 11 +++++++----
 2 files changed, 11 insertions(+), 7 deletions(-)

commit b2f09f8005a0d102edbd2da91fad81e96c241e26
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Sun Jul 1 16:36:20 2012 +0300

    DebugReceiver: un-const-ify fetchMessages()

 TelepathyQt/debug-receiver.cpp | 7 +++----
 TelepathyQt/debug-receiver.h   | 2 +-
 2 files changed, 4 insertions(+), 5 deletions(-)

commit 6fb90ee135abbbdcfe87c30ae976f7b7705721a9
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Sun Jul 1 16:28:02 2012 +0300

    DebugReceiver: Improve the API and fix some coding style issues

 TelepathyQt/constants.h        |   6 ++
 TelepathyQt/debug-receiver.cpp | 153 ++++++++++++++++-------------------------
 TelepathyQt/debug-receiver.h   |  14 ++--
 3 files changed, 71 insertions(+), 102 deletions(-)

commit 312a7e4779eae969b48d335256e32451a81bc222
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Sun Dec 11 19:44:42 2011 +0200

    debug-receiver: Implement DebugReceiver

 TelepathyQt/debug-receiver.cpp | 125 ++++++++++++++++++++++++++++++++++++++++-
 TelepathyQt/debug-receiver.h   |  14 +++++
 2 files changed, 138 insertions(+), 1 deletion(-)

commit 99968e5736c0690b332dd0f0d44a710f8f442d50
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Sun Dec 11 19:43:51 2011 +0200

    debug-receiver: Add class PendingDebugMessageList

 TelepathyQt/CMakeLists.txt                 |  4 ++
 TelepathyQt/PendingDebugMessageList        | 13 ++++++
 TelepathyQt/pending-debug-message-list.cpp | 67 ++++++++++++++++++++++++++++++
 TelepathyQt/pending-debug-message-list.h   | 56 +++++++++++++++++++++++++
 4 files changed, 140 insertions(+)

commit 913c5bb23f694e9d523a2dfb892c1bfd437618a5
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Sat Dec 10 23:32:17 2011 +0200

    debug-receiver: Add basic skeleton for the new Tp::DebugReceiver class.

 TelepathyQt/CMakeLists.txt     |  4 +++
 TelepathyQt/DebugReceiver      | 13 ++++++++
 TelepathyQt/debug-receiver.cpp | 68 ++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/debug-receiver.h   | 63 ++++++++++++++++++++++++++++++++++++++
 TelepathyQt/types.h            |  2 ++
 5 files changed, 150 insertions(+)

commit 2ed75525f4ef92319afbda66a9bdf27a7b5d7f26
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Sat Dec 10 22:32:11 2011 +0200

    debug-receiver: Enable generation of low level bindings for the o.f.T.Debug interface.

 TelepathyQt/CMakeLists.txt        | 3 +++
 TelepathyQt/debug-receiver.xml    | 9 +++++++++
 TelepathyQt/stable-interfaces.xml | 1 +
 3 files changed, 13 insertions(+)

commit d424f10ad898f87cff786d8177688e7e81a68b2e
Merge: 22a5b05 2050756
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jul 2 15:54:58 2012 +0200

    Merge branch 'optimize-qmap'
    
    Reviewed-by: George Kiagiadakis <george.kiagiadakis@collabora.com>

commit 20507563649ef3053398a709770c0a8e3d44113b
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Sun Apr 29 16:07:21 2012 +0200

    contact-manager: Change QMap to QHash where possible

 TelepathyQt/contact-manager.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 68de1c4efaf1e5499028c21c16bbe7ecc18732e0
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Sun Apr 29 16:07:00 2012 +0200

    optional-interface-factory: Change QMap to QHash where possible

 TelepathyQt/optional-interface-factory.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 383f731cb1932288b37f6755168d1c698ec0d3f2
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Sun Apr 29 16:05:49 2012 +0200

    contact-manager-roster: Change QMap to QHash where possible

 TelepathyQt/contact-manager-internal.h | 7 +++----
 TelepathyQt/contact-manager-roster.cpp | 2 +-
 2 files changed, 4 insertions(+), 5 deletions(-)

commit c35aa1bbd819b2b1cb3dc2105d1088a5094f0458
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Sun Apr 29 16:05:12 2012 +0200

    connection: Change QMap to QHash where possible

 TelepathyQt/connection.cpp | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 150282cee07f36ede17a77efdd67b9a83ad4cbe6
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Sun Apr 29 16:04:50 2012 +0200

    call-channel: Change QMap to QHash where possible

 TelepathyQt/call-channel.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 476c59236fd579a89596b0528b182efd8b37b70c
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Sun Apr 29 16:04:18 2012 +0200

    account: Change QMap to QHash where possible

 TelepathyQt/account.cpp | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 22a5b05e3d0b488892f1d20880ad69d41f000433
Merge: b263299 3b68bf1
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed May 23 15:41:48 2012 +0300

    Merge branch 'tp-glib-0.19'
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

commit 3b68bf14960970434edf2e785d48efc70de9425a
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed May 23 15:24:17 2012 +0300

    tests/lib/glib: Remove the csh CM - it's unused and uses deprecated API.

 tests/lib/glib/CMakeLists.txt           |   2 -
 tests/lib/glib/csh/CMakeLists.txt       |  15 -
 tests/lib/glib/csh/conn.c               | 292 --------------
 tests/lib/glib/csh/conn.h               |  58 ---
 tests/lib/glib/csh/connection-manager.c | 133 -------
 tests/lib/glib/csh/connection-manager.h |  61 ---
 tests/lib/glib/csh/manager-file.py      |  23 --
 tests/lib/glib/csh/room-manager.c       | 384 ------------------
 tests/lib/glib/csh/room-manager.h       |  55 ---
 tests/lib/glib/csh/room.c               | 673 --------------------------------
 tests/lib/glib/csh/room.h               |  64 ---
 11 files changed, 1760 deletions(-)

commit 5cf2d1a911b2e57a888574b7e2b7f7a546435051
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed May 23 15:20:03 2012 +0300

    tests/lib/glib/util.c: Remove tp_tests_connection_run_request_contact_handle
    
    This method uses deprecated API and it's not used anywhere, so it's not
    worth porting.

 tests/lib/glib/util.c | 44 --------------------------------------------
 1 file changed, 44 deletions(-)

commit 291346312c256b237f14de67092c4a8e64a179b0
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed May 23 15:18:01 2012 +0300

    textchan-null/textchan-group test CMs: Ignore deprecations for the moment
    
    These two service-side channel implementations are still using the
    deprecated TpTextMixin. In the future, we should get rid of them and
    use the echo2 CM as a replacement in the tests that use them.

 tests/lib/glib/textchan-group.c | 5 +++++
 tests/lib/glib/textchan-null.c  | 5 +++++
 2 files changed, 10 insertions(+)

commit 1c30a3e09f19fcd91b332abbbff0ce531f8afe0e
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed May 23 15:16:14 2012 +0300

    text-chan test: Ignore deprecations to use TpTextMixin for compatibility functionality testing

 tests/dbus/text-chan.cpp   | 3 +++
 tests/lib/glib/echo/chan.c | 3 +++
 2 files changed, 6 insertions(+)

commit 29809eef841dc6e057f67ce8468b1d0106514ffa
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed May 23 15:03:43 2012 +0300

    stream-tube-chan test CM: Don't use TpTextMixin - it's not needed and it's deprecated.

 tests/lib/glib/stream-tube-chan.c | 3 ---
 tests/lib/glib/stream-tube-chan.h | 3 ---
 2 files changed, 6 deletions(-)

commit 37d7a65b775c9c34ead38ba7312bef5b04a74913
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue May 22 18:44:55 2012 +0300

    echo2 test CM: Replace tp_message_new/tp_message_set_handle with tp_cm_message_new/tp_cm_message_set_sender

 tests/lib/glib/echo2/chan.c | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 510219be635008efb62e7ea80a1584763ee6fe1e
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue May 22 18:02:46 2012 +0300

    tests: Remove all occurencies of tp_handle_ref/unref.
    
    These methods are now deprecated and they have been no-op for a while,
    so it is safe to simply remove them.

 tests/dbus/account-channel-dispatcher.cpp         |  2 --
 tests/dbus/chan-conference.cpp                    |  4 ----
 tests/dbus/client-factories.cpp                   |  2 --
 tests/dbus/client.cpp                             |  2 --
 tests/dbus/contact-messenger.cpp                  |  6 ------
 tests/dbus/simple-observer.cpp                    |  2 --
 tests/dbus/stream-tube-chan.cpp                   |  5 -----
 tests/dbus/stream-tube-handlers.cpp               |  5 -----
 tests/dbus/text-chan.cpp                          |  2 --
 tests/lib/glib/callable/media-channel.c           |  8 --------
 tests/lib/glib/callable/media-stream.c            | 16 ---------------
 tests/lib/glib/contact-list-manager.c             |  2 --
 tests/lib/glib/contactlist/contact-list-manager.c | 16 ---------------
 tests/lib/glib/contactlist/contact-list.c         |  6 ------
 tests/lib/glib/contactlist2/contact-list.c        | 13 +-----------
 tests/lib/glib/csh/room.c                         | 23 ----------------------
 tests/lib/glib/echo/chan.c                        | 22 ---------------------
 tests/lib/glib/echo2/chan.c                       | 24 -----------------------
 tests/lib/glib/future/conn-addressing/conn.c      |  2 --
 tests/lib/glib/simple-conn.c                      |  3 ---
 tests/lib/glib/textchan-null.c                    |  5 -----
 21 files changed, 1 insertion(+), 169 deletions(-)

commit 7bd28f2d29a6aaa656de7ff9291698a713c5c61f
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue May 22 17:43:08 2012 +0300

    tests/lib/glib: Replace TP_ERRORS with TP_ERROR, as TP_ERRORS is now deprecated.

 tests/lib/glib/call/call-channel.c                 |  4 ++--
 tests/lib/glib/call/call-manager.c                 |  4 ++--
 tests/lib/glib/call/protocol.c                     |  4 ++--
 tests/lib/glib/callable/conn.c                     |  2 +-
 tests/lib/glib/callable/media-channel.c            | 26 +++++++++++-----------
 tests/lib/glib/callable/media-manager.c            |  2 +-
 tests/lib/glib/contact-search-chan.c               |  6 ++---
 tests/lib/glib/contactlist/conn.c                  |  4 ++--
 tests/lib/glib/contactlist/contact-list-manager.c  |  6 ++---
 tests/lib/glib/contactlist/contact-list.c          |  4 ++--
 tests/lib/glib/contactlist2/protocol.c             |  4 ++--
 tests/lib/glib/csh/conn.c                          | 16 ++++++-------
 tests/lib/glib/csh/connection-manager.c            |  6 ++---
 tests/lib/glib/csh/room-manager.c                  |  2 +-
 tests/lib/glib/csh/room.c                          |  2 +-
 tests/lib/glib/echo/conn.c                         |  2 +-
 tests/lib/glib/echo/im-manager.c                   |  2 +-
 tests/lib/glib/echo2/chan.c                        |  2 +-
 tests/lib/glib/echo2/connection-manager.c          |  2 +-
 tests/lib/glib/echo2/im-manager.c                  |  2 +-
 tests/lib/glib/echo2/protocol.c                    | 12 +++++-----
 tests/lib/glib/future/conn-addressing/conn.c       |  6 ++---
 tests/lib/glib/params-cm.c                         |  4 ++--
 tests/lib/glib/simple-channel-dispatch-operation.c |  2 +-
 tests/lib/glib/simple-client.c                     |  2 +-
 tests/lib/glib/simple-conn.c                       |  4 ++--
 tests/lib/glib/stream-tube-chan.c                  |  8 +++----
 27 files changed, 70 insertions(+), 70 deletions(-)

commit b2632998374b45af488b6c3a5a6fe330d23bb799
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed May 2 17:34:47 2012 +0300

    Use quintptr instead of intptr_t.
    
    This fixes FTBFS with gcc-4.7, which requires <stdint.h> to be
    included for intptr_t to be available. However, since stdint.h
    is not part of the C++03 standard, it is better to use Qt's types.
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

 TelepathyQt/base-connection.cpp    | 2 +-
 TelepathyQt/client-registrar.cpp   | 2 +-
 TelepathyQt/stream-tube-client.cpp | 2 +-
 TelepathyQt/stream-tube-server.cpp | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 861eb5f86a44c00e79de8c721110680e594c2eef
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 22:05:22 2012 +0300

    tests: Fix a race condition with createAccount() in test-account-basics and test-dbus-properties
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

 tests/dbus/account-basics.cpp  | 10 +++++++++-
 tests/dbus/dbus-properties.cpp |  9 ++++++++-
 2 files changed, 17 insertions(+), 2 deletions(-)

commit 606c2c8255f354397e642aa3eb457fe54a8c7321
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 21:28:00 2012 +0300

    Update NEWS

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit f15df8c845e8b21bcc0127ee22b320d9fd87250e
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 21:07:08 2012 +0300

    AccountManager: Rename accountForPath and accountsForPaths to accountForObjectPath and accountsForObjectPaths respectively.
    
    It turns out that the accountForPath name is not very intuitive,
    when the path is accessed from the objectPath() method.
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

 TelepathyQt/account-manager.cpp        | 26 +++++++++++++++++++++-----
 TelepathyQt/account-manager.h          |  6 ++++--
 examples/file-transfer/file-sender.cpp |  2 +-
 tests/dbus/account-basics.cpp          |  2 +-
 4 files changed, 27 insertions(+), 9 deletions(-)

commit b2325ec9580ae6620901a8aa950fb5f00f2d8df0
Merge: 93625b6 ec2162d
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Apr 13 14:37:56 2012 -0300

    Merge branch 'svc-fixes'
    
    Reviewed-by: George Kiagiadakis <george.kiagiadakis@collabora.com>

commit ec2162d96988a773b48861c6bcd19c46bcdf6b23
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Apr 13 14:01:33 2012 -0300

    Only generate adaptors for non-deprecated stable interfaces.

 TelepathyQt/CMakeLists.txt     | 22 ++++++++++++----------
 cmake/modules/TpQtMacros.cmake |  3 ++-
 2 files changed, 14 insertions(+), 11 deletions(-)

commit 37fde05498e2f6df1c3b9b705444f4c7f3025327
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Apr 13 14:04:27 2012 -0300

    qt-svc-gen.py: Properly generate adaptee methods/signals/properties names in lowerCamelCase.
    
    Also renamed all places using vCard to vcard for consistency as the generated code will generate
    vcard for VCard when appropriate.

 TelepathyQt/base-protocol-internal.h   |  6 ++--
 TelepathyQt/base-protocol.cpp          | 62 +++++++++++++++++-----------------
 TelepathyQt/base-protocol.h            |  6 ++--
 TelepathyQt/contact-manager.cpp        |  6 ++--
 TelepathyQt/contact.cpp                |  4 +--
 TelepathyQt/manager-file.cpp           |  4 +--
 TelepathyQt/protocol-info.cpp          | 22 ++++++------
 TelepathyQt/svc-channel.xml            | 38 +++++++++++++++++++++
 TelepathyQt/svc-connection-manager.xml | 13 +++++++
 TelepathyQt/svc-connection.xml         | 29 ++++++++++++++++
 examples/cm/protocol.cpp               |  2 +-
 tests/dbus/base-protocol.cpp           | 30 ++++++++--------
 tools/qt-svc-gen.py                    | 17 +++++-----
 13 files changed, 159 insertions(+), 80 deletions(-)

commit 93625b67732094b922791280848d70077f1c5d1b
Merge: 9cd3b18 240f9c0
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 19:11:22 2012 +0300

    Merge branch 'cmake-fixes'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit 240f9c038a0cc2b27d8a42b4bd53c1a959800bfc
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 19:08:18 2012 +0300

    cmake: Fix service-side compilation with -jX

 TelepathyQt/CMakeLists.txt | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

commit 9cd3b18be5b410d60f20c4bd066054698e304a3d
Merge: b85446e b47b911
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 17:49:44 2012 +0300

    Merge branch 'presence-additions'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit b85446e1ee7a75de412f0de8e948139b31579532
Merge: 8c3a44b d3e13a2
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 17:49:05 2012 +0300

    Merge branch 'test-base-protocol'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit 8c3a44bc23a87e288a2f076734879d17c1be5104
Merge: 1c9933c aa817e4
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 17:47:37 2012 +0300

    Merge branch 'test-base-cm'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit b47b911b7bb1d3298be0be1f2a3cafe43169d6f5
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 15:51:21 2012 +0300

    PresenceSpecList: Declare metatype

 TelepathyQt/presence.h | 1 +
 1 file changed, 1 insertion(+)

commit a1cc4a980d47aaf2a86442a1507368eb77bf3349
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 15:42:14 2012 +0300

    test-base-protocol: Properly test the presence interface

 tests/dbus/base-protocol.cpp | 34 ++++++++++++++++++++++++++++------
 1 file changed, 28 insertions(+), 6 deletions(-)

commit 02f3c6f6d37a413b5ad394a216db43caad98e6b8
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 15:36:22 2012 +0300

    test-presence: Test the new Presence constructors

 tests/presence.cpp | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 2a9e3cc01ff743e9fa40bad32b43ded76726cea5
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 15:35:22 2012 +0300

    Presence: Add constructors for the rest of the possible presence statuses

 TelepathyQt/presence.cpp | 10 ++++++++++
 TelepathyQt/presence.h   |  2 ++
 2 files changed, 12 insertions(+)

commit 0da6c17808341aacb3c303c49a88296febb031c3
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 13:36:41 2012 +0300

    test-presence: Add tests for the high-level constructors of PresenceSpec

 tests/presence.cpp | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit c92ab27fd5d03dade4c3feda0d3d107c224ca278
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 13 13:35:29 2012 +0300

    PresenceSpec: Add high-level API for easily creating PresenceSpec objects
    
    The default flags are based on telepathy-gabble's PresenceSpec flags.

 TelepathyQt/presence.cpp | 108 +++++++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/presence.h   |  23 ++++++++++
 2 files changed, 131 insertions(+)

commit d3e13a20bad5c272cb1b6b2cb4f047ee6c3ad228
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Apr 12 17:48:55 2012 +0300

    tests: Add a unit test for BaseProtocol and its interfaces

 tests/dbus/CMakeLists.txt    |   1 +
 tests/dbus/base-protocol.cpp | 666 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 667 insertions(+)

commit fbb98da15c07b16b0417da5eb6c5cf9ed71b0d91
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Apr 12 16:42:13 2012 +0300

    BaseProtocolPresenceInterface: Add Statuses as immutable property

 TelepathyQt/base-protocol.cpp | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 68d97d44bf0c48cecdeba0cbb81fac1c8f52230c
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Apr 12 16:32:44 2012 +0300

    Base*::immutableProperties: Re-wrap lines for readability and use QVariant::fromValue()
    
    qVariantFromValue() is obsolete since Qt 4.8

 TelepathyQt/base-connection-manager.cpp |  3 ++-
 TelepathyQt/base-protocol.cpp           | 48 ++++++++++++++++++++++-----------
 2 files changed, 34 insertions(+), 17 deletions(-)

commit 40ad90845d772accdec22d23b168b697ac4f9bc3
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Apr 11 18:08:10 2012 +0300

    Make the create<Subclass>() methods of the service-side API return a SharedPtr<Subclass>
    
    This avoids unnecessary casting after the new instance has been created.

 TelepathyQt/base-connection-manager.h |  9 +++++----
 TelepathyQt/base-connection.h         | 10 +++++-----
 TelepathyQt/base-protocol.h           | 25 +++++++++++++++----------
 3 files changed, 25 insertions(+), 19 deletions(-)

commit e14eda73fb5bbdd3a200ba4b7198acebff91c2c1
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Apr 11 17:57:02 2012 +0300

    BaseProtocol: Add missing Q_OBJECT macro in the protocol interface classes

 TelepathyQt/base-protocol.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 34fa155da0c204af7c5d6d7f94d09d9cd5c58811
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Apr 11 17:54:30 2012 +0300

    BaseProtocol: Add a new convenience interface(interfaceName) method

 TelepathyQt/base-protocol.cpp | 19 +++++++++++++++++--
 TelepathyQt/base-protocol.h   |  1 +
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 20f343b3dc5b1fa3c9eb7c90ca9e51a52338155d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Apr 9 20:56:14 2012 +0300

    ProtocolParameter: Fix typo in the constructor arguments - flags should be of the respective QFlags type, not the enum type

 TelepathyQt/protocol-parameter.cpp | 6 +++---
 TelepathyQt/protocol-parameter.h   | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 39a083a71ea9b1f6e295b9e02ecc2c83020d2c8f
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Apr 9 20:55:34 2012 +0300

    BaseProtocol interfaces: Create adaptee classes earlier than adaptors
    
    This is better practice than having mPriv->adaptee be NULL before
    the interface has been registered and prevents a crash in
    BaseProtocolAvatarsInterface::immutableProperties() if this
    gets called with adaptee being NULL.
    
    We could also make immutableProperties() return an empty map if the
    adaptee has not been created, but it's probably safer for the future
    to always create the adaptee object and don't bother to check if it's
    NULL or not.

 TelepathyQt/base-protocol-internal.h |  9 +++-----
 TelepathyQt/base-protocol.cpp        | 45 +++++++++++++++---------------------
 2 files changed, 21 insertions(+), 33 deletions(-)

commit aa817e46ab60120084e82926caf0c1cef8dcaacf
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Apr 10 23:04:30 2012 +0300

    TestThreadHelper: Start the thread after entering the event loop, as the code actually intended to do.

 tests/lib/test-thread-helper.cpp | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5bf254fc18c499f578f7863c7a954bae4c99fddb
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Apr 10 22:15:37 2012 +0300

    test-base-cm: Port to use TestThreadHelper

 tests/dbus/base-cm.cpp | 37 ++++++++++++++++++++++++++-----------
 1 file changed, 26 insertions(+), 11 deletions(-)

commit 11feef12ef5138c703f9974bbd9a35c670cfcc76
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Apr 10 20:44:48 2012 +0300

    tests-lib: Add a new TestThreadHelper class
    
    This class allows us to run parts of a unit test in a different thread context,
    while being in sync with the unit test flow. This is useful to run connection
    manager implementations in a different thread, to overcome the shortcomings
    of the QtDBus local-loop optimizations.

 tests/lib/CMakeLists.txt         | 22 ++++++++++--
 tests/lib/test-thread-helper.cpp | 36 +++++++++++++++++++
 tests/lib/test-thread-helper.h   | 77 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 133 insertions(+), 2 deletions(-)

commit a1e4147a4677293164eed80e056f812309c6a33a
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Apr 9 17:52:05 2012 +0300

    test-base-cm: Add test for the protocol-related methods of BaseCM

 tests/dbus/base-cm.cpp | 64 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)

commit 9f7c332174554ebf821f9490e2463a666a7842ab
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Apr 9 17:19:15 2012 +0300

    ConnectionManager: Finish introspection sucessfully when no protocols are found on the CM

 TelepathyQt/connection-manager.cpp | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 5872ea5f62c6eff9d55e50941824f3ade55ec5fd
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Apr 9 17:18:54 2012 +0300

    BaseConnection: Fix QString args replacement in registerObject()

 TelepathyQt/base-connection.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit df0621ea1b0ae7896edf69087790b4cd750d5ce0
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Apr 9 17:17:29 2012 +0300

    DBusService: Fix QString args replacement in registerObject()

 TelepathyQt/dbus-service.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a3ebacbc33eb4c026a90e1191ac8da9c38aebcac
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Apr 9 17:12:12 2012 +0300

    tests: Add a new test for testing BaseConnectionManager
    
    The test currently contains an adaptation of tp-glib's example-no-protocols test.

 tests/dbus/CMakeLists.txt |  4 +++
 tests/dbus/base-cm.cpp    | 92 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

commit 1c9933cd7dc509779abcc22fd4622cb353798711
Merge: 63ce37b 542e0bc
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Apr 6 14:01:43 2012 -0300

    Merge branch 'svc-fixes'
    
    Reviewed-by: George Kiagiadakis <george.kiagiadakis@collabora.com>

commit 542e0bcb0da2ed461f250f03602b516b3942b6ee
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Apr 6 13:51:48 2012 -0300

    Move service side specific types from types.h to service-types.h as they are in separate libraries.
    
    The files will be merged in types.h once the libraries are merged.

 TelepathyQt/CMakeLists.txt  |  4 ++-
 TelepathyQt/ServiceTypes    | 13 ++++++++++
 TelepathyQt/dbus-service.h  |  1 +
 TelepathyQt/service-types.h | 59 +++++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/types.h         | 20 ++-------------
 5 files changed, 78 insertions(+), 19 deletions(-)

commit b33642d78d4629b5b44776d12f2069d1afed42b3
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Apr 6 13:16:24 2012 -0300

    Revert "MethodInvocationContext: Add setFinishedWithError overload receiving a DBusError."
    
    This reverts commit 383213037d594cbbc3aa92681c75a0e40e6760ed.
    
    DBusError is part of telepathy-qt-service library and cannot be a dependency for the main
    telepathy-qt library. We may re-add it once we merge both libraries.

 TelepathyQt/base-connection-manager.cpp | 4 ++--
 TelepathyQt/base-protocol.cpp           | 8 ++++----
 TelepathyQt/method-invocation-context.h | 9 +--------
 3 files changed, 7 insertions(+), 14 deletions(-)

commit 63ce37b2c1a712892486d208b93a8ca3f44bc1ab
Merge: c5979f9 b189cbb
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Apr 6 13:38:59 2012 -0300

    Merge remote-tracking branch 'gkiagia/svc-fixes'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit b189cbb146e46360d956d91ac3c931bdac0bbfab
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 6 01:28:40 2012 +0300

    DBusObject: Add missing Q_OBJECT macro

 TelepathyQt/CMakeLists.txt  | 1 +
 TelepathyQt/dbus-object.cpp | 2 ++
 TelepathyQt/dbus-object.h   | 1 +
 3 files changed, 4 insertions(+)

commit 24209de4511f1a5610e465a4b1be682fd4e1de23
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Fri Apr 6 01:20:33 2012 +0300

    Do not install global.h twice.

 TelepathyQt/CMakeLists.txt | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit c5979f96c48c756a47720580fc931ea3784e8192
Merge: b802ffe c9ddd40
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Apr 5 12:23:50 2012 -0300

    Merge remote-tracking branch 'gkiagia/service-side-docs'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit c9ddd406ea8c0f3d992e8d17df5e10e4c5d5d39d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Apr 5 18:01:52 2012 +0300

    DBusObject: Add documentation

 TelepathyQt/dbus-object.cpp | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 7f37fa32582941cf0168573aa7d4c2d6584bdc34
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Apr 5 17:56:36 2012 +0300

    AbstractAdaptor: Add documentation

 TelepathyQt/abstract-adaptor.cpp | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

commit 9c2cfb2feef1388e5a17ba3d23313f355203c133
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Apr 5 17:36:11 2012 +0300

    DBusError: Add documentation

 TelepathyQt/dbus-error.cpp | 59 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

commit 135b9e0fbd5b821f755f977e7985d0d27a1ec916
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Apr 5 16:44:07 2012 +0300

    AbstractDBusServiceInterface: Add missing doc for immutableProperties()

 TelepathyQt/dbus-service.cpp | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 30c9feb1c4dba935072ab08c1990c233d75fefe5
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Apr 5 16:43:06 2012 +0300

    Document the callbacks system

 TelepathyQt/callbacks.dox | 161 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 161 insertions(+)

commit 63494b734a7236b56657b9010483f04a5fae1efc
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Apr 4 18:53:22 2012 +0300

    BaseProtocol: Add documentation

 TelepathyQt/base-protocol.cpp | 502 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 502 insertions(+)

commit c1930718d2367ba2f5499cc01d373d6d47db3d8d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Apr 4 18:03:58 2012 +0300

    BaseConnection: Add documentation

 TelepathyQt/base-connection.cpp | 68 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 68 insertions(+)

commit ef41d3bf4c44de194941df63f0415f443150bd18
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Apr 4 17:51:02 2012 +0300

    BaseConnectionManager: Add documentation

 TelepathyQt/base-connection-manager.cpp | 108 ++++++++++++++++++++++++++++++++
 1 file changed, 108 insertions(+)

commit 5da412dc564a0c43cf8417b7935f431f4c250b38
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Apr 4 17:45:19 2012 +0300

    DBusService: Add documentation

 TelepathyQt/dbus-service.cpp | 142 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 142 insertions(+)

commit 6f6d089589b25520fd6b2afdb7e026fa6ddc30f5
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Apr 4 17:27:45 2012 +0300

    groups.dox: Add new documentation groups for the service-side bindings

 TelepathyQt/groups.dox | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit b802ffe840ad89ea18e98b2a2d69577917ec66bf
Merge: fe8b98f 54b8da6
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Apr 5 12:21:51 2012 -0300

    Merge branch 'service-side'
    
    Reviewed-by: George Kiagiadakis <george.kiagiadakis@collabora.com>
    Reviewed-by: Dario Freddi <dario.freddi@collabora.co.uk>

commit 54b8da6d1cbcfd80c20227b1db41e7a28dcf9607
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Apr 5 12:18:20 2012 -0300

    Update README and add notes on how to build against Qt 5 alpha.

 README | 27 ++++++++++++++++++++++++---
 1 file changed, 24 insertions(+), 3 deletions(-)

commit 6d542c5859d94eb1511caaf05236a2e3331a74f8
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Apr 5 11:44:15 2012 -0300

    AbstractAdaptor: Remove setAdaptee.
    
    Changing adaptees at runtime is not desirable and generated adaptors will only connect to adaptee
    signals (relay) on construction.

 TelepathyQt/abstract-adaptor.cpp | 5 -----
 TelepathyQt/abstract-adaptor.h   | 1 -
 2 files changed, 6 deletions(-)

commit a3ee81009ccc62035aa2b7d6b20aeb95c2589dc1
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Apr 5 09:37:46 2012 -0300

    BaseProtocol: Properly make mPriv private.

 TelepathyQt/base-protocol.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f87b7484d122f5f6cd027267fd5707d03758078a
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Apr 4 17:36:37 2012 -0300

    Properly build against Qt 5 alpha.
    
    Qt 5 alpha release has some build issues that should be addressed in order to build tp-qt against
    it:
    - When running configure in Qt 5 alpha, the pkgconfig files are properly generated, but when make is
    executed, the files are replaced with empty ones, so to build tp-qt one must either backup the pkgconfig
    files generated during the configure phase before running make and replace them afterwards,
    or re-run configure with the same parameters after building it. (reported and should be fixed when
    beta is out)
    - If Qt 5 alpha is built with -reduce-relocations enabled, one must add the keyword
    "reduce_relocations" to qtbase/lib/pkgconfig/QtCore.pc in the qt_config section, so that tp-qt knows
    when to use -fPIC/PIE accordingly. (reported and should be fixed when beta is out)

 CMakeLists.txt                            | 14 +++++++++++++-
 TelepathyQt/CMakeLists.txt                |  9 ++++++---
 TelepathyQt/Farsight/CMakeLists.txt       |  3 ++-
 TelepathyQt/Farstream/CMakeLists.txt      |  3 ++-
 cmake/modules/FindQt5.cmake               |  9 ++++++++-
 cmake/modules/TpQtMacros.cmake            |  4 ++--
 examples/accounts/CMakeLists.txt          |  3 ++-
 examples/cm/CMakeLists.txt                |  3 ++-
 examples/contact-messenger/CMakeLists.txt |  3 ++-
 examples/extensions/CMakeLists.txt        |  3 ++-
 examples/file-transfer/CMakeLists.txt     |  6 ++++--
 examples/protocols/CMakeLists.txt         |  3 ++-
 examples/roster/CMakeLists.txt            |  6 ++++--
 examples/stream-tubes/CMakeLists.txt      |  6 ++++--
 14 files changed, 55 insertions(+), 20 deletions(-)

commit 7e993408ddaf5ead064f86a5cfe59f1be3a93329
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Apr 4 11:17:39 2012 -0300

    DBusService: Use DBusObject.

 TelepathyQt/base-connection-manager.cpp |  1 +
 TelepathyQt/base-connection.cpp         |  1 +
 TelepathyQt/base-protocol.cpp           | 39 +++++++++++++++++----------------
 TelepathyQt/base-protocol.h             | 32 +++++++++++++--------------
 TelepathyQt/dbus-service.cpp            | 35 +++++++++++------------------
 TelepathyQt/dbus-service.h              | 11 +++++-----
 examples/cm/protocol.cpp                |  6 ++---
 7 files changed, 60 insertions(+), 65 deletions(-)

commit 6c258da57b40dab608c31b6abdff93d2792bf9c0
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Apr 4 11:16:15 2012 -0300

    DBusObject: Add utility class holding a QDBusConnection.

 TelepathyQt/CMakeLists.txt  |  3 +++
 TelepathyQt/DBusObject      | 13 +++++++++++
 TelepathyQt/dbus-object.cpp | 56 ++++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/dbus-object.h   | 57 +++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 129 insertions(+)

commit 10e13da5825e28e0f3ac9bfd8b387b5bcf4d499d
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 18:55:01 2012 -0300

    BaseConnectionManager: Fix debug string.

 TelepathyQt/base-connection-manager.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b70932d4b9502dceb5b45ea522243d585a3d03f7
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 18:54:44 2012 -0300

    BaseConnection: Add cmName accessor.

 TelepathyQt/base-connection.cpp | 5 +++++
 TelepathyQt/base-connection.h   | 1 +
 2 files changed, 6 insertions(+)

commit 575067ad597d2cf324a9f711b16fe2e0a6ce4119
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 18:53:53 2012 -0300

    *DBusService*: Add public immutableProperties virtual method to be reimplemented by services and optinal interfaces.

 TelepathyQt/base-connection-manager.cpp |  7 +++++
 TelepathyQt/base-connection-manager.h   |  2 ++
 TelepathyQt/base-connection.cpp         |  6 ++++
 TelepathyQt/base-connection.h           |  2 ++
 TelepathyQt/base-protocol.cpp           | 50 ++++++++++++++++++++++++++++-----
 TelepathyQt/base-protocol.h             |  6 ++++
 TelepathyQt/dbus-service.h              |  5 ++++
 7 files changed, 71 insertions(+), 7 deletions(-)

commit 9c168d5dd156ae8a4dc1d452373ebe936572075b
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 18:50:23 2012 -0300

    BaseProtocol: Add more checks in plugInterface.

 TelepathyQt/base-protocol.cpp | 31 +++++++++++++++++++++++++------
 TelepathyQt/base-protocol.h   |  2 +-
 2 files changed, 26 insertions(+), 7 deletions(-)

commit f3195b924e18de5d1cd1a9432fb9823a61452338
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 18:49:18 2012 -0300

    BaseConnectionManager: Check if protocol is already registered in registerObject.

 TelepathyQt/base-connection-manager.cpp | 6 ++++++
 1 file changed, 6 insertions(+)

commit 555aa2fc85587ebc2d9935f7d4396b1c9fa42bf3
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 18:48:40 2012 -0300

    BaseConnection: Check for isRegistered on registerObject.

 TelepathyQt/base-connection.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 452dc304c698f15a5a7b43149320b40ef3318820
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 18:48:14 2012 -0300

    BaseConnectionManager: Check for isRegistered on registerObject.

 TelepathyQt/base-connection-manager.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 7711932beeac265620a7e73bdf37898e44beacaf
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 18:46:11 2012 -0300

    BaseProtocol: Check for isRegistered in registerObject.

 TelepathyQt/base-protocol.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 28827058019699a323f57ef2351f1776a9be8e93
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 18:42:41 2012 -0300

    AbstractDBusServiceInterface: Change how registration works to allow interfaces to check whether they are already registered.

 TelepathyQt/base-protocol.cpp | 52 ++++++++++++++++---------------------------
 TelepathyQt/base-protocol.h   | 40 ++++++++++++++++-----------------
 TelepathyQt/dbus-service.cpp  | 42 ++++++++++++++++++++++++++++++----
 TelepathyQt/dbus-service.h    |  9 ++++++--
 examples/cm/protocol.cpp      |  6 ++---
 5 files changed, 86 insertions(+), 63 deletions(-)

commit eaae5d521eeb8faca0ff2f43a8b06b9ade48d389
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 15:24:59 2012 -0300

    BaseProtocol*: Warn and return if trying to change immutable property after object registration.

 TelepathyQt/base-protocol.cpp | 45 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

commit 9115a02301124d3b4ea60f7a811b42498a087850
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 15:11:13 2012 -0300

    BaseProtocol: No point in keeping adaptor pointers around in adaptee instances.

 TelepathyQt/base-protocol-internal.h | 4 ----
 TelepathyQt/base-protocol.cpp        | 8 ++++----
 2 files changed, 4 insertions(+), 8 deletions(-)

commit 40b4d6f147427b4c7fe7d1474e208b2e6532882e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 15:09:37 2012 -0300

    BaseProtocol*Interface: Warn if createAdaptor is called more than once.

 TelepathyQt/base-protocol.cpp | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit e92210fc716e86b1dd76910f07004a1418f3a8aa
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 15:09:30 2012 -0300

    BaseProtocol*Interface: Use interface as parent for adaptees.

 TelepathyQt/base-protocol.cpp | 21 +++------------------
 1 file changed, 3 insertions(+), 18 deletions(-)

commit c33bde0226ee543e65ff14024744946d68fa07e9
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 14:57:47 2012 -0300

    AbstractDBusServiceInterface: Use QString instead of QLatin1String to store interface name.

 TelepathyQt/base-protocol.cpp | 2 +-
 TelepathyQt/base-protocol.h   | 2 +-
 TelepathyQt/dbus-service.cpp  | 8 ++++----
 TelepathyQt/dbus-service.h    | 4 ++--
 4 files changed, 8 insertions(+), 8 deletions(-)

commit 4a7760b4810bb9b2d42536ca7bdeeaeea6d94c82
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 14:54:20 2012 -0300

    AbstractDBusServiceInterface: Export it and add Q_OBJECT macro.

 TelepathyQt/dbus-service.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fcd3df7d370c69f5fef16f5203540060b87a2a54
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 14:53:23 2012 -0300

    DBusError: Fix copyright notice.

 TelepathyQt/dbus-error.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 165bc8dcfefe126a68412792724c1e077157cda7
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 14:50:09 2012 -0300

    BaseCallback: No need to check pointer before calling delete when we guarantee the pointer is properly nullfied when appropriate.

 TelepathyQt/callbacks.h | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 44e9877271e3f6fbbf2212c9ad563b1aca37ef82
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Tue Apr 3 14:44:21 2012 -0300

    BaseConnectionManager: Unexport add/removeConnection.

 TelepathyQt/base-connection-manager.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6763cc95ca7976bf3b0e5f2f4cf8d6ec9c6da245
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 10:28:27 2012 -0300

    qt-svc-gen.py: Improve props docs.

 tools/qt-svc-gen.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 94fb8f7e048cbacf261c2fa89d83f91dc1c401c5
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 10:25:21 2012 -0300

    cm example: Add example for BaseProtocolPresenceInterface usage.

 examples/cm/protocol.cpp | 18 ++++++++++++++++++
 examples/cm/protocol.h   |  1 +
 2 files changed, 19 insertions(+)

commit 124975bc160784805a06abc35065db7c2208bd89
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 10:32:08 2012 -0300

    BaseProtocolPresenceInterface: Add support for Proto.I.Presence.

 TelepathyQt/BaseProtocolPresenceInterface | 13 +++++++
 TelepathyQt/CMakeLists.txt                |  1 +
 TelepathyQt/base-protocol-internal.h      | 17 +++++++++
 TelepathyQt/base-protocol.cpp             | 60 +++++++++++++++++++++++++++++++
 TelepathyQt/base-protocol.h               | 25 ++++++++++---
 TelepathyQt/types.h                       |  2 ++
 6 files changed, 113 insertions(+), 5 deletions(-)

commit 8c11d02d62a8b6dc492c26a634e0039f4a5dece0
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 10:04:18 2012 -0300

    cm example: Add example for BaseProtocolAvatarsInterface usage.

 examples/cm/protocol.cpp | 5 +++++
 examples/cm/protocol.h   | 1 +
 2 files changed, 6 insertions(+)

commit 0fa688f5bece65969a8686bbf5919cc9ee5dc956
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 10:32:00 2012 -0300

    BaseProtocolAvatarsInterface: Add support for Proto.I.Avatars.

 TelepathyQt/BaseProtocolAvatarsInterface | 13 +++++
 TelepathyQt/CMakeLists.txt               |  1 +
 TelepathyQt/base-protocol-internal.h     | 31 ++++++++++
 TelepathyQt/base-protocol.cpp            | 97 ++++++++++++++++++++++++++++++++
 TelepathyQt/base-protocol.h              | 27 +++++++--
 TelepathyQt/types.h                      |  2 +
 6 files changed, 166 insertions(+), 5 deletions(-)

commit 6e8d06d5ce57603a327129c508dea7a8a3669781
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 09:41:07 2012 -0300

    cm example: Add example for BaseProtocolAddressingInterface usage.

 examples/cm/protocol.cpp | 32 +++++++++++++++++++++++---------
 examples/cm/protocol.h   |  9 ++++++++-
 2 files changed, 31 insertions(+), 10 deletions(-)

commit 8a408ee686e6a75861376bdbfbf2c2acacc8ebe0
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 09:40:18 2012 -0300

    BaseProtocolAddressingInterface: Add support for Proto.I.Addressing.

 TelepathyQt/BaseProtocolAddressingInterface |  13 +++
 TelepathyQt/CMakeLists.txt                  |   1 +
 TelepathyQt/base-protocol-internal.h        |  25 ++++++
 TelepathyQt/base-protocol.cpp               | 135 ++++++++++++++++++++++++++++
 TelepathyQt/base-protocol.h                 |  34 +++++--
 TelepathyQt/types.h                         |   2 +
 6 files changed, 203 insertions(+), 7 deletions(-)

commit b412bae468047952d9d45341a7fcfe2cbae901a9
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 09:37:02 2012 -0300

    BaseProtocol: Add support for optional interfaces.

 TelepathyQt/base-protocol.cpp | 29 ++++++++++++++++++++++++++---
 TelepathyQt/base-protocol.h   |  3 +++
 2 files changed, 29 insertions(+), 3 deletions(-)

commit 60c94fe0d40612b14f2f796319449e94624cbbc4
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 09:35:23 2012 -0300

    AbstractProtocolInterface: Add base class (abstract) for BaseProtocol optional interfaces.

 TelepathyQt/AbstractProtocolInterface | 13 +++++++++++++
 TelepathyQt/CMakeLists.txt            |  1 +
 TelepathyQt/base-protocol.cpp         |  9 +++++++++
 TelepathyQt/base-protocol.h           | 18 ++++++++++++++++++
 TelepathyQt/types.h                   |  2 ++
 5 files changed, 43 insertions(+)

commit a4c73115e63bb4df160e17d4b48db8f05cd728e9
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 09:26:41 2012 -0300

    AbstractDBusServiceInterface: Add base class (abstract) for DBusService optional interfaces.

 TelepathyQt/AbstractDBusServiceInterface | 13 +++++++++++++
 TelepathyQt/CMakeLists.txt               |  1 +
 TelepathyQt/dbus-service.cpp             | 25 +++++++++++++++++++++++++
 TelepathyQt/dbus-service.h               | 19 +++++++++++++++++++
 4 files changed, 58 insertions(+)

commit 2169b5b50ac788719930930e627b323adf14c1db
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 10:31:00 2012 -0300

    BaseProtocol: Add more convenience methods for create.

 TelepathyQt/base-protocol.h | 8 ++++++++
 1 file changed, 8 insertions(+)

commit d70953cef69f3ca41107c912d0cb5f541b230556
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 09:41:49 2012 -0300

    BaseConnection: Add more convenience methods for create.

 TelepathyQt/base-connection.h | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 27f36c08c01d2acd72db075c4acf11cae0360291
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 08:20:47 2012 -0300

    qt-svc-gen.py: Generate docs for signals.

 tools/qt-svc-gen.py | 31 +++++++++++++++++++++++++++++--
 1 file changed, 29 insertions(+), 2 deletions(-)

commit 38df46fe7e43f32764bd342e96e754e0e5ac67f2
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 07:54:55 2012 -0300

    qt-svc-gen.py: Generate docs for methods.

 tools/qt-svc-gen.py | 57 +++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 53 insertions(+), 4 deletions(-)

commit be7687fc803adbc04beb31802915e10d40f6ffee
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 07:21:30 2012 -0300

    qt-svc-gen.py: Generate docs for properties.

 tools/qt-svc-gen.py | 29 +++++++++++++++++++++++++++--
 1 file changed, 27 insertions(+), 2 deletions(-)

commit 0743f89d3f8e90aef6d1d62f86e4076af34f59ea
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 07:09:22 2012 -0300

    qt-svc-gen.py: Use lowerCamelCase for adaptee properties names/methods/signals.

 TelepathyQt/base-connection-manager-internal.h |  4 +-
 TelepathyQt/base-protocol-internal.h           | 20 +++++-----
 TelepathyQt/base-protocol.cpp                  | 16 ++++----
 TelepathyQt/base-protocol.h                    |  4 +-
 tools/qt-svc-gen.py                            | 54 ++++++++++++++++++--------
 5 files changed, 59 insertions(+), 39 deletions(-)

commit 0156f3d42a7cb600fbc5612ea89d9202c8a57743
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 15:11:40 2012 -0300

    BaseProtocol: Use callbacks.

 TelepathyQt/base-connection-manager.cpp |  6 +---
 TelepathyQt/base-protocol.cpp           | 60 +++++++++++++++++++++------------
 TelepathyQt/base-protocol.h             | 18 +++++++---
 examples/cm/protocol.cpp                |  5 +++
 4 files changed, 57 insertions(+), 32 deletions(-)

commit 0ece8e40bbf697960c035032618e997fbca655a4
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 15:10:38 2012 -0300

    BaseCallback: Add isValid accessor.

 TelepathyQt/callbacks.h | 2 ++
 1 file changed, 2 insertions(+)

commit b2bf8263c1ee5bf05bfb9a51bd7274a74535e018
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 15:06:27 2012 -0300

    BaseProtocol: Fix getParameters to not send QVariant::Invalid for ParamSpec::defaultValue.

 TelepathyQt/base-protocol.cpp | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 2b52121da07bd513631affc80f041d45136d5bfb
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 15:04:58 2012 -0300

    BaseConnectionManager: Fix getParameters to not send QVariant::Invalid for ParamSpec::defaultValue.

 TelepathyQt/base-connection-manager.cpp | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 6b05068474c98286f1aec6827200968abc121551
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 01:04:52 2012 -0300

    callbacks test: Add initial tests for the callback system.

 tests/CMakeLists.txt |   1 +
 tests/callbacks.cpp  | 261 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 262 insertions(+)

commit 5a5094d0e28545f3f74b6e89635d77b01c63ba1d
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 00:18:02 2012 -0300

    Add classes for the callback system.
    
    The callback system will be used initially by service side high-level APIs to expose methods
    that may/should be overriden in implementations.
    Ideally we'd use virtual methods for this, but as new methods can be added freely (when interfaces
    changes), we would not be able to guarantee a stable API/ABI.
    
    Other options were also analysed, such as virtual padding, virtual_hook as well as using Qt slots
    override mechanism with QMetaObject calls, but in the end they all have their own issues and we
    decided to go with callbacks.
    
    Usage example:
      // expects a method with the following signature:
      // void method();
      Tp::Callback0<void> cb = memFun(myObj, &MyImpl::method); // or
      Tp::Callback0<void> cb = ptrFun(&method);
    
      // expects a method with the following signature:
      // char *index(const char *s, char c);
      Tp::Callback2<char*,const char*,char> cb = memFun(myObj, &MyImpl::index); // or
      Tp::Callback2<char*,const char*,char> cb = ptrFun(&index);

 TelepathyQt/CMakeLists.txt |   4 +
 TelepathyQt/Callbacks      |  13 ++
 TelepathyQt/Functors       |  13 ++
 TelepathyQt/callbacks.h    | 386 +++++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/functors.h     | 343 ++++++++++++++++++++++++++++++++++++++++
 5 files changed, 759 insertions(+)

commit f821bc8dc3f8fc7d57c437503eb56375451b7046
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 01:40:55 2012 -0300

    BaseProtocol: Add skeleton (commented) protocol interfaces.

 TelepathyQt/base-protocol.h | 60 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)

commit 635f804067487717adc0360872f093ed97c68c1f
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 01:40:19 2012 -0300

    DBusService: No need to check for error in registerObject as the param is mandatory.

 TelepathyQt/dbus-service.cpp | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit 295a56130d95c79a6f84edc2dd5a11fe55b76e33
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 01:39:00 2012 -0300

    BaseConnectionManager: Always pass error to DBusService::registerObject.

 TelepathyQt/base-connection-manager.cpp | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 8b770593792082e9de48ddbd340e3ba53c052e7a
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 01:38:15 2012 -0300

    BaseConnection: Always pass error to DBusService::registerObject.

 TelepathyQt/base-connection.cpp | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 2a99ef01b3fc99602894081c655b4783a89f500e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 01:36:31 2012 -0300

    BaseConnection: Add default param to registerObject.

 TelepathyQt/base-connection.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9813aa845089286454405d125d725f44efc319f6
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 01:36:00 2012 -0300

    BaseProtocol: No need to check for error in callbacks as they are mandatory.

 TelepathyQt/base-protocol.cpp | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit 1a1ff8851c7a7cfcced8a26f162af474e397f22e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 01:07:04 2012 -0300

    DBusError: Disable copy.

 TelepathyQt/dbus-error.cpp | 14 ++------------
 TelepathyQt/dbus-error.h   | 13 ++++---------
 2 files changed, 6 insertions(+), 21 deletions(-)

commit a4b05b4af7c06e3cbc050b1c3d0297c001309b63
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 19:05:23 2012 -0300

    cm example: Reimplement BaseProtocol::identifyAccount/normalizeContact.

 TelepathyQt/utils.cpp    |  4 ++++
 examples/cm/protocol.cpp | 16 ++++++++++++++++
 examples/cm/protocol.h   |  4 ++--
 3 files changed, 22 insertions(+), 2 deletions(-)

commit 8e714dff1697cc95b3e08e68e7169b2d39903b33
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 18:58:06 2012 -0300

    BaseProtocol: Add Q_UNUSED(parameters) to default createConnection.

 TelepathyQt/base-protocol.cpp | 1 +
 1 file changed, 1 insertion(+)

commit e78e7f07c02f711542cbedec741268e82ced14d2
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 18:57:40 2012 -0300

    BaseProtocol: Implement Protocol.NormalizeContact support.

 TelepathyQt/base-protocol-internal.h |  2 +-
 TelepathyQt/base-protocol.cpp        | 26 ++++++++++++++++++++++----
 TelepathyQt/base-protocol.h          |  2 +-
 3 files changed, 24 insertions(+), 6 deletions(-)

commit 536ef9bc9c70a1d5c4235e367f76bc3fe8fff045
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 18:56:51 2012 -0300

    BaseProtocol: Implement Protocol.IdentifyAccount support.

 TelepathyQt/base-protocol.cpp | 24 +++++++++++++++++++++---
 TelepathyQt/base-protocol.h   |  2 +-
 2 files changed, 22 insertions(+), 4 deletions(-)

commit 23659b7588b6e0eba5f7925173797167ec411a93
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 18:33:42 2012 -0300

    cm example: Add basic support for protocols.

 examples/cm/CMakeLists.txt |  9 ++++++-
 examples/cm/main.cpp       |  9 +++++--
 examples/cm/protocol.cpp   | 60 ++++++++++++++++++++++++++++++++++++++++++++++
 examples/cm/protocol.h     | 43 +++++++++++++++++++++++++++++++++
 4 files changed, 118 insertions(+), 3 deletions(-)

commit cd0e47214302124bd226a2acb7a4cc4984d13ab4
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 18:32:35 2012 -0300

    BaseConnectionManager: Implement ConnectionManager.RequestConnection support.

 TelepathyQt/base-connection-manager-internal.h |  2 +-
 TelepathyQt/base-connection-manager.cpp        | 69 ++++++++++++++++++++++++--
 TelepathyQt/base-connection-manager.h          | 10 ++++
 3 files changed, 75 insertions(+), 6 deletions(-)

commit 44adc6c2fbd70371dd797ee8b28c72c2d587981e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 18:27:19 2012 -0300

    BaseConnectionManager: Properly validate protocolName on ConnectionManager.GetParameters.

 TelepathyQt/base-connection-manager.cpp | 6 ++++++
 1 file changed, 6 insertions(+)

commit 383213037d594cbbc3aa92681c75a0e40e6760ed
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 18:26:15 2012 -0300

    MethodInvocationContext: Add setFinishedWithError overload receiving a DBusError.

 TelepathyQt/method-invocation-context.h | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 7ec41e9558c3580269d6bef2506c366e59352787
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 18:21:35 2012 -0300

    BaseProtocol: Add createConnection "virtual" slot.

 TelepathyQt/base-protocol.cpp | 9 +++++++++
 TelepathyQt/base-protocol.h   | 1 +
 2 files changed, 10 insertions(+)

commit 52902b5a400eb133349a6eeb8478c0519788d11a
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 18:24:20 2012 -0300

    BaseConnection: Add skeleton class.

 TelepathyQt/BaseConnection             |  13 ++++
 TelepathyQt/CMakeLists.txt             |   5 ++
 TelepathyQt/base-connection-internal.h |  45 ++++++++++++
 TelepathyQt/base-connection.cpp        | 128 +++++++++++++++++++++++++++++++++
 TelepathyQt/base-connection.h          |  92 ++++++++++++++++++++++++
 TelepathyQt/types.h                    |   2 +
 6 files changed, 285 insertions(+)

commit c358bd350baeb5e719139f7182763bd2b1b8f8f7
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 18:17:34 2012 -0300

    BaseProtocol: Reimplement DBusService::registerObject.

 TelepathyQt/base-protocol.cpp | 6 ++++++
 TelepathyQt/base-protocol.h   | 3 +++
 2 files changed, 9 insertions(+)

commit 934c73f963b4d6b02572eda7f442cd87fc7700bc
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 18:15:54 2012 -0300

    DBusService: Add optional error parameter to registerObject protected method.
    
    Also add the error parameter to BaseConnectionManager::registerObject public method.

 TelepathyQt/base-connection-manager.cpp | 12 ++++++------
 TelepathyQt/base-connection-manager.h   |  5 +++--
 TelepathyQt/dbus-service.cpp            | 23 ++++++++++++++++++-----
 TelepathyQt/dbus-service.h              |  4 +++-
 4 files changed, 30 insertions(+), 14 deletions(-)

commit fce7836b5811396acaaa05af2eeda44090df1de5
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 18:11:19 2012 -0300

    DBusError: Add class representing a D-Bus error.

 TelepathyQt/CMakeLists.txt |   3 ++
 TelepathyQt/DBusError      |  13 +++++
 TelepathyQt/dbus-error.cpp | 121 +++++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/dbus-error.h   |  66 +++++++++++++++++++++++++
 4 files changed, 203 insertions(+)

commit 6a0021449b57743c4e1f53986e08e3ae7087944f
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 18:29:06 2012 -0300

    BaseConnectionManager: Implement ConnectionManager.ListProtocols support.

 TelepathyQt/base-connection-manager.cpp | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit d765d997f5d79d97b5620d60c6da2aafd6f0cb32
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 13:11:02 2012 -0300

    BaseConnectionManager: Implement ConnectionManager.GetParameters support.

 TelepathyQt/base-connection-manager-internal.h |  2 +-
 TelepathyQt/base-connection-manager.cpp        | 16 +++++++++++++---
 2 files changed, 14 insertions(+), 4 deletions(-)

commit 24090b17bdd8a62a3870b8de124a19f0cf5f76d6
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 13:10:13 2012 -0300

    BaseConnectionManager: Implement ConnectionManager.Interfaces property support.

 TelepathyQt/base-connection-manager.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 91917fff5557aefb15457a4c89813400382dc13a
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 13:07:57 2012 -0300

    BaseConnectionManager: Add hasProtocol/protocol convenience methods.

 TelepathyQt/base-connection-manager.cpp | 10 ++++++++++
 TelepathyQt/base-connection-manager.h   |  2 ++
 2 files changed, 12 insertions(+)

commit 79f80712cf1f08918d116e2dd80b24e2c48a4230
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 12:24:40 2012 -0300

    BaseConnectionManager: Implement ConnectionManager.Protocols property support.

 TelepathyQt/base-connection-manager.cpp | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 8f4f5edbf793db7a6b08351e9b92b82a1a8ca0e6
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 12:23:06 2012 -0300

    BaseProtocol: Add dummy immutableProperties() accessor.

 TelepathyQt/base-protocol.cpp | 7 +++++++
 TelepathyQt/base-protocol.h   | 2 ++
 2 files changed, 9 insertions(+)

commit 8cf52cc0b94e64022eddef9c3f0116faf28d3c7b
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 11:26:08 2012 -0300

    BaseConnectionManager: Add protocols/addProtocol methods.

 TelepathyQt/base-connection-manager.cpp | 44 +++++++++++++++++++++++++++++++++
 TelepathyQt/base-connection-manager.h   |  3 +++
 TelepathyQt/base-protocol.h             |  1 +
 3 files changed, 48 insertions(+)

commit 49842b93f9c9577a4e08222db980c087f9f57b0a
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 05:17:51 2012 -0300

    Add initial BaseProtocol class.

 TelepathyQt/BaseProtocol             |  13 ++
 TelepathyQt/CMakeLists.txt           |   5 +
 TelepathyQt/base-protocol-internal.h |  73 ++++++++++++
 TelepathyQt/base-protocol.cpp        | 223 +++++++++++++++++++++++++++++++++++
 TelepathyQt/base-protocol.h          | 104 ++++++++++++++++
 TelepathyQt/types.h                  |   2 +
 6 files changed, 420 insertions(+)

commit 625a0729a3a3407290586d9c3f5dbc3c4392a081
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 04:18:05 2012 -0300

    qt-svc-gen.py: Make adaptee property names match the spec property names.

 TelepathyQt/base-connection-manager-internal.h | 4 ++--
 tools/qt-svc-gen.py                            | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 7bbfcc2c76f2dadc2fdf2e0a8aae140b83a192da
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 04:09:13 2012 -0300

    Types: Define DBusServicePtr.

 TelepathyQt/types.h | 2 ++
 1 file changed, 2 insertions(+)

commit 4983148213e9b971a50205baed1715a2954770fa
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 04:07:59 2012 -0300

    BaseConnectionManager: Make it a shared ptr.

 TelepathyQt/base-connection-manager.h | 30 ++++++++++++++++++++++++++++--
 TelepathyQt/types.h                   |  2 ++
 examples/cm/main.cpp                  |  2 +-
 3 files changed, 31 insertions(+), 3 deletions(-)

commit 112ec8ecf9bdb5d62e3379ed73a9a26d4b29b36c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 04:05:50 2012 -0300

    BaseConnectionManager: Add check for IN_TP_QT_HEADER.

 TelepathyQt/base-connection-manager.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 44fa1595937a6c89f92a55157e38611e16845891
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 04:03:42 2012 -0300

    BaseConnectionManager: Use DBusService.

 TelepathyQt/CMakeLists.txt                     |  1 +
 TelepathyQt/base-connection-manager-internal.h |  4 +-
 TelepathyQt/base-connection-manager.cpp        | 61 ++++++++++----------------
 TelepathyQt/base-connection-manager.h          | 13 ++++--
 4 files changed, 35 insertions(+), 44 deletions(-)

commit 402014c335bb5791990c3d9feb24a0a14f84d9cc
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 03:57:49 2012 -0300

    DBusService: Add initial base class for services.

 TelepathyQt/CMakeLists.txt   |  10 ++--
 TelepathyQt/DBusService      |  13 +++++
 TelepathyQt/dbus-service.cpp | 114 +++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/dbus-service.h   |  67 +++++++++++++++++++++++++
 4 files changed, 201 insertions(+), 3 deletions(-)

commit 8f71dce9986940f69a7c39a777e454d76c4d8d37
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Feb 29 18:18:44 2012 -0300

    BaseConnectionManager: Add name and isRegistered accessors.

 TelepathyQt/base-connection-manager.cpp | 25 ++++++++++++++++++-------
 TelepathyQt/base-connection-manager.h   |  4 +++-
 2 files changed, 21 insertions(+), 8 deletions(-)

commit 50d6f0dc13c2d4c1c5a86371de612004f59c843c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Feb 29 18:09:01 2012 -0300

    Properly install service generated headers.

 TelepathyQt/CMakeLists.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 2defc720c08392d38ed58556d87d5b1ea20c3340
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Feb 29 17:57:17 2012 -0300

    Remove separation from client and service side high-level APIs.
    
    To be more consitent with how client side is implemented, the service side high-level
    classes are now moved to the TelepathyQt dir, removing the separate Service dir.
    Library specific globals (TP_QT_EXPORT, etc) are now shared between tp-qt-service and tp-qt.
    The plan is to merge both libraries into tp-qt in the future, when the service side bindings
    are API/ABI stable.

 TelepathyQt/AbstractAdaptor                        |  13 ++
 TelepathyQt/BaseConnectionManager                  |  13 ++
 TelepathyQt/CMakeLists.txt                         | 128 ++++++++++++++++-
 TelepathyQt/Service/AbstractAdaptor                |  13 --
 TelepathyQt/Service/BaseConnectionManager          |  13 --
 TelepathyQt/Service/CMakeLists.txt                 | 131 ------------------
 TelepathyQt/Service/Global                         |  13 --
 .../Service/TelepathyQtService-uninstalled.pc.in   |  11 --
 TelepathyQt/Service/TelepathyQtService.pc.in       |  11 --
 .../Service/TelepathyQtServiceConfig.cmake.in      |  22 ---
 TelepathyQt/Service/abstract-adaptor.cpp           |  77 -----------
 TelepathyQt/Service/abstract-adaptor.h             |  64 ---------
 .../Service/base-connection-manager-internal.h     |  70 ----------
 TelepathyQt/Service/base-connection-manager.cpp    | 153 ---------------------
 TelepathyQt/Service/base-connection-manager.h      |  57 --------
 TelepathyQt/Service/global.h                       |  46 -------
 TelepathyQt/TelepathyQtService-uninstalled.pc.in   |  11 ++
 TelepathyQt/TelepathyQtService.pc.in               |  11 ++
 TelepathyQt/TelepathyQtServiceConfig.cmake.in      |  22 +++
 TelepathyQt/abstract-adaptor.cpp                   |  74 ++++++++++
 TelepathyQt/abstract-adaptor.h                     |  61 ++++++++
 TelepathyQt/base-connection-manager-internal.h     |  66 +++++++++
 TelepathyQt/base-connection-manager.cpp            | 150 ++++++++++++++++++++
 TelepathyQt/base-connection-manager.h              |  54 ++++++++
 cmake/modules/TpQtMacros.cmake                     |  10 +-
 examples/cm/CMakeLists.txt                         |  22 +--
 examples/cm/main.cpp                               |   3 +-
 tools/qt-svc-gen.py                                |  24 ++--
 28 files changed, 633 insertions(+), 710 deletions(-)

commit ab36ec6f15e8ab2af32be862bcc6a13d4bffaf88
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 01:51:10 2012 -0200

    qt-svc-gen.py: Automatically raise NotImplemented when adaptee does not implement a method.

 tools/qt-svc-gen.py | 29 ++++++++++++++++++++++++++---
 1 file changed, 26 insertions(+), 3 deletions(-)

commit 7d9b4b9e6cb2ad5281d58b0e9312f415456ae86c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 01:21:18 2012 -0200

    qt-svc-gen.py: Properly indent properties setter declarations.

 tools/qt-svc-gen.py | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 839a95f7eed803433aba69759c6a8a4a5d88c2bb
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 01:16:48 2012 -0200

    Generate adaptors for Connection and Channel interfaces.

 TelepathyQt/Service/CMakeLists.txt | 4 ++++
 1 file changed, 4 insertions(+)

commit 9a2cd057c158a4490988ce9e1a5ea845c713a98f
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 01:16:21 2012 -0200

    qt-svc-gen.py: No need to "return void()" in void methods.

 tools/qt-svc-gen.py | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 3ae56c1bf70ca62070990ff48b0316cc77b9afbd
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 01:14:36 2012 -0200

    qt-svc-gen.py: Rename QDBusMessage &message param to dbusMessage to avoid (lower risk of) conflicts with method argument names.

 tools/qt-svc-gen.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 01fdb414d26edcd7bbad228a705f514ec498b929
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 01:13:48 2012 -0200

    qt-svc-gen.py: Properly declarate property setter.

 tools/qt-svc-gen.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8fb63e3de0a14e18d353974983b6d08b2dd03619
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 01:12:49 2012 -0200

    qt-svc-gen.py: Properly generate MethodInvocationContext typedef for void methods.

 tools/qt-svc-gen.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 239ea2b13bab93b2f86f2fee92b1d40e60816bbf
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 00:36:16 2012 -0200

    cm example: Add basic example using BaseConnectionManager.

 examples/CMakeLists.txt    |  1 +
 examples/cm/CMakeLists.txt | 11 +++++++++++
 examples/cm/main.cpp       | 26 ++++++++++++++++++++++++++
 3 files changed, 38 insertions(+)

commit 918f20db36de932cb7ef7f42a085ceb75ef4f2f7
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 00:35:33 2012 -0200

    Add initial BaseConnectionManager class.

 TelepathyQt/Service/BaseConnectionManager          |  13 ++
 TelepathyQt/Service/CMakeLists.txt                 |   6 +-
 .../Service/base-connection-manager-internal.h     |  70 ++++++++++
 TelepathyQt/Service/base-connection-manager.cpp    | 153 +++++++++++++++++++++
 TelepathyQt/Service/base-connection-manager.h      |  57 ++++++++
 5 files changed, 298 insertions(+), 1 deletion(-)

commit 2a76999fbfacfb6549c699e303ce8b9c1d9e292b
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 00:33:07 2012 -0200

    Service: Add dependencies to doxygen-doc target.

 TelepathyQt/Service/CMakeLists.txt | 4 ++++
 1 file changed, 4 insertions(+)

commit 157f8b4282d7d7c8959468d5d954b237eed1f294
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 00:32:37 2012 -0200

    Service: Generate adaptors for ConnectionManager interfaces.

 TelepathyQt/Service/CMakeLists.txt | 35 +++++++++++++++++++++++++++++------
 1 file changed, 29 insertions(+), 6 deletions(-)

commit 17cf6add7988a9d28ca91a899cc96114c1151ae5
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 00:28:31 2012 -0200

    TpQtMacros.cmake: Add macro for generating service side adaptors.

 cmake/modules/TpQtMacros.cmake | 43 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

commit bf93df3ba69dc91b7f23dce0d099f3c420401ba3
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 00:25:52 2012 -0200

    qt-svc-gen.py: Add initial service side (adaptors) generator.

 tools/qt-svc-gen.py | 598 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 598 insertions(+)

commit 08f33874b393f0fbbf4ff3543b1c6a9aadbbad3c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 00:25:20 2012 -0200

    libqtcodegen.py: Allow prettyinclude to be optional in get_headerfile_cmd.

 tools/libqtcodegen.py | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit d2efdca99517ae6906d3f1d35cf3edb55939890c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 00:23:11 2012 -0200

    Service: Do not define QT_NO_KEYWORDS.

 TelepathyQt/Service/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a114d09e0f516232fea63721ac015dad0fa1c980
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Feb 16 00:20:56 2012 -0200

    TpQtMacros.cmake: Remove redundant call to append generated file to telepathy_qt_SRCS.

 cmake/modules/TpQtMacros.cmake | 1 -
 1 file changed, 1 deletion(-)

commit 5ce108ed5b2ca19f241b2c8664ea4f40dbcaeed9
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Feb 3 16:59:22 2012 -0200

    Service/AbstractAdaptor: Add QDBusConnection constructor param and accessor.

 TelepathyQt/Service/abstract-adaptor.cpp | 18 ++++++++++++++----
 TelepathyQt/Service/abstract-adaptor.h   |  6 +++++-
 2 files changed, 19 insertions(+), 5 deletions(-)

commit 0be680ffb5aed2d454c383c54f9dcf54107f8bc7
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Feb 3 13:19:11 2012 -0200

    Service: Remove stub class.

 TelepathyQt/Service/stub.cpp | 7 -------
 1 file changed, 7 deletions(-)

commit 3fd500b326c229ed6dc928e76d5fa705c0f1a7f7
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Feb 3 13:16:39 2012 -0200

    Service/AbstractAdaptor: Add base class for autogenerated adaptors.

 TelepathyQt/Service/AbstractAdaptor      | 13 +++++++
 TelepathyQt/Service/CMakeLists.txt       | 23 ++++++++++-
 TelepathyQt/Service/abstract-adaptor.cpp | 67 ++++++++++++++++++++++++++++++++
 TelepathyQt/Service/abstract-adaptor.h   | 60 ++++++++++++++++++++++++++++
 4 files changed, 161 insertions(+), 2 deletions(-)

commit 5ce6997fb51a774e6e86a0efb0bf3c0ad36ede0e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Feb 3 12:44:39 2012 -0200

    Service/Global: Fix header guard.

 TelepathyQt/Service/Global | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 59b8363b2f9c8b53020b0e732f2f0d6069bdc115
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Feb 3 12:44:23 2012 -0200

    Service/global.h: Update copyright notice.

 TelepathyQt/Service/global.h | 1 +
 1 file changed, 1 insertion(+)

commit 226a32b99c5ce19622a445a6095cbc4808a08b1e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Feb 3 13:15:10 2012 -0200

    Service: Build only a static telepathy-qt*-service library until we have a stable API/ABI.

 TelepathyQt/Service/CMakeLists.txt | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 1bd6152ab0ca641cb9cfc4bb2be17294905d64e6
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Feb 3 13:11:30 2012 -0200

    debug-internal: Properly #include <TelepathyQt/Global> to use TP_QT_EXPORT.

 TelepathyQt/debug-internal.h | 2 ++
 1 file changed, 2 insertions(+)

commit e4476d316bbe4919d36fdd638b5349b12850a2ea
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jan 30 16:09:11 2012 +0100

    Include the correct path in Global

 TelepathyQt/Service/Global | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9fb669e3107f7254033e57318b078d51f6aeb478
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jan 30 15:59:09 2012 +0100

    Add a stub for the Service library

 TelepathyQt/CMakeLists.txt                         |  1 +
 TelepathyQt/Service/CMakeLists.txt                 | 74 ++++++++++++++++++++++
 TelepathyQt/Service/Global                         | 13 ++++
 .../Service/TelepathyQtService-uninstalled.pc.in   | 11 ++++
 TelepathyQt/Service/TelepathyQtService.pc.in       | 11 ++++
 .../Service/TelepathyQtServiceConfig.cmake.in      | 22 +++++++
 TelepathyQt/Service/global.h                       | 45 +++++++++++++
 TelepathyQt/Service/stub.cpp                       |  7 ++
 8 files changed, 184 insertions(+)

commit 77cc2188ed70f1e15b5d21269f035c1507e97185
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Jan 30 15:38:26 2012 +0100

    Add an option for enabling experimental service-side support

 CMakeLists.txt | 7 +++++++
 1 file changed, 7 insertions(+)

commit 1bf4422e80d7a817f7252c666a47488d9471692f
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 15:09:39 2012 -0300

    Utils: Export variantTypeFromDBusSignature and parseValueWithDBusSignature to be used by service side bindings.

 TelepathyQt/manager-file.cpp | 73 +-----------------------------------------
 TelepathyQt/manager-file.h   |  5 ---
 TelepathyQt/profile.cpp      |  8 ++---
 TelepathyQt/utils.cpp        | 76 +++++++++++++++++++++++++++++++++++++++++++-
 TelepathyQt/utils.h          |  5 +++
 5 files changed, 85 insertions(+), 82 deletions(-)

commit 1b4815531288feaba5c543485a7b5b198e53c39e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Wed Feb 29 18:10:12 2012 -0300

    Utils: Export checkValidProtocolName to be used by service side bindings.

 TelepathyQt/connection-manager.cpp | 28 +---------------------------
 TelepathyQt/utils.cpp              | 22 ++++++++++++++++++++++
 TelepathyQt/utils.h                |  2 ++
 3 files changed, 25 insertions(+), 27 deletions(-)

commit 64272ca772b53428db7c971133eac93854494b65
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Mon Apr 2 10:25:36 2012 -0300

    PresenceSpecList: Add bareSpecs convenience method.

 TelepathyQt/presence.h | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 5ab3a2c5f57dcfc4ca427289491c4c178f50d257
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 01:43:24 2012 -0300

    ProtocolParameter: Expose constructors and add new constructor/accessor using ParamSpec.

 TelepathyQt/protocol-info.cpp      |   4 +-
 TelepathyQt/protocol-parameter.cpp | 100 ++++++++++++++++++++++++++++---------
 TelepathyQt/protocol-parameter.h   |  17 +++++--
 3 files changed, 91 insertions(+), 30 deletions(-)

commit fe8b98f52a2fed0b9f07bb7c85d1a66902598ad9
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 23 11:08:38 2012 -0300

    Start 0.9.2 development

 CMakeLists.txt |  2 +-
 NEWS           | 11 +++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 50d668ff9eaca2c54e6e8057304ecbae065f5322
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 23 10:53:19 2012 -0300

    Prepare release 0.9.1

 CMakeLists.txt | 4 ++--
 NEWS           | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 615a3773587ad8ff36befd3dc9a0c671c6323240
Merge: 19fb762 bda2cdb
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 22 20:21:33 2012 -0300

    Merge remote-tracking branch 'gkiagia/farstream-fix'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit bda2cdb72b77b2d3cbb705b9ebe49efe6bf6f663
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 22 23:33:26 2012 +0200

    farstream: Fix TpCallChannel creation.
    
    Apparently tp_channel_new does not create a TpCallChannel subclass,
    but tp-farstream, unlike tp-farsight, explicitly requires a TpCallChannel.

 TelepathyQt/Farstream/channel.cpp | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 19fb762b183e701666f76521c59c63132777cf9c
Merge: ab7b024 a439c6e
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 22 12:36:13 2012 -0300

    Merge branch 'chan-group-test-fix'
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

commit ab7b02446184b746e8645cc62f77514c1f41a38c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 22 12:35:26 2012 -0300

    Update NEWS

 NEWS | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit a439c6ea1ca03736934dbe88a6dd64938257338c
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 22 12:22:54 2012 -0300

    chan-group test: Fix bug where test was failing with tp-glib >= 0.16.2.

 tests/dbus/CMakeLists.txt | 2 +-
 tests/dbus/chan-group.cpp | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 862bda590b0e169ae6b941e4226af2433d008b8c
Merge: 283b8b1 2af0dc5
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 22 11:41:21 2012 -0300

    Merge remote-tracking branch 'gkiagia/call1'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit 2af0dc5d73c9234337d8ec3130a0a2df9201505f
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 22 15:02:36 2012 +0200

    cmake: Allow *Config.cmake scripts to be executed twice, the second time without any effect
    
    This is because:
    1) cmake fails to import the same targets twice (in TelepathyQt4Config.cmake),
       which breaks for sure TpQtFsConfig.cmake in case you try to do this:
    
         find_package(TelepathyQt4 REQUIRED)
         find_package(TelepathyQt4Farstream REQUIRED)
    
    2) there is no need to add extra overhead to the execution of cmake
       if the project is asking to find TpQt more than once.

 .../Farsight/TelepathyQtFarsightConfig.cmake.in    | 32 +++++++++--------
 .../Farstream/TelepathyQtFarstreamConfig.cmake.in  | 32 +++++++++--------
 TelepathyQt/TelepathyQtConfig.cmake.in             | 40 ++++++++++++----------
 3 files changed, 55 insertions(+), 49 deletions(-)

commit 05d224ce86089cc167229b08f37118ffbc466e55
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 21 17:24:57 2012 +0200

    CallChannel: Introspect immutable properties if they are not passed on the constructor

 TelepathyQt/call-channel.cpp | 121 ++++++++++++++++++++++++++++++++++---------
 TelepathyQt/call-channel.h   |   4 +-
 tests/dbus/call-channel.cpp  |  65 ++++++++++++++++++++---
 3 files changed, 157 insertions(+), 33 deletions(-)

commit ee1eb6668ab42a2ab0bafb5284352c216ebb6658
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 21 15:57:44 2012 +0200

    farstream: Fix namespace opening coding style

 TelepathyQt/Farstream/channel.cpp | 6 ++++--
 TelepathyQt/Farstream/channel.h   | 6 ++++--
 2 files changed, 8 insertions(+), 4 deletions(-)

commit a92fa56b4de87acf4f90cc93ff2697035209c3a1
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 21 15:53:34 2012 +0200

    farstream: Add some debug warnings in early returns

 TelepathyQt/Farstream/channel.cpp | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit e6f4bd8b085f75f8fe25bd705b6e9755a9676f57
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 21 15:46:56 2012 +0200

    Farstream/CMakeLists.txt: remove yell relic from comment

 TelepathyQt/Farstream/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 52e6f44ca951ac7f10142b24e48473ee270c203d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 21 15:46:18 2012 +0200

    pkgconfig: Do not hardcode the tp-glib and tp-fs versions in the .pc.in files

 TelepathyQt/Farsight/TelepathyQtFarsight-uninstalled.pc.in   | 2 +-
 TelepathyQt/Farsight/TelepathyQtFarsight.pc.in               | 2 +-
 TelepathyQt/Farstream/TelepathyQtFarstream-uninstalled.pc.in | 2 +-
 TelepathyQt/Farstream/TelepathyQtFarstream.pc.in             | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 0c6aa1a07ce3392e99398125fc7f71ab2b4a749d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 21 15:45:12 2012 +0200

    CMakeLists.txt: Do not hardcode required min version in the macro_log_feature messages

 CMakeLists.txt | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ee6a410072e1e9587d28c537c1dcbc9e35f7b9eb
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Mar 19 19:22:59 2012 +0200

    call1: Use *Interface::requestAllProperties/requestPropertyFoo instead of Properties::Get*

 TelepathyQt/call-channel.cpp | 105 ++++++++++++++++++-------------------------
 TelepathyQt/call-channel.h   |   6 +--
 TelepathyQt/call-content.cpp |  35 +++++++--------
 TelepathyQt/call-content.h   |   2 +-
 TelepathyQt/call-stream.cpp  |  36 +++++++--------
 TelepathyQt/call-stream.h    |   2 +-
 6 files changed, 79 insertions(+), 107 deletions(-)

commit 4e36e7c4128602d94fb73265ff209707a5951775
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 15 13:31:21 2012 +0200

    farstream: Put everything in the Farstream namespace and strip Tf from names.

 TelepathyQt/Farstream/CMakeLists.txt   |  2 +-
 TelepathyQt/Farstream/PendingChannel   | 13 +++++++++++++
 TelepathyQt/Farstream/PendingTfChannel | 13 -------------
 TelepathyQt/Farstream/channel.cpp      | 29 +++++++++++++++--------------
 TelepathyQt/Farstream/channel.h        | 17 +++++++++--------
 5 files changed, 38 insertions(+), 36 deletions(-)

commit c16ff427fde0461d667c46c3dbeb77f42c6cce2d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 15 13:15:59 2012 +0200

    farstream: Remove the Farstream/Types and Farstream/types.h headers.

 TelepathyQt/Farstream/CMakeLists.txt |  4 +---
 TelepathyQt/Farstream/Types          | 13 ------------
 TelepathyQt/Farstream/channel.h      |  2 +-
 TelepathyQt/Farstream/types.h        | 39 ------------------------------------
 4 files changed, 2 insertions(+), 56 deletions(-)

commit 008eed6067edd388a9f6b662dab0cabae8e38e36
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 15 12:58:20 2012 +0200

    PendingTfChannel: Add a callChannel() method to return the CallChannel.

 TelepathyQt/Farstream/channel.cpp | 5 +++++
 TelepathyQt/Farstream/channel.h   | 1 +
 2 files changed, 6 insertions(+)

commit b7b3ff7727d2c00d971e1c7d118b1222e52fd47d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 15 12:57:37 2012 +0200

    farstream: Remove the FarstreamChannelFactory class to make the api simpler.

 TelepathyQt/Farstream/channel.cpp | 35 +++++++++--------------------------
 TelepathyQt/Farstream/channel.h   | 22 +++-------------------
 2 files changed, 12 insertions(+), 45 deletions(-)

commit 68fe68373c8ead43f954d947797c193ce7597e0c
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 18:47:16 2012 +0200

    Farstream/Channel: Use tf_channel_new_finish() from tp-fs 0.2.2.

 CMakeLists.txt                    | 4 ++--
 TelepathyQt/Farstream/channel.cpp | 3 +--
 2 files changed, 3 insertions(+), 4 deletions(-)

commit 485f57a2626672f8c697946bdaf6ae872b41983f
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 18:46:24 2012 +0200

    farstream: s/qDebug/debug/ and remove useless debug messages

 TelepathyQt/Farstream/channel.cpp | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 5ad2d0c3a0776f4bb8619aaf07975ca70620e724
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 16:37:20 2012 +0200

    farstream: Port the farstream lib away from tp-qt4-yell and integrate it into the build system.

 CMakeLists.txt                                     | 23 +++++++
 TelepathyQt/CMakeLists.txt                         |  2 +-
 TelepathyQt/Farstream/CMakeLists.txt               | 80 ++++++++++++++++------
 TelepathyQt/Farstream/Channel                      | 12 ++--
 TelepathyQt/Farstream/Global                       | 12 ++--
 TelepathyQt/Farstream/PendingTfChannel             | 12 ++--
 .../TelepathyQt4YellFarstream-uninstalled.pc.in    | 11 ---
 .../Farstream/TelepathyQt4YellFarstream.pc.in      | 11 ---
 .../TelepathyQtFarstream-uninstalled.pc.in         | 11 +++
 TelepathyQt/Farstream/TelepathyQtFarstream.pc.in   | 11 +++
 .../Farstream/TelepathyQtFarstreamConfig.cmake.in  | 22 ++++++
 TelepathyQt/Farstream/Types                        | 12 ++--
 TelepathyQt/Farstream/channel.cpp                  | 26 +++----
 TelepathyQt/Farstream/channel.h                    | 28 ++++----
 TelepathyQt/Farstream/global.h                     | 26 +++----
 TelepathyQt/Farstream/types.h                      | 20 +++---
 cmake/modules/FindFarstream.cmake                  | 50 ++++++++++++++
 cmake/modules/FindTelepathyFarstream.cmake         | 50 ++++++++++++++
 18 files changed, 300 insertions(+), 119 deletions(-)

commit 3853ee8f1c98385117b4d12346e8dcc35b539c61
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 15:29:52 2012 +0200

    farstream: Import the farstream library from telepathy-qt4-yell.

 TelepathyQt/Farstream/CMakeLists.txt               |  66 +++++++++
 TelepathyQt/Farstream/Channel                      |  13 ++
 TelepathyQt/Farstream/Global                       |  13 ++
 TelepathyQt/Farstream/PendingTfChannel             |  13 ++
 .../TelepathyQt4YellFarstream-uninstalled.pc.in    |  11 ++
 .../Farstream/TelepathyQt4YellFarstream.pc.in      |  11 ++
 TelepathyQt/Farstream/Types                        |  13 ++
 TelepathyQt/Farstream/channel.cpp                  | 164 +++++++++++++++++++++
 TelepathyQt/Farstream/channel.h                    |  80 ++++++++++
 TelepathyQt/Farstream/global.h                     |  45 ++++++
 TelepathyQt/Farstream/types.h                      |  39 +++++
 11 files changed, 468 insertions(+)

commit 5a37d43187405029d6c3d138d0ce2619d8531e0b
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Mar 15 13:12:45 2012 +0200

    call1: s/MediaCall/Call/g in all the call-related methods of ChannelFactory/ChannelClassSpec

 TelepathyQt/channel-class-spec.cpp |  8 ++++----
 TelepathyQt/channel-class-spec.h   | 12 ++++++------
 TelepathyQt/channel-factory.cpp    |  8 ++++----
 TelepathyQt/channel-factory.h      | 10 +++++-----
 4 files changed, 19 insertions(+), 19 deletions(-)

commit e9fc97977962d654969f1adee1c0fb9ac68d013d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 13:11:01 2012 +0200

    account.cpp: Update copyright

 TelepathyQt/account.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 79d7d6d2c5a86ad5650f19771cf434cd89019e53
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 12:35:30 2012 +0200

    CallContent: Use hasInterface() instead of interfaces().contains() in supportsDTMF().

 TelepathyQt/call-content.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1559e6c0ad1a4d21c7b9b5d2f538d36f4565f400
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 12:30:47 2012 +0200

    call1: Remove unnecessary use of QLatin1String() with TP_QT_* constants.

 TelepathyQt/call-channel.cpp | 8 +++-----
 TelepathyQt/call-content.cpp | 3 +--
 2 files changed, 4 insertions(+), 7 deletions(-)

commit 8a6df5994736572db7d7e96622800e0026865349
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 12:11:54 2012 +0200

    Account: Fix copy/paste mistake: s/audioName/videoName/g

 TelepathyQt/account.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e72eae06b47946ce9caacf737a45346633a687d7
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 12:10:31 2012 +0200

    call1: Add PendingCallContent pretty header.

 TelepathyQt/CMakeLists.txt     |  1 +
 TelepathyQt/PendingCallContent | 13 +++++++++++++
 2 files changed, 14 insertions(+)

commit aacb5b8e39171597f33012a716f291dabc767c47
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Mar 14 12:07:53 2012 +0200

    call1: Move PendingCallContent to call-content.{h,cpp}

 TelepathyQt/call-channel.cpp | 98 --------------------------------------------
 TelepathyQt/call-channel.h   | 27 ------------
 TelepathyQt/call-content.cpp | 98 ++++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/call-content.h   | 27 ++++++++++++
 4 files changed, 125 insertions(+), 125 deletions(-)

commit 45278044e9f53ee800b36b3b066e1a34e994e320
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 23 01:05:47 2012 +0200

    test-call-channel: add unit test for CallContent's DTMF methods

 tests/dbus/call-channel.cpp | 77 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

commit 4f87f7855fa1af6ad098c80107a964446dbae55c
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 23 01:05:33 2012 +0200

    CallContent: add DTMF methods

 TelepathyQt/call-content.cpp | 72 ++++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/call-content.h   |  4 +++
 2 files changed, 76 insertions(+)

commit 1d502d0300c57480634b9dd50215f93050959657
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 22 23:55:47 2012 +0200

    CallChannel: update documentation

 TelepathyQt/call-channel.cpp | 135 +++++++++++++++++++++++++++++++------------
 1 file changed, 97 insertions(+), 38 deletions(-)

commit a0d6d35c02cabfec82325b7c7f89ce2463d2309d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 22 22:05:37 2012 +0200

    CallChannel: add a contentByName() method
    
    Since the name of contents is significant and can even be requested when
    creating the channel for the initial contents, it is probably useful to
    be able to retrieve a content given its name.

 TelepathyQt/call-channel.cpp | 24 ++++++++++++++++++++++++
 TelepathyQt/call-channel.h   |  1 +
 tests/dbus/call-channel.cpp  |  1 +
 3 files changed, 26 insertions(+)

commit 4fcff359b6a5737d91edbc6ca5b17d7613575e85
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 22 21:54:49 2012 +0200

    test-call-channel: test FeatureCallMembers

 tests/dbus/call-channel.cpp | 142 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 142 insertions(+)

commit 8c6ae1508fb5e71954f2698615dbb57901989eb8
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 22 21:50:40 2012 +0200

    CallStream: merge back from CallChannel the changes in remote member handling
    
    The code that handles remote members in CallChannel was originally copied
    from CallStream, but was modified a bit to fix some mistakes. This commit
    merges back those changes to CallStream, so that the logic is identical.

 TelepathyQt/call-stream.cpp | 48 ++++++++++++++++++++++++---------------------
 1 file changed, 26 insertions(+), 22 deletions(-)

commit d9dd246228a8c4d8e7cfb93c07d7e210310d4d74
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 22 21:49:12 2012 +0200

    CallChannel: implement FeatureCallMembers

 TelepathyQt/call-channel.cpp | 275 ++++++++++++++++++++++++++++++++++++++++++-
 TelepathyQt/call-channel.h   |  21 +++-
 2 files changed, 290 insertions(+), 6 deletions(-)

commit 85755b41410c0c90e505c970e305a750042ef1ac
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 22 17:37:54 2012 +0200

    Account: add methods to ensure/create Call channels

 TelepathyQt/account.cpp    | 470 +++++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/account.h      |  66 +++++++
 TelepathyQt/call-channel.h |   1 -
 3 files changed, 536 insertions(+), 1 deletion(-)

commit 1e53279abb0c7fa23b65faa03e008cc1e3f29675
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 21 19:26:29 2012 +0200

    tests: add unit test for the Call* classes

 tests/dbus/CMakeLists.txt   |   1 +
 tests/dbus/call-channel.cpp | 694 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 695 insertions(+)

commit 3c6faf52cd88ed1db72609014e83bd3de5f9ea3f
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 21 19:25:36 2012 +0200

    tests: import the example call CM from tp-glib

 tests/lib/glib/CMakeLists.txt            |   2 +
 tests/lib/glib/call/CMakeLists.txt       |  20 +
 tests/lib/glib/call/call-channel.c       | 841 +++++++++++++++++++++++++++++++
 tests/lib/glib/call/call-channel.h       |  67 +++
 tests/lib/glib/call/call-content.c       | 103 ++++
 tests/lib/glib/call/call-content.h       |  82 +++
 tests/lib/glib/call/call-manager.c       | 536 ++++++++++++++++++++
 tests/lib/glib/call/call-manager.h       |  71 +++
 tests/lib/glib/call/call-stream.c        | 481 ++++++++++++++++++
 tests/lib/glib/call/call-stream.h        |  80 +++
 tests/lib/glib/call/cm.c                 |  82 +++
 tests/lib/glib/call/cm.h                 |  73 +++
 tests/lib/glib/call/conn.c               | 427 ++++++++++++++++
 tests/lib/glib/call/conn.h               |  80 +++
 tests/lib/glib/call/example_call.manager |  25 +
 tests/lib/glib/call/protocol.c           | 186 +++++++
 tests/lib/glib/call/protocol.h           |  64 +++
 17 files changed, 3220 insertions(+)

commit 9e721a9cb329b7b042b59a511e6f6c53ecf9763e
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 21 18:51:04 2012 +0200

    CallChannel: print warnings when methods are called without their required features being ready

 TelepathyQt/call-channel.cpp | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 9a1e5262888fabc17cf1b9ae9373c98ffb5c4293
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 21 18:38:47 2012 +0200

    CallChannel: Get immutable properties directly from the constructor and reduce FeatureCore to a stub

 TelepathyQt/call-channel.cpp | 82 +++++++++++++-------------------------------
 TelepathyQt/call-channel.h   |  2 --
 2 files changed, 23 insertions(+), 61 deletions(-)

commit 4fe334219c5371d796aecf7415df7c5bb56ca223
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 21 13:18:36 2012 +0200

    CallContent: add remove() method

 TelepathyQt/call-content.cpp | 12 ++++++++++++
 TelepathyQt/call-content.h   |  4 ++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit e4c6ce30f639905a35031aece103b93c18dc2d5e
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 22:19:36 2012 +0200

    ChannelFactory: add missing methods and fix details related to CallChannel

 TelepathyQt/channel-factory.cpp | 17 ++++++++++++++++-
 TelepathyQt/channel-factory.h   |  4 ++++
 2 files changed, 20 insertions(+), 1 deletion(-)

commit 178a7fa7af5b248f8e179de67073ac1513cadcee
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 22:15:05 2012 +0200

    call1: fix the channel class specs and capabilities to comply with the spec
    
    According to the spec, Call1 channels are not allowed to have neither
    InitialAudio nor InitialVideo and the RequestableChannelClasses must
    either have InitialVideo fixed and InitialAudio allowed or vice versa.

 TelepathyQt/capabilities-base.cpp              |  22 +-----
 TelepathyQt/capabilities-base.h                |   1 -
 TelepathyQt/channel-class-spec.cpp             |  15 ----
 TelepathyQt/channel-class-spec.h               |   1 -
 TelepathyQt/requestable-channel-class-spec.cpp | 104 +++----------------------
 TelepathyQt/requestable-channel-class-spec.h   |  13 +---
 6 files changed, 19 insertions(+), 137 deletions(-)

commit c9d12315b0383e75fa81919516224b331888ac01
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 20:48:15 2012 +0200

    call1: hide all the private symbols from the Call* classes

 TelepathyQt/call-channel.h | 31 ++++++++++++++++---------------
 TelepathyQt/call-content.h | 13 +++++++------
 TelepathyQt/call-stream.h  | 12 ++++++------
 3 files changed, 29 insertions(+), 27 deletions(-)

commit 50b38d0bcf104904031ec8535d3517d2d3e097c6
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 20:28:53 2012 +0200

    CallChannel: prepend "call" to all the state-related methods' names
    
    This change was made because state() and flags() are too generic names
    and could possibly clash with functions with the same name in a
    superclass or subclass in the future.

 TelepathyQt/call-channel.cpp | 12 ++++++------
 TelepathyQt/call-channel.h   | 12 ++++++------
 2 files changed, 12 insertions(+), 12 deletions(-)

commit a9dbf1d091606ef80db8253bde2bc0f0a4be97b0
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 20:20:59 2012 +0200

    CallChannel: sort out the various Features
    
    This adds 2 new features whose functionality was previously in FeatureContents:
    * FeatureCore: introspects the immutable properties
    * FeatureCallState: introspects the properties related to the call state
      and enables the stateChanged / flagsChanged signals.

 TelepathyQt/call-channel.cpp | 193 +++++++++++++++++++++++++++++++++----------
 TelepathyQt/call-channel.h   |  32 +++++--
 2 files changed, 171 insertions(+), 54 deletions(-)

commit e761e2a00e4ae834fdbf0c8faa9d8ec4899511d6
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 19:29:06 2012 +0200

    CallChannel: add a flagsChanged() signal

 TelepathyQt/call-channel.cpp | 12 +++++++++++-
 TelepathyQt/call-channel.h   |  1 +
 2 files changed, 12 insertions(+), 1 deletion(-)

commit e551ac4c1c9d91ccb62890eff463023d13faad6b
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 17:18:39 2012 +0200

    CallChannel: add reason in contentRemoved()

 TelepathyQt/call-channel.cpp | 7 ++++---
 TelepathyQt/call-channel.h   | 2 +-
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 2918fb721a600693e1f23b6886a7b634bb10e3b5
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 12:29:33 2012 +0200

    CallContent: fix header name in the documentation

 TelepathyQt/call-content.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e399695bfd6ff5a0684aa62ad758d956a8e0e282
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Mon Feb 20 12:29:11 2012 +0200

    CallContent: add reason in streamRemoved()

 TelepathyQt/call-content.cpp | 5 +++--
 TelepathyQt/call-content.h   | 2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit e9f8b448e8483b918ae08e48dc84158479f29ae7
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 14:17:26 2012 +0200

    CallStream: bind and use the CanRequestReceiving property

 TelepathyQt/call-stream.cpp | 22 ++++++++++++++++++++++
 TelepathyQt/call-stream.h   |  1 +
 2 files changed, 23 insertions(+)

commit 16d203edc4eae0501c9fb38e5eb5ffdb7105151a
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 14:00:43 2012 +0200

    CallStream: make use of RemoteMemberIdentifiers

 TelepathyQt/call-stream.cpp | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit 14dd2012a069622dadcc3f45e978f5c58340c4c4
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 13:47:52 2012 +0200

    CallStream: update documentation

 TelepathyQt/call-stream.cpp | 53 +++++++++++++++++++++------------------------
 1 file changed, 25 insertions(+), 28 deletions(-)

commit 8db158f1d409cccefe00917c5436896dd39fbeb0
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 13:46:57 2012 +0200

    CallStream: rename members() to remoteMembers()
    
    This is to make it more clear that this set does not include
    the self contact.

 TelepathyQt/call-stream.cpp | 2 +-
 TelepathyQt/call-stream.h   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2ae6538bbe589d090ee1640853e8a4b9dd39d881
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 13:45:49 2012 +0200

    CallStream: fix memory leak

 TelepathyQt/call-stream.cpp | 7 +++++++
 1 file changed, 7 insertions(+)

commit 9bf9f7a95a0594e0f06e48e442dc15864861611d
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 13:44:49 2012 +0200

    CallStream: make use of the CallStateReason in the signals

 TelepathyQt/call-stream.cpp | 22 +++++++++++++++-------
 TelepathyQt/call-stream.h   |  9 ++++++---
 2 files changed, 21 insertions(+), 10 deletions(-)

commit 041895960a78d80b678875d1e4aaa0c4087c6b96
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 13:31:36 2012 +0200

    call1: replace qDebug()/qWarning() with debug()/warning() in the code imported from yell

 TelepathyQt/call-channel.cpp | 32 +++++++++++++++++---------------
 TelepathyQt/call-content.cpp | 14 ++++++++------
 TelepathyQt/call-stream.cpp  | 12 +++++++-----
 3 files changed, 32 insertions(+), 26 deletions(-)

commit 51f7291c8e7603ac490bb98a8d33ab3e843993ad
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 00:08:00 2012 +0200

    CallChannel: Add default parameters in the hangup() method
    
    Normally a handler should call hangup() with these parameters,
    except in very special cases.

 TelepathyQt/call-channel.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 641b23c58335c31949c178239004d96f16c9d06b
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Thu Feb 16 00:01:15 2012 +0200

    CallChannel: Add the setRinging()/setQueued() methods

 TelepathyQt/call-channel.cpp | 17 +++++++++++++++++
 TelepathyQt/call-channel.h   |  2 ++
 2 files changed, 19 insertions(+)

commit afe69384ac57824f6bd25664b048e7cbd085c427
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 15 22:18:35 2012 +0200

    call1: update existing classes to work with the latest Call1 spec

 TelepathyQt/call-channel.cpp | 24 +++++++++++++-----------
 TelepathyQt/call-channel.h   |  7 ++++---
 TelepathyQt/call-content.cpp |  7 ++++---
 TelepathyQt/call-content.h   |  2 +-
 TelepathyQt/call-stream.cpp  | 15 +++++++++------
 TelepathyQt/call-stream.h    |  6 ++++--
 6 files changed, 35 insertions(+), 26 deletions(-)

commit 2bfaaa10165f6c7132ed3a5db69052a983e998d5
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Wed Feb 15 22:05:13 2012 +0200

    call1: move CallContent/CallStream to separate source files
    
    This also removes the CallChannel::removeContent() method
    together with its helper private class, since it is not going
    to be used in Call1 and causes compilation failure here.

 TelepathyQt/CMakeLists.txt          |   6 +-
 TelepathyQt/call-channel-internal.h | 171 --------
 TelepathyQt/call-channel.cpp        | 782 +++---------------------------------
 TelepathyQt/call-channel.h          | 106 +----
 TelepathyQt/call-content.cpp        | 335 ++++++++++++++-
 TelepathyQt/call-content.h          |  53 ++-
 TelepathyQt/call-stream.cpp         | 433 +++++++++++++++++++-
 TelepathyQt/call-stream.h           |  62 ++-
 8 files changed, 936 insertions(+), 1012 deletions(-)

commit a8b6517cb49d2f45c8dcb47f8d7853f93af46b94
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 14 18:46:18 2012 +0200

    call1: Add the Call* classes to the build system

 TelepathyQt/CMakeLists.txt | 6 ++++++
 1 file changed, 6 insertions(+)

commit e1de1a5d521c89922873f027a85e9c8321b7415c
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 14 17:43:48 2012 +0200

    call1: merge the remaining call-related bits from tp-qt4-yell

 TelepathyQt/capabilities-base.cpp              |  56 +++++++++
 TelepathyQt/capabilities-base.h                |   6 +
 TelepathyQt/channel-class-spec.cpp             |  64 ++++++++++
 TelepathyQt/channel-class-spec.h               |  43 ++++++-
 TelepathyQt/channel-factory.cpp                |   6 +
 TelepathyQt/channel-factory.h                  |   9 ++
 TelepathyQt/requestable-channel-class-spec.cpp | 162 +++++++++++++++++++++++++
 TelepathyQt/requestable-channel-class-spec.h   |  10 ++
 8 files changed, 355 insertions(+), 1 deletion(-)

commit c9ac6a61f6def1a15a17d7741164b8174c8b2f53
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 14 17:42:31 2012 +0200

    call1: un-yell-ify the Call* classes

 TelepathyQt/CallChannel             |  12 +-
 TelepathyQt/call-channel-internal.h |  42 +++----
 TelepathyQt/call-channel.cpp        | 218 ++++++++++++++++++------------------
 TelepathyQt/call-channel.h          |  98 ++++++++--------
 4 files changed, 183 insertions(+), 187 deletions(-)

commit 1b89d8d21010a3ee5af51c65fb8e36322d0aea26
Author: George Kiagiadakis <george.kiagiadakis@collabora.com>
Date:   Tue Feb 14 16:14:13 2012 +0200

    call1: Import CallChannel/CallContent/CallStream from telepathy-qt4-yell

 TelepathyQt/CallChannel             |   13 +
 TelepathyQt/call-channel-internal.h |  171 ++++
 TelepathyQt/call-channel.cpp        | 1522 +++++++++++++++++++++++++++++++++++
 TelepathyQt/call-channel.h          |  241 ++++++
 TelepathyQt/types.h                 |    6 +
 5 files changed, 1953 insertions(+)

commit 283b8b1d574c265b6789aaf867ebaf9b4b1004d1
Merge: a88fb6b cf64e96
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 16 15:46:51 2012 -0300

    Merge branch 'trivia'
    
    Reviewed-by: Dario Freddi <dario.freddi@collabora.com>

commit cf64e968dbc3cf787c825f0984f6e0c125c0e680
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Mar 2 05:15:10 2012 -0300

    Add missing pretty headers for ProtocolInfoList and ProtocolParameterList.

 TelepathyQt/CMakeLists.txt        |  2 ++
 TelepathyQt/ProtocolInfoList      | 13 +++++++++++++
 TelepathyQt/ProtocolParameterList | 13 +++++++++++++
 3 files changed, 28 insertions(+)

commit 1276ee717742ffba3e13b2750c5c4b05d0e12e4b
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Thu Mar 15 01:43:37 2012 -0300

    Bump tp-glib dependency to 0.17.5 (for Captcha support).

 CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a88fb6b929a23397f709497454600f649d917dce
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 14:39:09 2012 +0100

    Update NEWS

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f9aedcb8ddb75dc3471229aacfa889f9523ca6aa
Merge: 7c28bc4 3c41300
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 14:32:35 2012 +0100

    Merge branch 'captcha-authentication'
    
    Reviewed-by: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>

commit 3c4130092c86a354d5fccec20df04137a2ea1606
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 11:26:33 2012 +0100

    captcha-autentication: Fix and refine docs

 TelepathyQt/captcha-authentication.cpp        | 60 +++++++++++++--------------
 TelepathyQt/captcha.cpp                       |  2 +-
 TelepathyQt/pending-captchas.cpp              |  3 --
 TelepathyQt/server-authentication-channel.cpp | 13 +++---
 TelepathyQt/server-authentication-channel.h   |  2 +-
 5 files changed, 36 insertions(+), 44 deletions(-)

commit ff15b48962133b37ef46b5f945816ee3da0f3bc1
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:46:57 2012 +0100

    captcha-authentication: Use AuthenticationMethod property to determine which interface ServerAuthenticationChannel implements
    
    The spec advertises this property to be the only reliable way to find out which interface
    is implemented on a given ServerAuthentication channel. Instead of checking if the channel
    has one of them, just introspect its properties first, and determine which method the channel
    implements by reading AuthenticationMethod.

 TelepathyQt/server-authentication-channel.cpp | 76 +++++++++++++++++----------
 TelepathyQt/server-authentication-channel.h   |  1 +
 2 files changed, 49 insertions(+), 28 deletions(-)

commit 7fdf576f8613c330803be75c927da0350260af2f
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:30:47 2012 +0100

    captcha-authentication: s/introspectServerAuthentication/introspectMain

 TelepathyQt/server-authentication-channel.cpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e9830fc15c718ecd42103e2ae3ae68c0113d6199
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:29:27 2012 +0100

    captcha-authentication: Adhere to code style

 TelepathyQt/captcha-authentication.cpp | 66 +++++++++++++++++-----------------
 TelepathyQt/captcha-authentication.h   |  4 +--
 TelepathyQt/captcha.cpp                |  3 +-
 TelepathyQt/pending-captchas.cpp       |  3 +-
 4 files changed, 39 insertions(+), 37 deletions(-)

commit 8315c51828f94bf8d9a99fa74665d01f2290915e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:14:15 2012 +0100

    captcha-authentication: Comment out any mention of SASL until an implementation comes

 TelepathyQt/server-authentication-channel.cpp | 8 +++++---
 TelepathyQt/server-authentication-channel.h   | 3 ++-
 tests/dbus/captcha-authentication.cpp         | 4 ++--
 3 files changed, 9 insertions(+), 6 deletions(-)

commit b1c06340ba5ec381a00862104c5abf86d29bb735
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:13:41 2012 +0100

    captcha-authentication: For clarity, use temporary variables to identify members of a hash when iterating

 TelepathyQt/pending-captchas.cpp | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit 7ef44712e3a55ef088ff98795a28dda54a16e435
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:12:05 2012 +0100

    captcha-authentication: Use error() and errorDetails() when channel status change makes an operation fail
    
    In case an operation fails with due to a channel status change, the error data in the interface
    should already be filled. Given this case, expose CaptchaAuthentication's error instead of a new one.

 TelepathyQt/captcha-authentication.cpp | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 3d439b4ab34e1cbf502e71f5d25a6d16a683e16e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:11:23 2012 +0100

    captcha-authentication: Remove leftovers from previous implementations

 TelepathyQt/captcha-authentication-internal.h | 2 --
 TelepathyQt/captcha-authentication.h          | 2 +-
 2 files changed, 1 insertion(+), 3 deletions(-)

commit ca1f8c5a8850365335245431a5ece20092b62c41
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 13 10:10:51 2012 +0100

    captcha-authentication: Use keywords instead of Q_* macros

 TelepathyQt/abstract-interface.cpp | 2 +-
 TelepathyQt/pending-captchas.cpp   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6f02b9b5248c1afcb08f32fd3867a11c9178a07f
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Mar 8 20:40:12 2012 +0100

    captcha-authentication: Remove empty lines

 TelepathyQt/captcha-authentication.cpp | 3 +--
 TelepathyQt/captcha-authentication.h   | 2 --
 2 files changed, 1 insertion(+), 4 deletions(-)

commit 9a35bbeb85baf99566bb47293ac80563bcca4399
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Mar 8 19:34:42 2012 +0100

    captcha-authentication: Use QDBusPendingCall instead of PendingVoid in internal classes

 TelepathyQt/captcha-authentication-internal.h | 10 +++--
 TelepathyQt/captcha-authentication.cpp        | 54 +++++++++++++--------------
 2 files changed, 32 insertions(+), 32 deletions(-)

commit f5c4889c42e9603b0d4cf0152e454b5f79d761ce
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Mar 8 19:23:26 2012 +0100

    captcha-authentication: Tp-Qtify Captcha's implementation
    
    Have a struct instead of a class for the Private member, and use isValid() to
    avoid creating a data member for the default constructor.

 TelepathyQt/captcha.cpp | 38 ++++++++++++++++++++++++++++----------
 TelepathyQt/captcha.h   |  7 +++++--
 2 files changed, 33 insertions(+), 12 deletions(-)

commit 927e2c01b276d9abf299fe81d3017dbb516d74b0
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Mar 8 19:10:02 2012 +0100

    captcha-authentication: Hold a strong reference to CaptchaAuthentication in any pending operation on it

 TelepathyQt/captcha-authentication-internal.h |  2 ++
 TelepathyQt/captcha-authentication.cpp        | 29 ++++++++++++++++++++-------
 TelepathyQt/captcha-authentication.h          |  5 ++---
 TelepathyQt/pending-captchas.cpp              | 22 +++++++++-----------
 4 files changed, 36 insertions(+), 22 deletions(-)

commit f008f71164277bc8b69dcc078fc552f46f56b348
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Mar 8 12:51:47 2012 +0100

    captcha-authentication: Doc improvements

 TelepathyQt/captcha-authentication.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 038844417a263f187c4160f9e9d5e0f92b53b49b
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 19:24:50 2012 +0100

    captcha-authentication: Be more verbose with errors

 TelepathyQt/captcha-authentication.cpp | 4 +++-
 TelepathyQt/pending-captchas.cpp       | 5 +++--
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 5b806f33c34f211b7f9fb9e12b69c9966929146f
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 19:14:33 2012 +0100

    captcha-authentication: Fill empty Captcha objects with default values

 TelepathyQt/captcha.cpp               | 2 ++
 tests/dbus/captcha-authentication.cpp | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit fe0b0123a0fd9a73ecdc9075f353dd64faef757d
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 19:09:14 2012 +0100

    captcha-authentication: Keep a weak ref of the Channel into CaptchaAuthentication
    
    Keeping a strong reference caused a leak since a strong-ref loop was triggered by the
    "parenting" of the two objects, which held a strong ref one towards the other.

 TelepathyQt/captcha-authentication-internal.h |  2 +-
 TelepathyQt/captcha-authentication.cpp        | 20 +++++++++++++++-----
 TelepathyQt/pending-captchas.cpp              |  8 ++++++--
 3 files changed, 22 insertions(+), 8 deletions(-)

commit 0a288f2282d1b6329036a2f77df5b5c755177a3e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 18:31:15 2012 +0100

    captcha-authentication: Clean up forward declarations and comments

 TelepathyQt/captcha-authentication.h | 1 -
 TelepathyQt/captcha.h                | 2 +-
 2 files changed, 1 insertion(+), 2 deletions(-)

commit 1f8c446d7a926d56ad46944b2d5124d2f9838aef
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 18:29:45 2012 +0100

    captcha-authentication: Rename lastError* to error*

 TelepathyQt/captcha-authentication.cpp | 8 ++++----
 TelepathyQt/captcha-authentication.h   | 4 ++--
 tests/dbus/captcha-authentication.cpp  | 4 ++--
 3 files changed, 8 insertions(+), 8 deletions(-)

commit 94427fcc4838cd4eb2a685132e1e3a32e45df713
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 18:26:43 2012 +0100

    captcha-authentication: Don't use d-pointers for private classes

 TelepathyQt/captcha-authentication-internal.h | 26 ++++----------------------
 TelepathyQt/captcha-authentication.cpp        | 22 ++++++++--------------
 2 files changed, 12 insertions(+), 36 deletions(-)

commit 11ed0c73027dc3571b03f4084e9ea28a7fcf2c98
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 18:20:48 2012 +0100

    captcha-authentication: Add Nokia copyright

 TelepathyQt/captcha-authentication-internal.h | 1 +
 TelepathyQt/captcha-authentication.cpp        | 1 +
 TelepathyQt/captcha-authentication.h          | 1 +
 TelepathyQt/captcha.cpp                       | 1 +
 TelepathyQt/captcha.h                         | 1 +
 TelepathyQt/pending-captchas.cpp              | 1 +
 TelepathyQt/pending-captchas.h                | 1 +
 TelepathyQt/server-authentication-channel.cpp | 1 +
 TelepathyQt/server-authentication-channel.h   | 1 +
 9 files changed, 9 insertions(+)

commit 8c0950b53be40d414ec6593eca3436f79b8b0e8c
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 15:31:45 2012 +0100

    captcha-authentication: Improvements to documentation

 TelepathyQt/captcha-authentication.cpp        | 20 ++++++-------
 TelepathyQt/pending-captchas.cpp              |  1 +
 TelepathyQt/server-authentication-channel.cpp | 41 +++++++++++++++++++++------
 3 files changed, 44 insertions(+), 18 deletions(-)

commit 96a7ca03196b137e76488160bdfc638878398183
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Mar 7 15:23:41 2012 +0100

    captcha-authentication: Instead of using a type(), just have a check for each interface

 TelepathyQt/server-authentication-channel.cpp | 22 ++++++++++++++--------
 TelepathyQt/server-authentication-channel.h   |  9 ++-------
 tests/dbus/captcha-authentication.cpp         |  6 ++++--
 3 files changed, 20 insertions(+), 17 deletions(-)

commit 6d1f0b5c40672a0b855bb6e4f4a47ef2e6a741e1
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 6 16:05:05 2012 +0100

    captcha-authentication: Update the test to cover failure in fetching data due to the property not being ready

 tests/dbus/captcha-authentication.cpp | 4 ++++
 1 file changed, 4 insertions(+)

commit 54a7d6c00d21259f6a60fbb0561e284564e27c60
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 6 16:04:43 2012 +0100

    captcha-authentication: Update channel class spec and factory to handle ServerAuthentication channels

 TelepathyQt/channel-class-spec.cpp | 24 +-----------------------
 TelepathyQt/channel-class-spec.h   |  4 +---
 TelepathyQt/channel-factory.cpp    | 25 +++++++++++++++++++++++++
 TelepathyQt/channel-factory.h      | 16 ++++++++++++++++
 4 files changed, 43 insertions(+), 26 deletions(-)

commit 6657ac899f536bac39e796058a8b90932bfd9e12
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Tue Mar 6 12:56:25 2012 +0100

    captcha-authentication: Move captcha logic out of Channel and into a new ServerAuthenticationChannel

 TelepathyQt/CMakeLists.txt                    |   4 +
 TelepathyQt/ServerAuthenticationChannel       |  13 ++
 TelepathyQt/captcha-authentication.h          |   2 +-
 TelepathyQt/channel.cpp                       |  83 ----------
 TelepathyQt/channel.h                         |   4 -
 TelepathyQt/server-authentication-channel.cpp | 221 ++++++++++++++++++++++++++
 TelepathyQt/server-authentication-channel.h   |  75 +++++++++
 TelepathyQt/types.h                           |   2 +
 tests/dbus/captcha-authentication.cpp         |  10 +-
 9 files changed, 322 insertions(+), 92 deletions(-)

commit 7fb046aee619ecf8632f3f124cc234b751f49657
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 29 18:47:24 2012 +0100

    captcha-authentication: Add docs for CaptchaAuthentication

 TelepathyQt/captcha-authentication.cpp | 148 +++++++++++++++++++++++++++------
 1 file changed, 124 insertions(+), 24 deletions(-)

commit 8f0b08a42f9baddea0b0188fafa5a9d3798729f2
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 29 18:47:09 2012 +0100

    captcha-authentication: Use internal tp-qt debug

 TelepathyQt/captcha-authentication.cpp | 12 ++++++------
 TelepathyQt/channel.cpp                |  2 +-
 TelepathyQt/pending-captchas.cpp       | 14 ++++++++------
 3 files changed, 15 insertions(+), 13 deletions(-)

commit d31f5cb18dd63f8f705795da4d7e5dcf7f0b4a9e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 29 17:23:42 2012 +0100

    captcha-authentication: When cancelling, close the channel upon success.

 TelepathyQt/captcha-authentication-internal.h | 30 +++++++++++++++
 TelepathyQt/captcha-authentication.cpp        | 53 ++++++++++++++++++++++++++-
 TelepathyQt/captcha-authentication.h          |  2 +
 3 files changed, 84 insertions(+), 1 deletion(-)

commit f63353eac420c114882635618d7e62260e61016d
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 29 16:56:44 2012 +0100

    captcha-authentication: When answering, close the channel upon success.

 TelepathyQt/captcha-authentication-internal.h |  1 +
 TelepathyQt/captcha-authentication.cpp        | 19 ++++++++++++++++---
 TelepathyQt/captcha-authentication.h          |  2 ++
 3 files changed, 19 insertions(+), 3 deletions(-)

commit 8113e60499c0357ad51bddc05f5770cdba74a152
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 23 18:12:38 2012 +0100

    captcha-authentication: Cast the correct type

 tests/dbus/captcha-authentication.cpp | 14 +++-----------
 1 file changed, 3 insertions(+), 11 deletions(-)

commit 739c8ecb2d690dbe192af77c875a6d4c458d6b78
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Thu Feb 23 18:10:21 2012 +0100

    captcha-authentication: Also check the signal has been emitted correctly

 tests/dbus/captcha-authentication.cpp | 7 +++++++
 1 file changed, 7 insertions(+)

commit 06154be16ea79ea6bbb1c206f408eae98d76dc2d
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 22:26:22 2012 +0100

    captcha-authentication: Add more tests to bring coverage up to 90%

 tests/dbus/captcha-authentication.cpp | 154 +++++++++++++++++++++++++++++-----
 tests/lib/glib/captcha-chan.c         |  27 +++++-
 2 files changed, 159 insertions(+), 22 deletions(-)

commit 3eda275c3cadc28aedbb50b5ff1da5dbe3c6b6f4
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 22:26:10 2012 +0100

    captcha-authentication: UnknownChallenge cannot be 0

 TelepathyQt/captcha-authentication.h | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit e7de892bca9c048c6d949f4b5f568c40e38317ce
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 21:49:09 2012 +0100

    captcha-authentication: Fix flag declaration, and a logic error

 TelepathyQt/captcha-authentication.h | 2 +-
 TelepathyQt/pending-captchas.cpp     | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 508cd07c2aab0e985ba5387551cedb37db45e095
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 21:30:18 2012 +0100

    captcha-authentication: Don't destroy the connection when cancelling

 tests/lib/glib/captcha-chan.c | 9 ---------
 1 file changed, 9 deletions(-)

commit ef3845965d9d0ad7400b4a4d80c078498b4db614
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 21:16:30 2012 +0100

    captcha-authentication: Don't check if the feature is enabled - when CaptchaAuthentication is created it is guaranteed that the feature will be ready.

 TelepathyQt/captcha-authentication.cpp | 25 -------------------------
 TelepathyQt/captcha-authentication.h   |  3 ++-
 2 files changed, 2 insertions(+), 26 deletions(-)

commit ced62c4d7e17830134c065a54a6f61fb341b732e
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 20:10:01 2012 +0100

    captcha-authentication: Make can-retry-captcha configurable in the service test

 tests/dbus/captcha-authentication.cpp |  5 +++--
 tests/lib/glib/captcha-chan.c         | 23 ++++++++++++++++++-----
 2 files changed, 21 insertions(+), 7 deletions(-)

commit 80b718632470a88c62d200ac5c1d3e472e9ea1eb
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 18:49:15 2012 +0100

    captcha-authentication: Add a basic test case

 tests/dbus/CMakeLists.txt             |   1 +
 tests/dbus/captcha-authentication.cpp | 193 ++++++++++++++++++++++++++++++++++
 2 files changed, 194 insertions(+)

commit 30d8ff444735fee65173f9ef2a635507a124eaeb
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 18:49:04 2012 +0100

    captcha-authentication: Multiple fixes to the glib service for Captcha

 tests/lib/glib/captcha-chan.c | 51 +++++++++++++++++++------------------------
 tests/lib/glib/captcha-chan.h |  3 +--
 2 files changed, 24 insertions(+), 30 deletions(-)

commit 264381444fd6cb0530d9b8ccde2743a112a8c2ea
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 17:30:55 2012 +0100

    captcha-authentication: First iteration of a captcha channel

 tests/lib/glib/CMakeLists.txt |   2 +
 tests/lib/glib/captcha-chan.c | 547 ++++++++++++++++++++++++++++++++++++++++++
 tests/lib/glib/captcha-chan.h |  65 +++++
 3 files changed, 614 insertions(+)

commit 2a96ebe4d03a55a0226bf941ea21ae1ec2cbe83f
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Wed Feb 22 00:29:25 2012 +0100

    captcha-authentication: Fix casting and property names

 TelepathyQt/captcha-authentication.cpp | 4 ++--
 TelepathyQt/pending-captchas.cpp       | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit aaa405d80ac51dc875b69c0820c39868ad76d24d
Author: Jeremy Whiting <jpwhiting@kde.org>
Date:   Wed Feb 22 00:22:57 2012 +0100

    captcha-authentication: Fix property key we are watching for status changes.

 TelepathyQt/captcha-authentication.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 38862a6b7effd79d1c1fbc079a7992f30e2a188c
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 20 16:07:53 2012 +0100

    captcha-authentication: Compile the new files, by fixing non-TpQtism in them

 TelepathyQt/CMakeLists.txt                    |  6 ++++++
 TelepathyQt/captcha-authentication-internal.h |  4 ++--
 TelepathyQt/captcha-authentication.cpp        | 20 +++++++++---------
 TelepathyQt/captcha-authentication.h          | 14 +++++--------
 TelepathyQt/captcha.cpp                       |  6 +-----
 TelepathyQt/captcha.h                         | 11 +++++-----
 TelepathyQt/pending-captchas.cpp              | 29 +++++++++++++--------------
 TelepathyQt/pending-captchas.h                | 13 +++++-------
 8 files changed, 49 insertions(+), 54 deletions(-)

commit d5a654a7d039a330f0ad25c2b34630bd43bd41b4
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 20 16:06:59 2012 +0100

    captcha-authentication: Add new logic to channel for returning a CaptchaAuthenticationPtr

 TelepathyQt/channel.cpp | 83 +++++++++++++++++++++++++++++++++++++++++++++++++
 TelepathyQt/channel.h   |  4 +++
 2 files changed, 87 insertions(+)

commit ac3a15c2e5332f456da48f0c4ebe8cb341ba646f
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 20 16:06:30 2012 +0100

    captcha-authentication: Add new type for CaptchaAuthenticationPtr

 TelepathyQt/types.h | 2 ++
 1 file changed, 2 insertions(+)

commit d7acb6ee4ab2283f761a3bbb9175f9e5423060c7
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 20 15:25:43 2012 +0100

    captcha-authentication: Use a qdbus_cast for custom types to prevent the QVariant conversion from failing

 TelepathyQt/pending-captchas.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5d916d5b79c90dfbf5d4eaaa71c176f1b5c4efae
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 20 15:23:22 2012 +0100

    captcha-authentication: Assignment operator, to prevent captcha from failing to build when using stricter rules

 TelepathyQt/captcha.cpp | 11 +++++++++++
 TelepathyQt/captcha.h   |  2 ++
 2 files changed, 13 insertions(+)

commit e84e1475f3026e03c60785ece765e79f7dbe6aa4
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 13 17:37:43 2012 +0100

    captcha-authentication: Add a ChannelClassSpec for captcha auth

 TelepathyQt/channel-class-spec.cpp | 19 +++++++++++++++++++
 TelepathyQt/channel-class-spec.h   |  2 ++
 2 files changed, 21 insertions(+)

commit edc7d713e464e30418ad92a231e17951f8a7e9a0
Author: Dario Freddi <dario.freddi@collabora.com>
Date:   Mon Feb 13 17:34:01 2012 +0100

    captcha-authentication: Add pretty headers and install them

 TelepathyQt/CMakeLists.txt        |  6 ++++++
 TelepathyQt/Captcha               | 13 +++++++++++++
 TelepathyQt/CaptchaAuthentication | 13 +++++++++++++
 TelepathyQt/PendingCaptchas       | 13 +++++++++++++
 4 files changed, 45 insertions(+)

commit e173dc32d17d5a877ada23ec932f489c43689e8c
Author: Dario Freddi <drf@kde.org>
Date:   Mon Feb 13 16:45:39 2012 +0100

    captcha-authentication: Connect to the correct channel

 TelepathyQt/pending-captchas.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 706ccbe0e52874fe865738e4f423de59e07ef7d9
Author: Dario Freddi <drf@kde.org>
Date:   Mon Feb 13 16:06:41 2012 +0100

    captcha-authentication: GetCaptchaData is returning just a QByteArray

 TelepathyQt/pending-captchas.cpp | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 425cdde204867c56b01759803b55ebc9c8a2da6c
Author: Dario Freddi <drf@kde.org>
Date:   Fri Feb 10 14:48:01 2012 +0100

    captcha-authentication: Move Captcha to its own header

 TelepathyQt/captcha.cpp          | 171 +++++++++++++++++++++++++++++++++++++++
 TelepathyQt/captcha.h            |  61 ++++++++++++++
 TelepathyQt/pending-captchas.cpp | 142 +-------------------------------
 TelepathyQt/pending-captchas.h   |  22 +----
 4 files changed, 234 insertions(+), 162 deletions(-)

commit 4d60c9aacb5f082acebd913f44bf597d4df26e80
Author: Dario Freddi <drf@kde.org>
Date:   Fri Feb 10 14:39:18 2012 +0100

    captcha-authentication: Use Connection::ErrorDetails instead of QVariantMap

 TelepathyQt/captcha-authentication.cpp | 4 ++--
